/*
 * -----------------------------------------------------------------
 *  ResourceLimitError.java :
 *
 * Copyright (C) 2001 TimeSys Corporation, All Rights Reserved.
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */

package javax.realtime;

/**
  Thrown if an attempt is made to exceed a system resource limit,
  such as the maximum number of locks.
  */

public class ResourceLimitError extends java.lang.Error 
{
    /**
      A  constructor for <code>ResourceLimitError</code>.
      */
    public ResourceLimitError()
    {
	super();
    }
    
    /**
      A descriptive constructor for <code>ResourceLimitError</code>.
      @param description The description of the exception.
      */
    public ResourceLimitError(String description)
    {
	super(description);
    }
    
}
