/*
 * @(#)float_md.h	1.4 00/07/17
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _LINUX_FLOAT_MD_H
#define _LINUX_FLOAT_MD_H

#undef JAVA_COMPLIANT_f2i
#undef JAVA_COMPLIANT_f2l
#undef NAN_CHECK_f2i
#undef NAN_CHECK_f2l
#undef BOUNDS_CHECK_f2l
#include "porting/ansi_c/float.h"
#include "porting/gcc_32_bit/float.h"

extern double doubleRem(double op1, double op2);

extern float floatRem(float, float);
#define CVMfloatRem(op1, op2) \
    floatRem((op1), (op2))

extern void setFPMode(void);

#endif /* _LINUX_FLOAT_MD_H */
