/*
 * -----------------------------------------------------------------
 * Scheduler.c :  added by Insik Shin <ishin@cis.upenn.edu>
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */

#include "javax_realtime_Scheduler.h"
#include <stdio.h>

#define PRIORITY 1
#define EDF      2

int JavaScheduler = PRIORITY;

JNIEXPORT void JNICALL Java_javax_realtime_Scheduler_setScheduler
  (JNIEnv* env, jobject this, jint s)
{
   JavaScheduler = s;
   printf ("     ------------ Current Scheduler : ");
   switch (JavaScheduler) {
      case PRIORITY: printf (" Priority Scheduler ------------\n"); break;
      case EDF:      printf (" EDF Scheduler ------------\n"); break;
   }
}

