import javax.realtime.*;
import java.util.Vector;

public class MemoryConstraintsTest extends RealtimeThread
{
    public static void main(String[] args)
    {
        MemoryConstraintsTest t = new MemoryConstraintsTest();
        t.start();
        try
        {
            Thread.sleep(5000);
        }
        catch(Exception e) { e.printStackTrace(); }
    }

    public MemoryConstraintsTest()
    {
        super(null, null, new MemoryParameters(20000, 20000), new LTMemory(280920, 280920), null, null);
        //super(null, null, null,/*new MemoryParameters(20000, 20000)*/, new LTMemory(80920, 80920), null, null);
    }

    public void run()
    {
        try
        {
        Vector v = new Vector();
        for(int i=0; i< 1000; i++)
        {
            System.out.println("Allocating Object " + i);
            Vector v2 = (Vector) ImmortalMemory.instance().newInstance(v.getClass());
        }
        }
        catch(Exception e)
        {
            e.printStackTrace();
        }
    }
}
