import javax.realtime.*;

public class StackInheritance extends RealtimeThread
{
    public StackInheritance(MemoryArea mem)
    {
        super(null, null, null, mem, null, null);
    }
    
    public static void main(String[] args)
    {
        test();   
    }

    public static void test()
    {
        System.out.println("This test checks for Stack Inheritance for RealtimeThreads");
        System.out.println("Going to spawn a thread in a ScopedMemory");
        RealtimeThread rt1 = new StackInheritance(new LTMemory(1024*16, 1024*16));
        rt1.start();
        try
        {
            Thread.sleep(1000);
        }
        catch(InterruptedException ie)
        {
            ie.printStackTrace();
        }
    }

    
    public void run()
    {
        MemStack.printStack();
        ScopedMemory sm1 = new LTMemory(1024*16, 1024*16);
        sm1.enter(new Runnable() {
                public void run()
                {
                    MemStack.printStack();
                    System.out.println("Creating a new thread");
                    RealtimeThread rt1 = new RealtimeThread(null, null, null, 
                                                new LTMemory(1024*16,1024*16), null, 
                                                new Runnable() {
                                                    public void run()
                                                    {
                                                        MemStack.printStack();
                                                    }
                                                });
                    rt1.start();
                }
            });
    }
}
