
import javax.realtime.*;

public class SMStressTest
{
	public static int MIN = 1024*16;

	public SMStressTest()
	{
	}
	
	public static void main(String[] args)
	{
		SMStressTest t = new SMStressTest();
		t.runTest();
	}

	void runTest()
	{
		ScopedMemory s1 = new LTMemory(MIN, MIN);
		ScopedMemory s2 = new VTMemory(MIN, MIN);
		
		RealtimeThread t1 = new RealtimeThread(new SchedulingParameters(), 
												new ReleaseParameters(), 
												null, s1, null, new MyRT(s1, s2));
		RealtimeThread t2 = new RealtimeThread(null, null, null, s2, null, new MyRT(s2, s1));
	try
	{	
		t1.start();
		t2.start();
		t1.join();
		t2.join();
	}
	catch(Exception e)
	{ e.printStackTrace(); }

	}

}


