//package javax.realtime.calltests;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000  All Rights Reserved
 */


/*				ThrowBoundaryErrorTest
 
Subtest 1:
	"public ThrowBoundaryError()"
	
Subtest 2:
	"public ThrowBoundaryError(java.lang.string description)"	

Subtest 3
	"public ThrowBoundaryError(java.lang.String description)" checking 
	value of String
*/

import javax.realtime.*;

public class ThrowBoundaryErrorTest 
{

    public static void run() 
    {
	ThrowBoundaryError tbe = null;
	Object o = null;

	Tests.newTest("ThrowBoundaryErrorTest");		
	Tests.increment();
		
	/* Subtest 1:
	** Constructor "public ThrowBoundaryError()"
	*/	
	try {
	    System.out.println("ThrowBoundryError: ThrowBoundaryError()");
	    tbe = new ThrowBoundaryError();
	    if( !(tbe instanceof ThrowBoundaryError) )
		throw new Exception("Return object is not instanceof "+
				    "ThrowBoundaryError");
	} catch (Exception e) {
	    System.out.println("ThrowBoundryError: ThrowBoundaryError() "+
			       "failed");
	    Tests.fail("new ThrowBoundaryError()",e);
	}
	
	/* Subtest 2:
	** Constructor "public ThrowBoundaryError(java.lang.string 
	** description)"	
	*/
	
	Tests.increment();
	try {
	    System.out.println("ThrowBoundryError: ThrowBoundaryError("+
			       "String)");
	    tbe = new ThrowBoundaryError("ConstructorTest");
	    if( !(tbe instanceof ThrowBoundaryError) )
		throw new Exception("Return object is not instanceof "+
				    "ThrowBoundaryError");
	} catch (Exception e) {
	    System.out.println("ThrowBoundryError: ThrowBoundaryError("+
			       "String) failed");
	    Tests.fail("new ThrowBoundaryError(description)",e);
	}

	/* Subtest 3
	** Constructor "public ThrowBoundaryError(java.lang.String 
	** description)" checking value of String
	*/
	Tests.increment();
	try {
	    System.out.println("ThrowBoundryError: ThrowBoundaryError("+
			       "String)");
	    String description = "DescriptionTest";
	    tbe = new ThrowBoundaryError(description);
	    String tbedescription;
	    tbedescription = tbe.toString();
	    if (tbedescription.length() == 0)
		throw new Exception("String description is empty");

	} catch (Exception e) {
	    System.out.println("ThrowBoundryError: ThrowBoundaryError("+
			       "String) failed");
	    Tests.fail("new ThrowBoundaryError(description)",e);
	}
		
	Tests.printSubTestReportTotals("ThrowBoundaryErrorTest");
    }
}
