//package javax.realtime.calltests;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000  All Rights Reserved
 */


/*				VTMemoryTest

Subtest 1:
	"public VTMemory(int initial, int maximum)"
*/


import javax.realtime.*;

public class VTMemoryTest 
{

    public static void run() 
    {
	VTMemory vtm = null;
	Object o = null;

	Tests.newTest("VTMemoryTest");
	Tests.increment();

	/* Subtest 1:
	** Constructor "public VTMemory(int initial, int maximum)"
	*/
	try {
	    System.out.println("VTMemoryTest: VTMemory(int,int)");
	    int initial = 1000;
	    int maximum = 2000;
	    vtm = new VTMemory(initial, maximum);
	    if( !(vtm instanceof VTMemory && vtm instanceof ScopedMemory) )
		throw new Exception("Return object is not instance of "+
				    "VTMemory nor ScopedMemory");
	} catch (Exception e) {
	    System.out.println("VTMemoryTest: VTMemory(int,int) failed");
	    Tests.fail("new VTmemory(1000,2000)",e);
	}

	Tests.printSubTestReportTotals("VTMemoryTest");

    }
}
