/*
 * @(#)ansi_clib_md.c	1.3 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * This file contains the function implementations of the C library
 * part of the porting layer. 
 *
 */

#include "javavm/include/porting/ansi/string.h"

#include <stddef.h>
#include <stdlib.h>
#include <string.h>

#ifndef ANSI_HAVE_STRDUP
char*    
strdup(const char* str)
{
    if (str != NULL) {
	char *p = malloc(strlen(str) + 1);
	if (p != NULL) {
	    strcpy(p, str);
	    return p;
	}
    }
    return NULL;
}
#endif
