/*
 * @(#)stdio.h	1.8 00/07/07
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _INCLUDED_PORTING_ANSI_STDIO_H
#define _INCLUDED_PORTING_ANSI_STDIO_H

#include "javavm/include/porting/ansi/stdarg.h"

/*
 * ANSI <stdio.h>
 *
 * Functions:
 *
 * int sprintf(char* s, const char* format, ...);
 * int printf(const char* format, ...);
 * int fprintf(FILE*, const char* format, ...);
 * int fflush(FILE*);
 *
 * WARNING: Some platforms don't have snprintf.
*
 * Types:
 *   FILE
 * Macros:
 * Constants:
 *   FILE *stderr
 *
 * See ANSI documentation for details.
 */

#include "javavm/include/defs_md.h"
#include CVM_HDR_ANSI_STDIO_H

#endif /* _INCLUDED_PORTING_ANSI_STDIO_H */
