/*
 * @(#)stdlib.h	1.4 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _INCLUDED_PORTING_ANSI_STDLIB_H
#define _INCLUDED_PORTING_ANSI_STDLIB_H

#include "javavm/include/porting/ansi/stddef.h"

/*
 * ANSI <stdlib.h>
 *
 * Functions:
 *
 * void* malloc(size_t size);
 * void* calloc(size_t nelem, size_t elsize);
 * void  free(void* ptr);
 * void* realloc(void* ptr, size_t size);
 *
 * void  qsort(void* array, size_t numElements, size_t elementSize,
 *	       int (*)(const void *, const void *));
 */

#include "javavm/include/defs_md.h"
#include CVM_HDR_ANSI_STDLIB_H

#endif /* _INCLUDED_PORTING_ANSI_STDLIB_H */
