/*
 * @(#)LineNumberTableAttributeFactory.java	1.2 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

package components;
import java.io.DataInput;
import java.io.IOException;

class LineNumberTableAttributeFactory extends AttributeFactory {

    public static AttributeFactory instance = new LineNumberTableAttributeFactory();

    Attribute finishReadAttribute(
	DataInput in, UnicodeConstant name, ConstantObject locals[], ConstantObject globals[] )
	throws IOException{
	    return LineNumberTableAttribute.finishReadAttribute( in, name );
    }
}
