/*
 * @(#)TimerThreadTest.java	1.1 00/05/30 SMI
 *
 * Copyright (c) 2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

package foundation;

import java.util.Timer;

public class TimerThreadTest {

    public static void main(String argv[]) {
	Timer t = new Timer();
	t.cancel();

	System.out.println("Starting three timers.");

	Timer t1 = new Timer(true);
	Timer t2 = new Timer(true);
	Timer t3 = new Timer(true);

	System.out.println("Cancelling two timers.");

	t1.cancel();
	t3.cancel();

	// t2 is an uncanceled daemon thread
	// The test passes if the thread exits when the VM shuts down
	// If the thread keeps running, the test has failed

	System.out.println("Returning from main.");
    }

}
