/*
 * @(#)sync_md.h	1.5 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * Machine-dependent synchronization definitions.
 */

#ifndef _VXWORKS_SYNC_MD_H
#define _VXWORKS_SYNC_MD_H

#include "javavm/include/porting/vm-defs.h"
#include <vxWorks.h>
#include <semLib.h>

#define CVM_FASTLOCK_TYPE CVM_FASTLOCK_MICROLOCK
#define CVM_MICROLOCK_TYPE CVM_MICROLOCK_SCHEDLOCK


struct CVMMutex {
    SEM_ID m;
};

struct CVMCondVar {
    SEM_ID sem;
};

#ifdef VXWORKS_PRIVATE
extern void vxworksSyncInit(CVMThreadID *);
extern void vxworksSyncDestroy(CVMThreadID *);
extern void vxworksSyncInterruptWait(CVMThreadID *);
#endif

#endif /* _VXWORKS_SYNC_MD_H */
