/*
 * @(#)jvm2cvm.h	1.5 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _INCLUDED_JVM2CVM_H
#define _INCLUDED_JVM2CVM_H

/* functions */
#define JVM_InternString	CVMstringIntern

#define JVM_Lseek		CVMioSeek
#define JVM_SetLength		CVMioSetLength
#define JVM_Open		CVMioOpen
#define JVM_Read		CVMioRead
#define JVM_Write		CVMioWrite
#define JVM_Close		CVMioClose
#define JVM_Available		CVMioAvailable
#define JVM_Sync		CVMioSync

#define JVM_Socket		CVMnetSocket
#define JVM_Connect		CVMnetConnect
#define JVM_Listen		CVMnetListen
#define JVM_Accept		CVMnetAccept
#define JVM_SocketAvailable	CVMnetSocketAvailable
#define JVM_Timeout		CVMnetTimeout
#define JVM_Send		CVMnetSend
#define JVM_SendTo		CVMnetSendTo
#define JVM_Recv		CVMnetRecv
#define JVM_RecvFrom		CVMnetRecvFrom
#define JVM_SocketClose		CVMnetSocketClose
#define JVM_SocketShutdown	CVMnetSocketShutdown
#define JVM_GetProtoByName	CVMnetGetProtoByName
#define JVM_SetSockOpt		CVMnetSetSockOpt
#define JVM_GetSockOpt		CVMnetGetSockOpt
#define JVM_GetSockName		CVMnetGetSockName
#define JVM_GetHostName		CVMnetGetHostName
#define JVM_Bind		CVMnetBind

#define JVM_NativePath		CVMioNativePath

/* types */
#define method_size_info	CVMmethod_size_info
#define class_size_info		CVMclass_size_info

/* macros */
#undef JVM_IO_ERR
#define JVM_IO_ERR	   CVM_IO_ERR
#undef JVM_IO_INTR
#define JVM_IO_INTR	   CVM_IO_INTR

#endif /* _INCLUDED_JVM2CVM_H */
