#
# @(#)run.sh	1.1 00/06/14
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#


#!/bin/sh

echo ""
echo "------- Running DirectMem --------"
echo ""

if [ -f ../RULES ]
then
        . ../RULES
else
        echo "Please Create RULES file. Look at README for info"
        exit 1
fi

CUR_DIR=$GCTEST_DIR/DirectMem
LOCAL_CLASSPATH=$CUR_DIR/Class

#FILES=DirectMemTest
FILES="DMFieldRWIntTest DMFieldRWLongTest DMFieldRWFloatTest 
       DMFieldRWDoubleTest DMFieldRW32Test DMFieldRWRefTest
       DMFieldRW64Test DMArrayRWIntTest DMArrayRWFloatTest 
       DMArrayRWBooleanTest DMArrayRWByteTest DMArrayRWShortTest
       DMArrayRWLongTest DMArrayRWDoubleTest DMArrayRWCharTest
       DMArrayRWRefTest DMArrayCopyByteTest DMArrayCopyCharTest 
       DMArrayCopyIntTest DMArrayCopyShortTest DMArrayCopyLongTest 
       DMArrayCopyFloatTest DMArrayCopyDoubleTest DMArrayCopyBooleanTest 
       DMArrayCopyRefTest DMArrayRWBodyByteTest DMArrayRWBodyCharTest 
       DMArrayRWBodyIntTest DMArrayRWBodyShortTest DMArrayRWBodyLongTest 
       DMArrayRWBodyFloatTest DMArrayRWBodyDoubleTest DMArrayRWBodyBooleanTest
       DMArrayRWBodyRefTest"

switch="-Xbootclasspath=$BOOT_CLASSPATH:$LOCAL_CLASSPATH"

COMMAND="$CDC_BUILDDIR/bin/cvm $switch"

for file in $FILES
do
	echo "--------- Running $file -------------"
	echo "$COMMAND $file"
	$COMMAND $file
	echo ""
done

echo ""
