#
# @(#)run.sh	1.1 00/06/14
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#

#!/bin/sh

echo ""
echo "------- Running IndirectMem --------"
echo ""

if [ -f ../RULES ]
then
        . ../RULES
else
        echo "Please Create RULES file. Look at README for info"
        exit 1
fi

CUR_DIR=$GCTEST_DIR/IndirectMem
LOCAL_CLASSPATH=$CUR_DIR/Class

FILES="IDFieldRW32Test IDFieldRWDoubleTest IDFieldRWFloatTest
       IDFieldRWIntTest IDFieldRWRefTest IDFieldRWLongTest
       IDArrayRWBooleanTest IDArrayRWByteTest IDArrayRWCharTest
       IDArrayRWDoubleTest IDArrayRWFloatTest IDArrayRWIntTest
       IDArrayRWLongTest IDArrayRWRefTest IDArrayRWShortTest"

#FILES=IndirectMemTest

switch="-Xbootclasspath=$BOOT_CLASSPATH:$LOCAL_CLASSPATH"

COMMAND="$CDC_BUILDDIR/bin/cvm $switch"

for file in $FILES
do
	echo "--------- Running $file -------------"
	echo "$COMMAND $file"
	$COMMAND $file
	echo ""
done

echo ""
