#
# @(#)run.tcl	1.1 00/06/14
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#

if {[file exists ../RULES.tcl] == 1} {
        source ../RULES.tcl
} else {
        puts "Please create RULES.tcl using RULES.tcl.sample"
        exit
}

set CUR_DIR $GCTEST_DIR/IndirectMem
set LOCAL_CLASSPATH $CUR_DIR/Class

set PREFIX ID
set SUFFIX Test

set FILES "ArrayRWChar ArrayRWBoolean ArrayRWByte ArrayRWLong
           ArrayRWShort ArrayRWInt ArrayRWFloat ArrayRWDouble
           ArrayRWRef FieldRW32 FieldRWDouble FieldRWFloat
           FieldRWInt FieldRWLong FieldRWRef FieldRW64"

set switch "-Xbootclasspath=$BOOT_CLASSPATH;$LOCAL_CLASSPATH"


shParse "chdir(\"$CUR_DIR\")"

#To run one test at a time
foreach file $FILES {
	puts "------ Running $PREFIX$file$SUFFIX --------"
	set COMMAND "runJava \"$switch $PREFIX$file$SUFFIX\""
	puts "$COMMAND"
	shParse "$COMMAND"
	puts ""
}

#To run all tests at the same time
#echo "----- Running Indirect Memory Test -----"
#set COMMAND "runJava \"$switch IndirectMemTest\""
#puts "$COMMAND"
#shParse "$COMMAND"
#puts ""

shParse "chdir(\"GCTEST_DIR\")"

exit
