#
# @(#)run.tcl	1.2 00/08/31
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#

if {[file exists ../RULES.tcl] == 1} {
        source ../RULES.tcl
} else {
        puts "Please create RULES.tcl using RULES.tcl.sample"
        exit
}

set CUR_DIR $GCTEST_DIR/RootScans
set LOCAL_CLASSPATH $CUR_DIR/Class

set FILES "RootScansTest"

set switch "-Xbootclasspath=$BOOT_CLASSPATH;$LOCAL_CLASSPATH"

exec rm -f temp

shParse "chdir(\"$CUR_DIR\")"

foreach file $FILES {
	puts "------ Running $file --------"
	set COMMAND "runJava \"$switch $file\""
	puts "$COMMAND"
	shParse "$COMMAND"
	puts ""
}

shParse "chdir(\"GCTEST_DIR\")"

exit
