/*
 * @(#)ReflectionTestOtherPackageHelper.java	1.5 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */
package cvmtest;

/** This needs to be in a different package from ReflectionTest, from
   which it is accessed via reflection. Tests accessibility of methods. */

public class ReflectionTestOtherPackageHelper {
    protected int protectedIntField;
    protected double protectedDoubleField;
    private int privateIntField;
    private double privateDoubleField;

    protected void protectedVoidMethod() {
	System.out.println("cvmtest.ReflectionTestOtherPackageHelper.protectedVoidMethod()");
    }

    private void privateVoidMethod() {
	System.out.println("cvmtest.ReflectionTestOtherPackageHelper.privateVoidMethod()");
    }
}
