/*
 * @(#)posix_time_md.c	1.5 00/11/11
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#include "javavm/include/porting/time.h"
#include "javavm/include/porting/int.h"
#include "javavm/include/porting/doubleword.h"

CVMInt64
CVMtimeMillis(void)
{
    CVMInt64 millis;
    CVMInt64 one_thousand;
    struct timespec ts;

    /* %comment dlong001 */
    clock_gettime(CLOCK_REALTIME, &ts);
    one_thousand = CVMint2Long(1000);
    millis = CVMint2Long(ts.tv_sec);
    millis = CVMlongMul(millis, one_thousand);
    {
	CVMInt64 tmp1, tmp2;
	CVMInt64 one_million;

	one_million = CVMint2Long(1000000);
	tmp1 = CVMint2Long(ts.tv_nsec);
	tmp2 = CVMlongDiv(tmp1, one_million);
	millis = CVMlongAdd(millis, tmp2);
    }
    return millis;
}
