#define IN_ROMJAVA 1
#include "javavm/include/defs.h"
#include "javavm/include/objects.h"
#include "javavm/include/classes.h"
#include "javavm/include/interpreter.h"
#include "javavm/include/jni_impl.h"
#include "javavm/include/typeid.h"
#include "javavm/include/typeid_impl.h"
#include "javavm/include/string_impl.h"
#include "javavm/include/preloader_impl.h"
#include "javavm/include/porting/endianness.h"
#if (CVM_ENDIANNESS == CVM_BIG_ENDIAN)
#define LONG(high, low) high, low
#else
#define LONG(high, low) low, high
#endif /* endianness */
#if (CVM_DOUBLE_ENDIANNESS == CVM_BIG_ENDIAN)
#define DOUBLE(high, low) high, low
#else
#define DOUBLE(high, low) low, high
#endif /* endianness for double's */
#ifdef _MSC_VER
#define STATIC /* static */
#else
#define STATIC static
#endif
#define SCALARTYPE_NO(n) (n)
#define SHORTPAIR(a, b)  (((a)<<16)+(b))
#define NAME_NO(n) (n)
#define SIG_DETAIL_NO(n) (&msig_details[n])

extern CVMExecEnv* CVM_clinitEE[];
extern CVMInt32 CVM_staticData[];
extern const CVMMethodBlock* java_lang_Object_mt[];

struct CVMinterface1 { CVMUint16 interfaceCount; CVMUint16 implementsCount;
    struct { const CVMClassBlock* interfacecb; const CVMUint16* index; } interfaceTable[1];
};
const struct CVMinterface1 CVM_java_lang_Class_intfMethodtable;
struct CVMinterface2 { CVMUint16 interfaceCount; CVMUint16 implementsCount;
    struct { const CVMClassBlock* interfacecb; const CVMUint16* index; } interfaceTable[2];
};
const struct CVMinterface2 CVM_java_lang_String_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Iterator_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collection_intfMethodtable;
const struct CVMinterface2 CVM_java_util_ListIterator_intfMethodtable;
const struct CVMinterface2 CVM_java_util_List_intfMethodtable;
struct CVMinterface3 { CVMUint16 interfaceCount; CVMUint16 implementsCount;
    struct { const CVMClassBlock* interfacecb; const CVMUint16* index; } interfaceTable[3];
};
const struct CVMinterface3 CVM_java_io_ObjectOutputStream_intfMethodtable;
const struct CVMinterface3 CVM_java_io_ObjectInputStream_intfMethodtable;
const struct CVMinterface1 CVM_java_security_cert_Certificate_intfMethodtable;
const struct CVMinterface3 CVM_java_security_PublicKey_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Principal_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Date_intfMethodtable;
const struct CVMinterface1 CVM_java_security_cert_X509CRLEntry_intfMethodtable;
const struct CVMinterface2 CVM_java_math_BigInteger_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Set_intfMethodtable;
const struct CVMinterface2 CVM_sun_security_x509_X500Name_intfMethodtable;
const struct CVMinterface3 CVM_java_security_PrivateKey_intfMethodtable;
const struct CVMinterface2 CVM_java_security_Identity_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Certificate_intfMethodtable;
const struct CVMinterface2 CVM_java_security_Key_intfMethodtable;
const struct CVMinterface1 CVM_java_security_CodeSource_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URL_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Enumeration_intfMethodtable;
const struct CVMinterface2 CVM_java_security_BasicPermission_intfMethodtable;
const struct CVMinterface2 CVM_java_io_File_intfMethodtable;
struct CVMinterface4 { CVMUint16 interfaceCount; CVMUint16 implementsCount;
    struct { const CVMClassBlock* interfacecb; const CVMUint16* index; } interfaceTable[4];
};
const struct CVMinterface4 CVM_java_util_Vector_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Throwable_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Map_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_util_ObjectIdentifier_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_util_DerOutputStream_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Boolean_intfMethodtable;
const struct CVMinterface2 CVM_java_security_Permission_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Thread_intfMethodtable;
const struct CVMinterface1 CVM_java_net_InetAddress_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamClass_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Security_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_util_DerInputBuffer_intfMethodtable;
const struct CVMinterface1 CVM_java_util_jar_Manifest_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_StringBuffer_intfMethodtable;
const struct CVMinterface1 CVM_java_security_PermissionCollection_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Permissions_intfMethodtable;
const struct CVMinterface2 CVM_java_util_BitSet_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Locale_intfMethodtable;
const struct CVMinterface2 CVM_java_util_TimeZone_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLStreamHandlerFactory_intfMethodtable;
const struct CVMinterface1 CVM_java_io_DataOutputStream_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_ProxyGenerator_1_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Number_intfMethodtable;
const struct CVMinterface2 CVM_java_text_Format_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_SeedGenerator_intfMethodtable;
const struct CVMinterface2 CVM_java_io_FilePermission_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Hashtable_intfMethodtable;
const struct CVMinterface1 CVM_java_security_PrivilegedAction_intfMethodtable;
const struct CVMinterface1 CVM_java_security_PrivilegedExceptionAction_intfMethodtable;
const struct CVMinterface1 CVM_java_security_KeyPair_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_reflect_Method_intfMethodtable;
const struct CVMinterface1 CVM_java_net_FileNameMap_intfMethodtable;
const struct CVMinterface1 CVM_java_net_ContentHandlerFactory_intfMethodtable;
const struct CVMinterface1 CVM_java_util_zip_ZipFile_intfMethodtable;
const struct CVMinterface2 CVM_java_util_zip_ZipEntry_intfMethodtable;
const struct CVMinterface2 CVM_java_util_jar_Attributes_intfMethodtable;
const struct CVMinterface4 CVM_java_util_ArrayList_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_pkcs_SignerInfo_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_reflect_Field_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_reflect_Constructor_intfMethodtable;
const struct CVMinterface2 CVM_javax_realtime_Schedulable_intfMethodtable;
const struct CVMinterface1 CVM_javax_realtime_HighResolutionTime_intfMethodtable;
const struct CVMinterface2 CVM_javax_realtime_AsyncEventHandler_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Runnable_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Package_1_intfMethodtable;
const struct CVMinterface2 CVM_java_net_SocketPermission_intfMethodtable;
const struct CVMinterface2 CVM_java_util_AbstractSet_intfMethodtable;
const struct CVMinterface4 CVM_java_util_LinkedList_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_Character_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_Double_intfMethodtable;
const struct CVMinterface2 CVM_java_util_SortedMap_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Comparator_intfMethodtable;
const struct CVMinterface1 CVM_java_util_WeakHashMap_intfMethodtable;
const struct CVMinterface1 CVM_java_util_WeakHashMap_1_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamField_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_SingletonSet_intfMethodtable;
const struct CVMinterface2 CVM_javax_realtime_RealtimeThread_intfMethodtable;
const struct CVMinterface1 CVM_java_security_AllPermissionCollection_intfMethodtable;
const struct CVMinterface2 CVM_java_io_ObjectOutput_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_GeneralNameInterface_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Calendar_intfMethodtable;
const struct CVMinterface2 CVM_java_text_DateFormatSymbols_intfMethodtable;
const struct CVMinterface2 CVM_java_util_AbstractList_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collections_1_intfMethodtable;
const struct CVMinterface2 CVM_sun_security_x509_AlgorithmId_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLClassLoader_3_intfMethodtable;
const struct CVMinterface3 CVM_java_util_HashMap_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_Launcher_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_ExtensionInstallationProvider_intfMethodtable;
const struct CVMinterface3 CVM_java_util_SortedSet_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Guard_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_SoftCache_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_SoftCache_1_intfMethodtable;
const struct CVMinterface2 CVM_sun_security_provider_IdentityDatabase_intfMethodtable;
const struct CVMinterface2 CVM_java_security_cert_X509Certificate_intfMethodtable;
const struct CVMinterface1 CVM_java_security_cert_X509CRL_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_UnmodifiableList_intfMethodtable;
const struct CVMinterface1 CVM_java_util_HashMap_Entry_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Random_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_AVA_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_EmptySet_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_UnmodifiableSet_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_UnmodifiableCollection_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_X509CertInfo_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_util_DerEncoder_intfMethodtable;
const struct CVMinterface1 CVM_javax_realtime_PhysicalMemoryTypeFilter_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_SeedGenerator_1_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_Byte_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Map_Entry_intfMethodtable;
const struct CVMinterface1 CVM_javax_realtime_Interruptible_intfMethodtable;
const struct CVMinterface1 CVM_java_security_SecureRandomSpi_intfMethodtable;
const struct CVMinterface1 CVM_java_io_FilenameFilter_intfMethodtable;
const struct CVMinterface1 CVM_java_io_FileFilter_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Hashtable_Entry_intfMethodtable;
const struct CVMinterface1 CVM_java_security_spec_AlgorithmParameterSpec_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectInputValidation_intfMethodtable;
const struct CVMinterface1 CVM_java_util_ResourceBundle_1_intfMethodtable;
const struct CVMinterface2 CVM_java_io_ObjectInput_intfMethodtable;
const struct CVMinterface2 CVM_java_text_DecimalFormatSymbols_intfMethodtable;
const struct CVMinterface1 CVM_java_text_DigitList_intfMethodtable;
const struct CVMinterface1 CVM_java_security_spec_KeySpec_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_Integer_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_Short_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_reflect_InvocationHandler_intfMethodtable;
const struct CVMinterface1 CVM_sun_net_www_MimeEntry_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_Long_intfMethodtable;
const struct CVMinterface1 CVM_sun_net_www_MimeTable_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_Float_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_SoftCache_Entry_intfMethodtable;
const struct CVMinterface1 CVM_java_util_AbstractCollection_intfMethodtable;
const struct CVMinterface1 CVM_java_util_AbstractMap_intfMethodtable;
const struct CVMinterface4 CVM_java_util_HashSet_intfMethodtable;
const struct CVMinterface1 CVM_java_io_DataOutput_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamClass_1_intfMethodtable;
const struct CVMinterface1 CVM_java_security_DomainCombiner_intfMethodtable;
const struct CVMinterface1 CVM_java_io_DataInput_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_pkcs_PKCS9Attribute_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamClass_MethodSignature_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_reflect_Member_intfMethodtable;
const struct CVMinterface2 CVM_sun_security_provider_SystemIdentity_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_SingletonMap_intfMethodtable;
const struct CVMinterface1 CVM_java_util_HashMap_EmptyHashIterator_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_KeyUsageExtension_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_RFC822Name_intfMethodtable;
const struct CVMinterface1 CVM_java_util_zip_Checksum_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_SynchronizedCollection_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_SynchronizedSet_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_NameConstraintsExtension_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateExtensions_intfMethodtable;
const struct CVMinterface1 CVM_java_security_cert_Certificate_CertificateRep_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_SeedGenerator_2_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_Sun_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_PolicyMappingsExtension_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_SubjectAlternativeNameExtension_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Cloneable_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_NetscapeCertTypeExtension_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Signer_1_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_System_1_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Arrays_ArrayList_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateSerialNumber_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Vector_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_URLClassPath_5_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_UnmodifiableMap_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_UnmodifiableSortedMap_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_URLClassPath_2_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_URLClassPath_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_action_GetIntegerAction_intfMethodtable;
const struct CVMinterface1 CVM_java_io_FilePermissionCollection_intfMethodtable;
const struct CVMinterface1 CVM_java_security_AllPermissionCollection_1_intfMethodtable;
const struct CVMinterface1 CVM_java_util_AbstractList_Itr_intfMethodtable;
const struct CVMinterface2 CVM_java_util_AbstractList_ListItr_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_SynchronizedList_intfMethodtable;
const struct CVMinterface1 CVM_java_security_cert_CertificateFactory_1_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Security_3_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Security_2_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_PolicyFile_5_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_PolicyFile_4_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_PolicyFile_3_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_PolicyFile_2_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_PolicyFile_1_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_EmptyMap_intfMethodtable;
const struct CVMinterface2 CVM_java_security_UnresolvedPermission_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_EmptyList_intfMethodtable;
const struct CVMinterface1 CVM_java_security_spec_EncodedKeySpec_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLClassLoader_7_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_action_GetPropertyAction_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLClassLoader_6_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLClassLoader_5_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLClassLoader_4_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLClassLoader_2_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_PathPermissions_1_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLClassLoader_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_Launcher_Factory_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Class_1_intfMethodtable;
const struct CVMinterface1 CVM_java_io_Serializable_intfMethodtable;
const struct CVMinterface1 CVM_java_util_PropertyResourceBundle_1_intfMethodtable;
const struct CVMinterface4 CVM_java_util_Collections_UnmodifiableSortedSet_intfMethodtable;
const struct CVMinterface1 CVM_sun_net_www_MimeTable_2_intfMethodtable;
const struct CVMinterface1 CVM_sun_net_www_MimeTable_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_action_GetBooleanAction_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateIssuerName_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamClass_2_intfMethodtable;
const struct CVMinterface1 CVM_java_security_GuardedObject_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_SecurityManager_2_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_SecurityManager_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_io_CharacterEncoding_1_intfMethodtable;
const struct CVMinterface1 CVM_java_util_TimeZone_1_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collections_6_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collections_5_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collections_4_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collections_3_intfMethodtable;
const struct CVMinterface1 CVM_java_util_PropertyPermissionCollection_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_2_intfMethodtable;
const struct CVMinterface3 CVM_sun_security_x509_X509CertImpl_intfMethodtable;
const struct CVMinterface1 CVM_java_security_Policy_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_SecureRandom_intfMethodtable;
const struct CVMinterface2 CVM_java_lang_String_CaseInsensitiveComparator_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collections_SingletonMap_ImmutableEntry_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_SeedGenerator_BogusThread_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_OIDName_intfMethodtable;
const struct CVMinterface1 CVM_java_util_WeakHashMap_Entry_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CRLReasonCodeExtension_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_ExtensionDependency_3_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_ExtensionDependency_2_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_ExtensionDependency_1_intfMethodtable;
const struct CVMinterface1 CVM_java_util_zip_ZipInputStream_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_action_LoadLibraryAction_intfMethodtable;
const struct CVMinterface1 CVM_java_security_cert_X509Extension_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Collections_UnmodifiableMap_UnmodifiableEntrySet_UnmodifiableEntry_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_CompoundEnumeration_intfMethodtable;
const struct CVMinterface1 CVM_java_security_IdentityScope_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_OIDMap_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_IPAddressName_intfMethodtable;
const struct CVMinterface1 CVM_java_util_zip_ZipFile_3_intfMethodtable;
const struct CVMinterface1 CVM_java_util_zip_ZipFile_2_intfMethodtable;
const struct CVMinterface1 CVM_java_util_ResourceBundle_ResourceCacheKey_intfMethodtable;
const struct CVMinterface2 CVM_java_io_Externalizable_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_SynchronizedMap_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_SynchronizedSortedMap_intfMethodtable;
const struct CVMinterface1 CVM_java_io_FilePermission_1_intfMethodtable;
const struct CVMinterface1 CVM_java_security_AccessControlContext_1_intfMethodtable;
const struct CVMinterface1 CVM_java_net_URLConnection_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateIssuerUniqueIdentity_intfMethodtable;
const struct CVMinterface1 CVM_java_security_BasicPermissionCollection_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_EDIPartyName_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_SingletonList_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateVersion_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_IssuerAlternativeNameExtension_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_util_ByteArrayTagOrder_intfMethodtable;
const struct CVMinterface1 CVM_java_security_KeyStore_1_intfMethodtable;
const struct CVMinterface1 CVM_java_util_jar_JarFile_1_intfMethodtable;
const struct CVMinterface1 CVM_java_security_PermissionsHash_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_URIName_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_Launcher_4_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_Launcher_3_intfMethodtable;
const struct CVMinterface1 CVM_sun_misc_Launcher_2_intfMethodtable;
const struct CVMinterface1 CVM_java_util_zip_CRC32_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_SubjectKeyIdentifierExtension_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_reflect_Proxy_intfMethodtable;
const struct CVMinterface4 CVM_java_util_Collections_SynchronizedSortedSet_intfMethodtable;
const struct CVMinterface2 CVM_java_util_LinkedList_ListItr_intfMethodtable;
const struct CVMinterface1 CVM_java_util_StringTokenizer_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateAlgorithmId_intfMethodtable;
const struct CVMinterface1 CVM_java_util_AbstractMap_4_intfMethodtable;
const struct CVMinterface1 CVM_java_util_AbstractMap_2_intfMethodtable;
const struct CVMinterface1 CVM_java_security_PermissionsEnumerator_intfMethodtable;
const struct CVMinterface1 CVM_java_net_SocketPermissionCollection_intfMethodtable;
const struct CVMinterface1 CVM_sun_tools_java_RuntimeConstants_intfMethodtable;
const struct CVMinterface1 CVM_java_security_UnresolvedPermissionCollection_intfMethodtable;
const struct CVMinterface3 CVM_java_util_Collections_CopiesList_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_PolicyConstraintsExtension_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamClass_CompareClassByName_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_PrivateKeyUsageExtension_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Hashtable_EmptyIterator_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Hashtable_Enumerator_intfMethodtable;
const struct CVMinterface1 CVM_java_util_HashMap_HashIterator_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_ClassLoader_4_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_ClassLoader_3_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_ClassLoader_2_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamConstants_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_ClassLoader_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateValidity_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_BasicConstraintsExtension_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_DNSName_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CRLNumberExtension_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateX509Key_intfMethodtable;
const struct CVMinterface2 CVM_java_util_SubList_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_OtherName_intfMethodtable;
const struct CVMinterface1 CVM_java_io_ObjectStreamClass_CompareMemberByName_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateSubjectName_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_AuthorityKeyIdentifierExtension_intfMethodtable;
const struct CVMinterface2 CVM_java_util_Collections_ReverseComparator_intfMethodtable;
const struct CVMinterface1 CVM_java_util_Hashtable_EmptyEnumerator_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertAttrSet_intfMethodtable;
const struct CVMinterface1 CVM_java_io_DataInputStream_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_Comparable_intfMethodtable;
const struct CVMinterface1 CVM_java_util_zip_ZipConstants_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_ref_Finalizer_3_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_ref_Finalizer_2_intfMethodtable;
const struct CVMinterface1 CVM_java_lang_ref_Finalizer_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_x509_CertificateSubjectUniqueIdentity_intfMethodtable;
const struct CVMinterface1 CVM_java_text_resources_LocaleData_1_intfMethodtable;
const struct CVMinterface3 CVM_sun_security_x509_X509Key_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_provider_IdentityDatabase_1_intfMethodtable;
const struct CVMinterface1 CVM_sun_security_util_ByteArrayLexOrder_intfMethodtable;
struct CVMClassBlock0 { CVMClassBlock classclass; };
extern const struct CVMClassBlock0 primitiveClass_void_Classblock;
extern const struct CVMClassBlock0 primitiveClass_boolean_Classblock;
extern const struct CVMClassBlock0 primitiveClass_char_Classblock;
extern const struct CVMClassBlock0 primitiveClass_byte_Classblock;
extern const struct CVMClassBlock0 primitiveClass_short_Classblock;
extern const struct CVMClassBlock0 primitiveClass_int_Classblock;
extern const struct CVMClassBlock0 primitiveClass_long_Classblock;
extern const struct CVMClassBlock0 primitiveClass_float_Classblock;
extern const struct CVMClassBlock0 primitiveClass_double_Classblock;
struct CVMMethodArray61 { CVMClassBlock const *cb1; CVMMethodBlock mb1[61];
 };
extern struct CVMMethodArray61 java_lang_Class_methods;
extern const struct CVMMethodArray61 java_lang_Class_methodsMaster;
#include "generated/jni/java_lang_Class.h"
struct CVMFieldArray7 { CVMClassBlock const *cb1; CVMFieldBlock fb1[7]; };
extern const struct CVMFieldArray7 java_lang_Class_fields;
struct CVMClassBlock1 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 1]; };
extern const struct CVMClassBlock1 java_lang_Class_Classblock;
struct CVMMethodArray14 { CVMClassBlock const *cb1; CVMMethodBlock mb1[14];
 };
extern struct CVMMethodArray14 java_lang_Object_methods;
extern const struct CVMMethodArray14 java_lang_Object_methodsMaster;
#include "generated/jni/java_lang_Object.h"
extern const CVMMethodBlock* java_lang_Object_mt[11];
extern const struct CVMClassBlock0 java_lang_Object_Classblock;
struct CVMMethodArray62 { CVMClassBlock const *cb1; CVMMethodBlock mb1[62];
 };
extern const struct CVMMethodArray62 java_lang_String_methods;
#include "generated/jni/java_lang_String.h"
struct CVMFieldArray8 { CVMClassBlock const *cb1; CVMFieldBlock fb1[8]; };
extern const struct CVMFieldArray8 java_lang_String_fields;
struct CVMClassBlock2 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 2]; };
extern const struct CVMClassBlock2 java_lang_String_Classblock;
struct CVMMethodArray3 { CVMClassBlock const *cb1; CVMMethodBlock mb1[3];
 };
extern const struct CVMMethodArray3 java_util_Iterator_methods;
extern const struct CVMClassBlock0 java_util_Iterator_Classblock;
struct CVMMethodArray15 { CVMClassBlock const *cb1; CVMMethodBlock mb1[15];
 };
extern const struct CVMMethodArray15 java_util_Collection_methods;
extern const struct CVMClassBlock0 java_util_Collection_Classblock;
struct CVMMethodArray9 { CVMClassBlock const *cb1; CVMMethodBlock mb1[9];
 };
extern const struct CVMMethodArray9 java_util_ListIterator_methods;
extern const struct CVMClassBlock0 java_util_ListIterator_Classblock;
struct CVMMethodArray25 { CVMClassBlock const *cb1; CVMMethodBlock mb1[25];
 };
extern const struct CVMMethodArray25 java_util_List_methods;
extern const struct CVMClassBlock0 java_util_List_Classblock;
struct CVMMethodArray60 { CVMClassBlock const *cb1; CVMMethodBlock mb1[60];
 };
extern struct CVMMethodArray60 java_io_ObjectOutputStream_methods;
extern const struct CVMMethodArray60 java_io_ObjectOutputStream_methodsMaster;
#include "generated/jni/java_io_ObjectOutputStream.h"
struct CVMFieldArray25 { CVMClassBlock const *cb1; CVMFieldBlock fb1[25]; };
extern const struct CVMFieldArray25 java_io_ObjectOutputStream_fields;
struct CVMClassBlock5 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 5]; };
extern const struct CVMClassBlock5 java_io_ObjectOutputStream_Classblock;
struct CVMMethodArray63 { CVMClassBlock const *cb1; CVMMethodBlock mb1[63];
 };
extern struct CVMMethodArray63 java_io_ObjectInputStream_methods;
extern const struct CVMMethodArray63 java_io_ObjectInputStream_methodsMaster;
#include "generated/jni/java_io_ObjectInputStream.h"
struct CVMFieldArray29 { CVMClassBlock const *cb1; CVMFieldBlock fb1[29]; };
extern const struct CVMFieldArray29 java_io_ObjectInputStream_fields;
extern const struct CVMClassBlock2 java_io_ObjectInputStream_Classblock;
extern const struct CVMClassBlock1 java_io_ObjectOutputStream_1_Classblock;
struct CVMMethodArray10 { CVMClassBlock const *cb1; CVMMethodBlock mb1[10];
 };
extern const struct CVMMethodArray10 java_security_cert_Certificate_methods;
struct CVMFieldArray1 { CVMClassBlock const *cb1; CVMFieldBlock fb1[1]; };
extern const struct CVMFieldArray1 java_security_cert_Certificate_fields;
extern const struct CVMClassBlock1 java_security_cert_Certificate_Classblock;
extern const struct CVMFieldArray1 java_security_PublicKey_fields;
extern const struct CVMClassBlock0 java_security_PublicKey_Classblock;
struct CVMMethodArray4 { CVMClassBlock const *cb1; CVMMethodBlock mb1[4];
 };
extern const struct CVMMethodArray4 java_security_Principal_methods;
extern const struct CVMClassBlock0 java_security_Principal_Classblock;
struct CVMMethodArray18 { CVMClassBlock const *cb1; CVMMethodBlock mb1[18];
 };
extern const struct CVMMethodArray18 java_util_Date_methods;
struct CVMFieldArray10 { CVMClassBlock const *cb1; CVMFieldBlock fb1[10]; };
extern const struct CVMFieldArray10 java_util_Date_fields;
extern const struct CVMClassBlock0 java_util_Date_Classblock;
struct CVMMethodArray12 { CVMClassBlock const *cb1; CVMMethodBlock mb1[12];
 };
extern const struct CVMMethodArray12 java_security_cert_X509CRLEntry_methods;
extern const struct CVMClassBlock0 java_security_cert_X509CRLEntry_Classblock;
struct CVMMethodArray95 { CVMClassBlock const *cb1; CVMMethodBlock mb1[95];
 };
extern const struct CVMMethodArray95 java_math_BigInteger_methods;
struct CVMFieldArray22 { CVMClassBlock const *cb1; CVMFieldBlock fb1[22]; };
extern const struct CVMFieldArray22 java_math_BigInteger_fields;
extern const struct CVMClassBlock0 java_math_BigInteger_Classblock;
extern const struct CVMMethodArray15 java_util_Set_methods;
extern const struct CVMClassBlock0 java_util_Set_Classblock;
struct CVMMethodArray40 { CVMClassBlock const *cb1; CVMMethodBlock mb1[40];
 };
extern const struct CVMMethodArray40 sun_security_util_DerValue_methods;
struct CVMFieldArray27 { CVMClassBlock const *cb1; CVMFieldBlock fb1[27]; };
extern const struct CVMFieldArray27 sun_security_util_DerValue_fields;
extern const struct CVMClassBlock0 sun_security_util_DerValue_Classblock;
extern const struct CVMMethodArray10 java_io_InputStream_methods;
struct CVMFieldArray2 { CVMClassBlock const *cb1; CVMFieldBlock fb1[2]; };
extern const struct CVMFieldArray2 java_io_InputStream_fields;
extern const struct CVMClassBlock0 java_io_InputStream_Classblock;
struct CVMMethodArray36 { CVMClassBlock const *cb1; CVMMethodBlock mb1[36];
 };
extern const struct CVMMethodArray36 sun_security_x509_X500Name_methods;
struct CVMFieldArray32 { CVMClassBlock const *cb1; CVMFieldBlock fb1[32]; };
extern const struct CVMFieldArray32 sun_security_x509_X500Name_fields;
extern const struct CVMClassBlock0 sun_security_x509_X500Name_Classblock;
struct CVMMethodArray16 { CVMClassBlock const *cb1; CVMMethodBlock mb1[16];
 };
extern const struct CVMMethodArray16 sun_security_x509_CRLExtensions_methods;
struct CVMFieldArray4 { CVMClassBlock const *cb1; CVMFieldBlock fb1[4]; };
extern const struct CVMFieldArray4 sun_security_x509_CRLExtensions_fields;
extern const struct CVMClassBlock0 sun_security_x509_CRLExtensions_Classblock;
struct CVMMethodArray6 { CVMClassBlock const *cb1; CVMMethodBlock mb1[6];
 };
extern const struct CVMMethodArray6 java_io_OutputStream_methods;
extern const struct CVMClassBlock0 java_io_OutputStream_Classblock;
extern const struct CVMFieldArray1 java_security_PrivateKey_fields;
extern const struct CVMClassBlock0 java_security_PrivateKey_Classblock;
extern struct CVMMethodArray18 sun_io_CharToByteConverter_methods;
extern const struct CVMMethodArray18 sun_io_CharToByteConverter_methodsMaster;
struct CVMFieldArray5 { CVMClassBlock const *cb1; CVMFieldBlock fb1[5]; };
extern const struct CVMFieldArray5 sun_io_CharToByteConverter_fields;
extern const struct CVMClassBlock0 sun_io_CharToByteConverter_Classblock;
extern const struct CVMMethodArray15 java_security_IdentityScope_methods;
extern const struct CVMFieldArray1 java_security_IdentityScope_fields;
extern const struct CVMClassBlock1 java_security_IdentityScope_Classblock;
struct CVMMethodArray7 { CVMClassBlock const *cb1; CVMMethodBlock mb1[7];
 };
extern const struct CVMMethodArray7 java_security_Certificate_methods;
extern const struct CVMClassBlock0 java_security_Certificate_Classblock;
extern const struct CVMMethodArray3 java_security_Key_methods;
extern const struct CVMFieldArray1 java_security_Key_fields;
extern const struct CVMClassBlock0 java_security_Key_Classblock;
struct CVMMethodArray22 { CVMClassBlock const *cb1; CVMMethodBlock mb1[22];
 };
extern const struct CVMMethodArray22 java_security_Identity_methods;
struct CVMFieldArray6 { CVMClassBlock const *cb1; CVMFieldBlock fb1[6]; };
extern const struct CVMFieldArray6 java_security_Identity_fields;
extern const struct CVMClassBlock0 java_security_Identity_Classblock;
struct CVMMethodArray52 { CVMClassBlock const *cb1; CVMMethodBlock mb1[52];
 };
extern struct CVMMethodArray52 java_lang_ClassLoader_methods;
extern const struct CVMMethodArray52 java_lang_ClassLoader_methodsMaster;
#include "generated/jni/java_lang_ClassLoader.h"
struct CVMFieldArray21 { CVMClassBlock const *cb1; CVMFieldBlock fb1[21]; };
extern const struct CVMFieldArray21 java_lang_ClassLoader_fields;
extern const struct CVMClassBlock5 java_lang_ClassLoader_Classblock;
struct CVMMethodArray5 { CVMClassBlock const *cb1; CVMMethodBlock mb1[5];
 };
extern const struct CVMMethodArray5 java_security_ProtectionDomain_methods;
extern const struct CVMFieldArray2 java_security_ProtectionDomain_fields;
extern const struct CVMClassBlock0 java_security_ProtectionDomain_Classblock;
struct CVMMethodArray11 { CVMClassBlock const *cb1; CVMMethodBlock mb1[11];
 };
extern const struct CVMMethodArray11 java_security_CodeSource_methods;
struct CVMFieldArray3 { CVMClassBlock const *cb1; CVMFieldBlock fb1[3]; };
extern const struct CVMFieldArray3 java_security_CodeSource_fields;
extern const struct CVMClassBlock0 java_security_CodeSource_Classblock;
struct CVMMethodArray33 { CVMClassBlock const *cb1; CVMMethodBlock mb1[33];
 };
extern const struct CVMMethodArray33 java_net_URL_methods;
struct CVMFieldArray18 { CVMClassBlock const *cb1; CVMFieldBlock fb1[18]; };
extern const struct CVMFieldArray18 java_net_URL_fields;
extern const struct CVMClassBlock0 java_net_URL_Classblock;
struct CVMMethodArray2 { CVMClassBlock const *cb1; CVMMethodBlock mb1[2];
 };
extern const struct CVMMethodArray2 java_util_Enumeration_methods;
extern const struct CVMClassBlock0 java_util_Enumeration_Classblock;
extern const struct CVMMethodArray18 sun_misc_URLClassPath_methods;
extern const struct CVMFieldArray7 sun_misc_URLClassPath_fields;
extern const struct CVMClassBlock5 sun_misc_URLClassPath_Classblock;
extern const struct CVMMethodArray2 java_lang_RuntimePermission_methods;
extern const struct CVMClassBlock0 java_lang_RuntimePermission_Classblock;
struct CVMMethodArray29 { CVMClassBlock const *cb1; CVMMethodBlock mb1[29];
 };
extern const struct CVMMethodArray29 java_lang_Package_methods;
#include "generated/jni/java_lang_Package.h"
struct CVMFieldArray11 { CVMClassBlock const *cb1; CVMFieldBlock fb1[11]; };
extern const struct CVMFieldArray11 java_lang_Package_fields;
extern const struct CVMClassBlock2 java_lang_Package_Classblock;
struct CVMMethodArray50 { CVMClassBlock const *cb1; CVMMethodBlock mb1[50];
 };
extern const struct CVMMethodArray50 java_io_File_methods;
extern const struct CVMFieldArray11 java_io_File_fields;
extern const struct CVMClassBlock0 java_io_File_Classblock;
struct CVMMethodArray47 { CVMClassBlock const *cb1; CVMMethodBlock mb1[47];
 };
extern const struct CVMMethodArray47 java_util_Vector_methods;
extern const struct CVMFieldArray4 java_util_Vector_fields;
extern const struct CVMClassBlock1 java_util_Vector_Classblock;
extern const struct CVMMethodArray6 java_util_Stack_methods;
extern const struct CVMFieldArray1 java_util_Stack_fields;
extern const struct CVMClassBlock0 java_util_Stack_Classblock;
struct CVMMethodArray31 { CVMClassBlock const *cb1; CVMMethodBlock mb1[31];
 };
extern const struct CVMMethodArray31 java_io_PrintStream_methods;
extern const struct CVMFieldArray5 java_io_PrintStream_fields;
extern const struct CVMClassBlock0 java_io_PrintStream_Classblock;
struct CVMMethodArray34 { CVMClassBlock const *cb1; CVMMethodBlock mb1[34];
 };
extern const struct CVMMethodArray34 java_io_PrintWriter_methods;
extern const struct CVMFieldArray4 java_io_PrintWriter_fields;
extern const struct CVMClassBlock0 java_io_PrintWriter_Classblock;
extern const struct CVMMethodArray10 java_lang_Throwable_methods;
#include "generated/jni/java_lang_Throwable.h"
extern const struct CVMFieldArray3 java_lang_Throwable_fields;
extern const struct CVMClassBlock0 java_lang_Throwable_Classblock;
extern const struct CVMMethodArray14 java_util_Map_methods;
extern const struct CVMClassBlock1 java_util_Map_Classblock;
struct CVMMethodArray13 { CVMClassBlock const *cb1; CVMMethodBlock mb1[13];
 };
extern const struct CVMMethodArray13 sun_security_util_ObjectIdentifier_methods;
extern const struct CVMFieldArray4 sun_security_util_ObjectIdentifier_fields;
extern const struct CVMClassBlock0 sun_security_util_ObjectIdentifier_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_Extension_methods;
extern const struct CVMFieldArray3 sun_security_x509_Extension_fields;
extern const struct CVMClassBlock0 sun_security_x509_Extension_Classblock;
struct CVMMethodArray32 { CVMClassBlock const *cb1; CVMMethodBlock mb1[32];
 };
extern const struct CVMMethodArray32 sun_security_util_DerOutputStream_methods;
extern const struct CVMFieldArray2 sun_security_util_DerOutputStream_fields;
extern const struct CVMClassBlock0 sun_security_util_DerOutputStream_Classblock;
extern const struct CVMMethodArray16 sun_security_util_BitArray_methods;
extern const struct CVMFieldArray5 sun_security_util_BitArray_fields;
extern const struct CVMClassBlock0 sun_security_util_BitArray_Classblock;
extern const struct CVMMethodArray10 java_lang_Boolean_methods;
extern const struct CVMFieldArray5 java_lang_Boolean_fields;
extern const struct CVMClassBlock0 java_lang_Boolean_Classblock;
extern const struct CVMMethodArray9 java_security_Permission_methods;
extern const struct CVMFieldArray1 java_security_Permission_fields;
extern const struct CVMClassBlock0 java_security_Permission_Classblock;
extern const struct CVMMethodArray32 java_lang_ThreadGroup_methods;
struct CVMFieldArray12 { CVMClassBlock const *cb1; CVMFieldBlock fb1[12]; };
extern const struct CVMFieldArray12 java_lang_ThreadGroup_fields;
extern const struct CVMClassBlock0 java_lang_ThreadGroup_Classblock;
struct CVMMethodArray51 { CVMClassBlock const *cb1; CVMMethodBlock mb1[51];
 };
extern struct CVMMethodArray51 java_lang_Thread_methods;
extern const struct CVMMethodArray51 java_lang_Thread_methodsMaster;
#include "generated/jni/java_lang_Thread.h"
extern const struct CVMFieldArray22 java_lang_Thread_fields;
extern const struct CVMClassBlock0 java_lang_Thread_Classblock;
extern const struct CVMMethodArray6 java_io_FileDescriptor_methods;
#include "generated/jni/java_io_FileDescriptor.h"
extern const struct CVMFieldArray4 java_io_FileDescriptor_fields;
extern const struct CVMClassBlock0 java_io_FileDescriptor_Classblock;
struct CVMMethodArray23 { CVMClassBlock const *cb1; CVMMethodBlock mb1[23];
 };
extern struct CVMMethodArray23 java_net_InetAddress_methods;
extern const struct CVMMethodArray23 java_net_InetAddress_methodsMaster;
#include "generated/jni/java_net_InetAddress.h"
extern const struct CVMFieldArray12 java_net_InetAddress_fields;
extern const struct CVMClassBlock1 java_net_InetAddress_Classblock;
extern struct CVMMethodArray61 java_io_ObjectStreamClass_methods;
extern const struct CVMMethodArray61 java_io_ObjectStreamClass_methodsMaster;
#include "generated/jni/java_io_ObjectStreamClass.h"
struct CVMFieldArray38 { CVMClassBlock const *cb1; CVMFieldBlock fb1[38]; };
extern const struct CVMFieldArray38 java_io_ObjectStreamClass_fields;
struct CVMClassBlock6 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 6]; };
extern const struct CVMClassBlock6 java_io_ObjectStreamClass_Classblock;
extern const struct CVMMethodArray2 java_security_Security_1_methods;
extern const struct CVMClassBlock1 java_security_Security_1_Classblock;
struct CVMMethodArray35 { CVMClassBlock const *cb1; CVMMethodBlock mb1[35];
 };
extern const struct CVMMethodArray35 sun_security_util_DerInputStream_methods;
extern const struct CVMFieldArray1 sun_security_util_DerInputStream_fields;
extern const struct CVMClassBlock0 sun_security_util_DerInputStream_Classblock;
extern const struct CVMMethodArray12 sun_security_util_DerInputBuffer_methods;
extern const struct CVMClassBlock0 sun_security_util_DerInputBuffer_Classblock;
extern const struct CVMMethodArray10 java_io_PipedInputStream_methods;
struct CVMFieldArray9 { CVMClassBlock const *cb1; CVMFieldBlock fb1[9]; };
extern const struct CVMFieldArray9 java_io_PipedInputStream_fields;
extern const struct CVMClassBlock0 java_io_PipedInputStream_Classblock;
extern const struct CVMMethodArray15 java_util_jar_Manifest_methods;
extern const struct CVMFieldArray2 java_util_jar_Manifest_fields;
extern const struct CVMClassBlock2 java_util_jar_Manifest_Classblock;
struct CVMMethodArray42 { CVMClassBlock const *cb1; CVMMethodBlock mb1[42];
 };
extern const struct CVMMethodArray42 java_lang_StringBuffer_methods;
extern const struct CVMFieldArray4 java_lang_StringBuffer_fields;
extern const struct CVMClassBlock0 java_lang_StringBuffer_Classblock;
struct CVMMethodArray8 { CVMClassBlock const *cb1; CVMMethodBlock mb1[8];
 };
extern const struct CVMMethodArray8 java_security_Policy_methods;
extern const struct CVMFieldArray2 java_security_Policy_fields;
extern const struct CVMClassBlock1 java_security_Policy_Classblock;
extern const struct CVMMethodArray7 java_security_PermissionCollection_methods;
extern const struct CVMFieldArray1 java_security_PermissionCollection_fields;
extern const struct CVMClassBlock0 java_security_PermissionCollection_Classblock;
extern const struct CVMMethodArray22 java_security_KeyStore_methods;
extern const struct CVMFieldArray5 java_security_KeyStore_fields;
extern const struct CVMClassBlock1 java_security_KeyStore_Classblock;
extern const struct CVMMethodArray7 sun_security_provider_PolicyParser_GrantEntry_methods;
extern const struct CVMFieldArray3 sun_security_provider_PolicyParser_GrantEntry_fields;
extern const struct CVMClassBlock2 sun_security_provider_PolicyParser_GrantEntry_Classblock;
extern const struct CVMMethodArray8 java_security_Permissions_methods;
extern const struct CVMFieldArray3 java_security_Permissions_fields;
extern const struct CVMClassBlock0 java_security_Permissions_Classblock;
struct CVMMethodArray27 { CVMClassBlock const *cb1; CVMMethodBlock mb1[27];
 };
extern const struct CVMMethodArray27 sun_security_provider_PolicyFile_methods;
extern const struct CVMFieldArray10 sun_security_provider_PolicyFile_fields;
struct CVMClassBlock9 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 9]; };
extern const struct CVMClassBlock9 sun_security_provider_PolicyFile_Classblock;
extern const struct CVMMethodArray9 sun_security_util_Debug_methods;
extern const struct CVMFieldArray2 sun_security_util_Debug_fields;
extern const struct CVMClassBlock0 sun_security_util_Debug_Classblock;
extern const struct CVMMethodArray9 java_io_Writer_methods;
extern const struct CVMFieldArray3 java_io_Writer_fields;
extern const struct CVMClassBlock0 java_io_Writer_Classblock;
struct CVMMethodArray20 { CVMClassBlock const *cb1; CVMMethodBlock mb1[20];
 };
extern const struct CVMMethodArray20 java_util_BitSet_methods;
extern const struct CVMFieldArray6 java_util_BitSet_fields;
extern const struct CVMClassBlock0 java_util_BitSet_Classblock;
extern const struct CVMMethodArray35 java_util_Locale_methods;
struct CVMFieldArray33 { CVMClassBlock const *cb1; CVMFieldBlock fb1[33]; };
extern const struct CVMFieldArray33 java_util_Locale_fields;
extern const struct CVMClassBlock0 java_util_Locale_Classblock;
struct CVMMethodArray24 { CVMClassBlock const *cb1; CVMMethodBlock mb1[24];
 };
extern const struct CVMMethodArray24 java_util_TimeZone_methods;
#include "generated/jni/java_util_TimeZone.h"
struct CVMFieldArray15 { CVMClassBlock const *cb1; CVMFieldBlock fb1[15]; };
extern const struct CVMFieldArray15 java_util_TimeZone_fields;
extern const struct CVMClassBlock1 java_util_TimeZone_Classblock;
extern const struct CVMMethodArray36 java_util_SimpleTimeZone_methods;
extern const struct CVMFieldArray32 java_util_SimpleTimeZone_fields;
extern const struct CVMClassBlock0 java_util_SimpleTimeZone_Classblock;
struct CVMMethodArray1 { CVMClassBlock const *cb1; CVMMethodBlock mb1[1];
 };
extern const struct CVMMethodArray1 java_net_URLStreamHandlerFactory_methods;
extern const struct CVMClassBlock0 java_net_URLStreamHandlerFactory_Classblock;
extern struct CVMMethodArray9 sun_misc_Resource_methods;
extern const struct CVMMethodArray9 sun_misc_Resource_methodsMaster;
extern const struct CVMClassBlock0 sun_misc_Resource_Classblock;
struct CVMMethodArray17 { CVMClassBlock const *cb1; CVMMethodBlock mb1[17];
 };
extern const struct CVMMethodArray17 java_net_URLClassLoader_methods;
extern const struct CVMFieldArray2 java_net_URLClassLoader_fields;
struct CVMClassBlock7 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 7]; };
extern const struct CVMClassBlock7 java_net_URLClassLoader_Classblock;
extern const struct CVMMethodArray16 java_security_AccessControlContext_methods;
extern const struct CVMFieldArray6 java_security_AccessControlContext_fields;
extern const struct CVMClassBlock1 java_security_AccessControlContext_Classblock;
extern const struct CVMMethodArray7 sun_misc_Launcher_ExtClassLoader_methods;
extern const struct CVMFieldArray1 sun_misc_Launcher_ExtClassLoader_fields;
extern const struct CVMClassBlock2 sun_misc_Launcher_ExtClassLoader_Classblock;
struct CVMMethodArray46 { CVMClassBlock const *cb1; CVMMethodBlock mb1[46];
 };
extern const struct CVMMethodArray46 sun_misc_ProxyGenerator_methods;
struct CVMFieldArray16 { CVMClassBlock const *cb1; CVMFieldBlock fb1[16]; };
extern const struct CVMFieldArray16 sun_misc_ProxyGenerator_fields;
extern const struct CVMClassBlock7 sun_misc_ProxyGenerator_Classblock;
extern const struct CVMMethodArray2 sun_misc_ProxyGenerator_MethodInfo_methods;
extern const struct CVMFieldArray9 sun_misc_ProxyGenerator_MethodInfo_fields;
struct CVMClassBlock3 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 3]; };
extern const struct CVMClassBlock3 sun_misc_ProxyGenerator_MethodInfo_Classblock;
extern const struct CVMMethodArray18 java_io_DataOutputStream_methods;
extern const struct CVMFieldArray1 java_io_DataOutputStream_fields;
extern const struct CVMClassBlock0 java_io_DataOutputStream_Classblock;
extern const struct CVMMethodArray8 sun_misc_ProxyGenerator_ProxyMethod_methods;
extern const struct CVMFieldArray7 sun_misc_ProxyGenerator_ProxyMethod_fields;
extern const struct CVMClassBlock6 sun_misc_ProxyGenerator_ProxyMethod_Classblock;
extern const struct CVMMethodArray2 sun_misc_ProxyGenerator_1_methods;
extern const struct CVMFieldArray2 sun_misc_ProxyGenerator_1_fields;
extern const struct CVMClassBlock1 sun_misc_ProxyGenerator_1_Classblock;
extern const struct CVMMethodArray9 java_text_FieldPosition_methods;
extern const struct CVMFieldArray3 java_text_FieldPosition_fields;
extern const struct CVMClassBlock0 java_text_FieldPosition_Classblock;
extern const struct CVMMethodArray8 java_text_ParsePosition_methods;
extern const struct CVMFieldArray2 java_text_ParsePosition_fields;
extern const struct CVMClassBlock0 java_text_ParsePosition_Classblock;
extern const struct CVMMethodArray7 java_lang_Number_methods;
extern const struct CVMFieldArray1 java_lang_Number_fields;
extern const struct CVMClassBlock0 java_lang_Number_Classblock;
struct CVMMethodArray39 { CVMClassBlock const *cb1; CVMMethodBlock mb1[39];
 };
extern const struct CVMMethodArray39 java_text_NumberFormat_methods;
struct CVMFieldArray20 { CVMClassBlock const *cb1; CVMFieldBlock fb1[20]; };
extern const struct CVMFieldArray20 java_text_NumberFormat_fields;
extern const struct CVMClassBlock0 java_text_NumberFormat_Classblock;
extern const struct CVMMethodArray4 sun_security_x509_GeneralSubtrees_methods;
extern const struct CVMFieldArray1 sun_security_x509_GeneralSubtrees_fields;
extern const struct CVMClassBlock0 sun_security_x509_GeneralSubtrees_Classblock;
struct CVMMethodArray21 { CVMClassBlock const *cb1; CVMMethodBlock mb1[21];
 };
extern const struct CVMMethodArray21 java_security_MessageDigest_methods;
extern const struct CVMFieldArray5 java_security_MessageDigest_fields;
extern const struct CVMClassBlock1 java_security_MessageDigest_Classblock;
extern const struct CVMMethodArray8 sun_security_provider_SeedGenerator_methods;
extern const struct CVMFieldArray7 sun_security_provider_SeedGenerator_fields;
extern const struct CVMClassBlock3 sun_security_provider_SeedGenerator_Classblock;
extern const struct CVMMethodArray17 java_io_FilePermission_methods;
extern const struct CVMFieldArray16 java_io_FilePermission_fields;
extern const struct CVMClassBlock1 java_io_FilePermission_Classblock;
extern const struct CVMMethodArray1 sun_security_provider_Sun_methods;
extern const struct CVMFieldArray1 sun_security_provider_Sun_fields;
extern const struct CVMClassBlock1 sun_security_provider_Sun_Classblock;
extern const struct CVMMethodArray1 java_security_PrivilegedAction_methods;
extern const struct CVMClassBlock0 java_security_PrivilegedAction_Classblock;
extern const struct CVMMethodArray1 java_security_PrivilegedExceptionAction_methods;
extern const struct CVMClassBlock0 java_security_PrivilegedExceptionAction_Classblock;
extern const struct CVMMethodArray9 sun_security_x509_RDN_methods;
extern const struct CVMFieldArray1 sun_security_x509_RDN_fields;
extern const struct CVMClassBlock0 sun_security_x509_RDN_Classblock;
extern const struct CVMMethodArray18 java_util_Properties_methods;
extern const struct CVMFieldArray7 java_util_Properties_fields;
extern const struct CVMClassBlock0 java_util_Properties_Classblock;
extern const struct CVMMethodArray10 javax_realtime_MonitorControl_methods;
#include "generated/jni/javax_realtime_MonitorControl.h"
extern const struct CVMFieldArray3 javax_realtime_MonitorControl_fields;
extern const struct CVMClassBlock0 javax_realtime_MonitorControl_Classblock;
extern const struct CVMMethodArray3 javax_realtime_PriorityInheritance_methods;
extern const struct CVMFieldArray1 javax_realtime_PriorityInheritance_fields;
extern const struct CVMClassBlock0 javax_realtime_PriorityInheritance_Classblock;
extern const struct CVMMethodArray3 sun_security_x509_GeneralNames_methods;
extern const struct CVMClassBlock0 sun_security_x509_GeneralNames_Classblock;
extern const struct CVMMethodArray3 java_security_KeyPair_methods;
extern const struct CVMFieldArray2 java_security_KeyPair_fields;
extern const struct CVMClassBlock0 java_security_KeyPair_Classblock;
extern const struct CVMMethodArray14 javax_realtime_ReleaseParameters_methods;
extern const struct CVMFieldArray6 javax_realtime_ReleaseParameters_fields;
extern const struct CVMClassBlock0 javax_realtime_ReleaseParameters_Classblock;
extern const struct CVMMethodArray12 javax_realtime_MemoryParameters_methods;
extern const struct CVMFieldArray7 javax_realtime_MemoryParameters_fields;
extern const struct CVMClassBlock0 javax_realtime_MemoryParameters_Classblock;
extern const struct CVMMethodArray17 javax_realtime_ProcessingGroupParameters_methods;
extern const struct CVMFieldArray8 javax_realtime_ProcessingGroupParameters_fields;
extern const struct CVMClassBlock0 javax_realtime_ProcessingGroupParameters_Classblock;
extern const struct CVMMethodArray14 javax_realtime_Scheduler_methods;
#include "generated/jni/javax_realtime_Scheduler.h"
extern const struct CVMFieldArray4 javax_realtime_Scheduler_fields;
extern const struct CVMClassBlock0 javax_realtime_Scheduler_Classblock;
extern const struct CVMMethodArray1 javax_realtime_SchedulingParameters_methods;
extern const struct CVMClassBlock0 javax_realtime_SchedulingParameters_Classblock;
extern const struct CVMMethodArray22 java_lang_reflect_Method_methods;
#include "generated/cni/java_lang_reflect_Method.h"
extern const struct CVMFieldArray7 java_lang_reflect_Method_fields;
extern const struct CVMClassBlock2 java_lang_reflect_Method_Classblock;
extern const struct CVMMethodArray1 java_net_FileNameMap_methods;
extern const struct CVMClassBlock0 java_net_FileNameMap_Classblock;
extern const struct CVMMethodArray1 java_net_ContentHandlerFactory_methods;
extern const struct CVMClassBlock0 java_net_ContentHandlerFactory_Classblock;
extern const struct CVMMethodArray3 java_net_ContentHandler_methods;
extern const struct CVMClassBlock0 java_net_ContentHandler_Classblock;
extern const struct CVMMethodArray14 java_util_jar_JarFile_methods;
#include "generated/jni/java_util_jar_JarFile.h"
extern const struct CVMFieldArray7 java_util_jar_JarFile_fields;
extern const struct CVMClassBlock3 java_util_jar_JarFile_Classblock;
extern const struct CVMMethodArray5 java_util_jar_JarEntry_methods;
extern const struct CVMFieldArray2 java_util_jar_JarEntry_fields;
extern const struct CVMClassBlock0 java_util_jar_JarEntry_Classblock;
extern const struct CVMMethodArray24 java_util_jar_Attributes_methods;
extern const struct CVMFieldArray1 java_util_jar_Attributes_fields;
extern const struct CVMClassBlock3 java_util_jar_Attributes_Classblock;
extern const struct CVMMethodArray7 java_lang_reflect_AccessibleObject_methods;
extern const struct CVMFieldArray3 java_lang_reflect_AccessibleObject_fields;
extern const struct CVMClassBlock0 java_lang_reflect_AccessibleObject_Classblock;
extern const struct CVMMethodArray25 java_util_ArrayList_methods;
extern const struct CVMFieldArray2 java_util_ArrayList_fields;
extern const struct CVMClassBlock0 java_util_ArrayList_Classblock;
extern const struct CVMMethodArray5 sun_security_util_ManifestDigester_methods;
extern const struct CVMFieldArray2 sun_security_util_ManifestDigester_fields;
extern const struct CVMClassBlock2 sun_security_util_ManifestDigester_Classblock;
extern const struct CVMMethodArray35 java_util_Hashtable_methods;
struct CVMFieldArray14 { CVMClassBlock const *cb1; CVMFieldBlock fb1[14]; };
extern const struct CVMFieldArray14 java_util_Hashtable_fields;
extern const struct CVMClassBlock9 java_util_Hashtable_Classblock;
extern const struct CVMMethodArray5 sun_misc_BASE64Decoder_methods;
extern const struct CVMFieldArray3 sun_misc_BASE64Decoder_fields;
extern const struct CVMClassBlock0 sun_misc_BASE64Decoder_Classblock;
struct CVMMethodArray19 { CVMClassBlock const *cb1; CVMMethodBlock mb1[19];
 };
extern const struct CVMMethodArray19 sun_security_pkcs_SignerInfo_methods;
extern const struct CVMFieldArray8 sun_security_pkcs_SignerInfo_fields;
extern const struct CVMClassBlock0 sun_security_pkcs_SignerInfo_Classblock;
extern struct CVMMethodArray23 sun_security_pkcs_PKCS7_methods;
extern const struct CVMMethodArray23 sun_security_pkcs_PKCS7_methodsMaster;
extern const struct CVMFieldArray8 sun_security_pkcs_PKCS7_fields;
extern const struct CVMClassBlock0 sun_security_pkcs_PKCS7_Classblock;
extern struct CVMMethodArray25 java_util_ResourceBundle_methods;
extern const struct CVMMethodArray25 java_util_ResourceBundle_methodsMaster;
#include "generated/jni/java_util_ResourceBundle.h"
extern const struct CVMFieldArray10 java_util_ResourceBundle_fields;
extern const struct CVMClassBlock2 java_util_ResourceBundle_Classblock;
extern const struct CVMMethodArray25 java_text_MessageFormat_methods;
extern const struct CVMFieldArray10 java_text_MessageFormat_fields;
extern const struct CVMClassBlock0 java_text_MessageFormat_Classblock;
struct CVMMethodArray49 { CVMClassBlock const *cb1; CVMMethodBlock mb1[49];
 };
extern const struct CVMMethodArray49 java_net_URLConnection_methods;
extern const struct CVMFieldArray16 java_net_URLConnection_fields;
extern const struct CVMClassBlock1 java_net_URLConnection_Classblock;
extern const struct CVMMethodArray27 java_lang_reflect_Field_methods;
#include "generated/cni/java_lang_reflect_Field.h"
extern const struct CVMFieldArray5 java_lang_reflect_Field_fields;
extern const struct CVMClassBlock0 java_lang_reflect_Field_Classblock;
extern const struct CVMMethodArray12 java_lang_reflect_Constructor_methods;
#include "generated/cni/java_lang_reflect_Constructor.h"
extern const struct CVMFieldArray5 java_lang_reflect_Constructor_fields;
extern const struct CVMClassBlock2 java_lang_reflect_Constructor_Classblock;
extern const struct CVMMethodArray8 java_security_Signer_methods;
extern const struct CVMFieldArray1 java_security_Signer_fields;
extern const struct CVMClassBlock1 java_security_Signer_Classblock;
extern const struct CVMMethodArray1 sun_security_util_ManifestDigester_Position_methods;
extern const struct CVMFieldArray3 sun_security_util_ManifestDigester_Position_fields;
extern const struct CVMClassBlock1 sun_security_util_ManifestDigester_Position_Classblock;
extern const struct CVMMethodArray4 sun_security_util_ManifestDigester_Entry_methods;
extern const struct CVMFieldArray5 sun_security_util_ManifestDigester_Entry_fields;
extern const struct CVMClassBlock1 sun_security_util_ManifestDigester_Entry_Classblock;
extern const struct CVMMethodArray42 java_lang_SecurityManager_methods;
#include "generated/jni/java_lang_SecurityManager.h"
extern const struct CVMFieldArray18 java_lang_SecurityManager_fields;
extern const struct CVMClassBlock2 java_lang_SecurityManager_Classblock;
extern const struct CVMMethodArray2 java_lang_Exception_methods;
extern const struct CVMClassBlock0 java_lang_Exception_Classblock;
extern const struct CVMMethodArray7 java_lang_ref_ReferenceQueue_methods;
extern const struct CVMFieldArray4 java_lang_ref_ReferenceQueue_fields;
extern const struct CVMClassBlock3 java_lang_ref_ReferenceQueue_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_Reference_Lock_methods;
extern const struct CVMClassBlock2 java_lang_ref_Reference_Lock_Classblock;
extern const struct CVMMethodArray11 java_lang_ref_Reference_methods;
extern const struct CVMFieldArray5 java_lang_ref_Reference_fields;
extern const struct CVMClassBlock3 java_lang_ref_Reference_Classblock;
extern const struct CVMMethodArray21 javax_realtime_Schedulable_methods;
extern const struct CVMClassBlock0 javax_realtime_Schedulable_Classblock;
extern const struct CVMMethodArray16 javax_realtime_RelativeTime_methods;
extern const struct CVMClassBlock0 javax_realtime_RelativeTime_Classblock;
extern struct CVMMethodArray36 javax_realtime_AsyncEventHandler_methods;
extern const struct CVMMethodArray36 javax_realtime_AsyncEventHandler_methodsMaster;
extern const struct CVMFieldArray10 javax_realtime_AsyncEventHandler_fields;
extern const struct CVMClassBlock0 javax_realtime_AsyncEventHandler_Classblock;
extern const struct CVMMethodArray6 javax_realtime_SizeEstimator_methods;
#include "generated/jni/javax_realtime_SizeEstimator.h"
extern const struct CVMFieldArray2 javax_realtime_SizeEstimator_fields;
extern const struct CVMClassBlock0 javax_realtime_SizeEstimator_Classblock;
extern const struct CVMMethodArray1 java_lang_Runnable_methods;
extern const struct CVMClassBlock0 java_lang_Runnable_Classblock;
struct CVMMethodArray28 { CVMClassBlock const *cb1; CVMMethodBlock mb1[28];
 };
extern struct CVMMethodArray28 javax_realtime_MemoryArea_methods;
extern const struct CVMMethodArray28 javax_realtime_MemoryArea_methodsMaster;
#include "generated/jni/javax_realtime_MemoryArea.h"
extern const struct CVMFieldArray2 javax_realtime_MemoryArea_fields;
extern const struct CVMClassBlock0 javax_realtime_MemoryArea_Classblock;
extern const struct CVMMethodArray2 java_lang_Package_1_methods;
extern const struct CVMFieldArray2 java_lang_Package_1_fields;
extern const struct CVMClassBlock1 java_lang_Package_1_Classblock;
extern const struct CVMMethodArray21 java_net_SocketPermission_methods;
extern const struct CVMFieldArray18 java_net_SocketPermission_fields;
extern const struct CVMClassBlock0 java_net_SocketPermission_Classblock;
extern const struct CVMMethodArray50 java_math_MutableBigInteger_methods;
extern const struct CVMFieldArray4 java_math_MutableBigInteger_fields;
extern const struct CVMClassBlock0 java_math_MutableBigInteger_Classblock;
extern const struct CVMMethodArray8 java_math_SignedMutableBigInteger_methods;
extern const struct CVMFieldArray1 java_math_SignedMutableBigInteger_fields;
extern const struct CVMClassBlock0 java_math_SignedMutableBigInteger_Classblock;
extern const struct CVMMethodArray7 sun_misc_SoftCache_EntrySet_methods;
extern const struct CVMFieldArray2 sun_misc_SoftCache_EntrySet_fields;
struct CVMClassBlock4 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 4]; };
extern const struct CVMClassBlock4 sun_misc_SoftCache_EntrySet_Classblock;
extern const struct CVMMethodArray17 java_lang_ref_Finalizer_methods;
#include "generated/jni/java_lang_ref_Finalizer.h"
extern const struct CVMFieldArray5 java_lang_ref_Finalizer_fields;
extern const struct CVMClassBlock4 java_lang_ref_Finalizer_Classblock;
extern const struct CVMMethodArray1 java_util_LinkedList_Entry_methods;
extern const struct CVMFieldArray3 java_util_LinkedList_Entry_fields;
extern const struct CVMClassBlock1 java_util_LinkedList_Entry_Classblock;
extern const struct CVMMethodArray34 java_util_LinkedList_methods;
extern const struct CVMFieldArray3 java_util_LinkedList_fields;
extern const struct CVMClassBlock2 java_util_LinkedList_Classblock;
extern struct CVMMethodArray15 sun_io_ByteToCharConverter_methods;
extern const struct CVMMethodArray15 sun_io_ByteToCharConverter_methodsMaster;
extern const struct CVMFieldArray5 sun_io_ByteToCharConverter_fields;
extern const struct CVMClassBlock0 sun_io_ByteToCharConverter_Classblock;
struct CVMMethodArray30 { CVMClassBlock const *cb1; CVMMethodBlock mb1[30];
 };
extern const struct CVMMethodArray30 java_lang_Character_methods;
struct CVMFieldArray41 { CVMClassBlock const *cb1; CVMFieldBlock fb1[41]; };
extern const struct CVMFieldArray41 java_lang_Character_fields;
extern const struct CVMClassBlock2 java_lang_Character_Classblock;
extern const struct CVMClassBlock1 java_lang_ref_ReferenceQueue_1_Classblock;
extern const struct CVMMethodArray24 java_lang_Double_methods;
#include "generated/jni/java_lang_Double.h"
extern const struct CVMFieldArray8 java_lang_Double_fields;
extern const struct CVMClassBlock0 java_lang_Double_Classblock;
extern const struct CVMMethodArray2 sun_misc_URLClassPath_FileLoader_methods;
extern const struct CVMFieldArray1 sun_misc_URLClassPath_FileLoader_fields;
extern const struct CVMClassBlock3 sun_misc_URLClassPath_FileLoader_Classblock;
extern const struct CVMMethodArray4 javax_realtime_ImmortalMemory_methods;
#include "generated/jni/javax_realtime_ImmortalMemory.h"
extern const struct CVMFieldArray2 javax_realtime_ImmortalMemory_fields;
extern const struct CVMClassBlock0 javax_realtime_ImmortalMemory_Classblock;
extern const struct CVMMethodArray11 sun_misc_URLClassPath_JarLoader_methods;
extern const struct CVMFieldArray5 sun_misc_URLClassPath_JarLoader_fields;
extern const struct CVMClassBlock5 sun_misc_URLClassPath_JarLoader_Classblock;
extern const struct CVMMethodArray6 java_util_SortedMap_methods;
extern const struct CVMClassBlock0 java_util_SortedMap_Classblock;
extern const struct CVMMethodArray2 java_util_Comparator_methods;
extern const struct CVMClassBlock0 java_util_Comparator_Classblock;
extern const struct CVMClassBlock1 java_util_Hashtable_1_Classblock;
extern const struct CVMMethodArray6 sun_misc_URLClassPath_Loader_methods;
extern const struct CVMFieldArray1 sun_misc_URLClassPath_Loader_fields;
extern const struct CVMClassBlock2 sun_misc_URLClassPath_Loader_Classblock;
extern const struct CVMMethodArray15 java_util_WeakHashMap_methods;
extern const struct CVMFieldArray3 java_util_WeakHashMap_fields;
extern const struct CVMClassBlock4 java_util_WeakHashMap_Classblock;
extern const struct CVMMethodArray4 java_util_WeakHashMap_1_methods;
extern const struct CVMFieldArray3 java_util_WeakHashMap_1_fields;
extern const struct CVMClassBlock5 java_util_WeakHashMap_1_Classblock;
extern const struct CVMMethodArray5 sun_misc_ExtensionInfo_methods;
struct CVMFieldArray13 { CVMClassBlock const *cb1; CVMFieldBlock fb1[13]; };
extern const struct CVMFieldArray13 sun_misc_ExtensionInfo_fields;
extern const struct CVMClassBlock1 sun_misc_ExtensionInfo_Classblock;
extern const struct CVMMethodArray21 java_io_ObjectStreamField_methods;
extern const struct CVMFieldArray8 java_io_ObjectStreamField_fields;
extern const struct CVMClassBlock0 java_io_ObjectStreamField_Classblock;
extern const struct CVMMethodArray5 java_util_Collections_SingletonSet_methods;
extern const struct CVMFieldArray2 java_util_Collections_SingletonSet_fields;
extern const struct CVMClassBlock2 java_util_Collections_SingletonSet_Classblock;
extern const struct CVMMethodArray5 sun_security_x509_CertificatePolicyId_methods;
extern const struct CVMFieldArray1 sun_security_x509_CertificatePolicyId_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificatePolicyId_Classblock;
struct CVMMethodArray82 { CVMClassBlock const *cb1; CVMMethodBlock mb1[82];
 };
extern const struct CVMMethodArray82 javax_realtime_RealtimeThread_methods;
#include "generated/jni/javax_realtime_RealtimeThread.h"
struct CVMFieldArray26 { CVMClassBlock const *cb1; CVMFieldBlock fb1[26]; };
extern const struct CVMFieldArray26 javax_realtime_RealtimeThread_fields;
extern const struct CVMClassBlock1 javax_realtime_RealtimeThread_Classblock;
extern const struct CVMMethodArray7 javax_realtime_Clock_methods;
extern const struct CVMFieldArray1 javax_realtime_Clock_fields;
extern const struct CVMClassBlock0 javax_realtime_Clock_Classblock;
extern const struct CVMMethodArray19 javax_realtime_HighResolutionTime_methods;
#include "generated/jni/javax_realtime_HighResolutionTime.h"
extern const struct CVMFieldArray4 javax_realtime_HighResolutionTime_fields;
extern const struct CVMClassBlock0 javax_realtime_HighResolutionTime_Classblock;
extern struct CVMMethodArray18 javax_realtime_AsynchronouslyInterruptedException_methods;
extern const struct CVMMethodArray18 javax_realtime_AsynchronouslyInterruptedException_methodsMaster;
#include "generated/jni/javax_realtime_AsynchronouslyInterruptedException.h"
extern const struct CVMFieldArray6 javax_realtime_AsynchronouslyInterruptedException_fields;
extern const struct CVMClassBlock0 javax_realtime_AsynchronouslyInterruptedException_Classblock;
extern const struct CVMMethodArray19 javax_realtime_AbsoluteTime_methods;
extern const struct CVMClassBlock0 javax_realtime_AbsoluteTime_Classblock;
extern const struct CVMMethodArray15 javax_realtime_Timer_methods;
extern const struct CVMFieldArray13 javax_realtime_Timer_fields;
extern const struct CVMClassBlock1 javax_realtime_Timer_Classblock;
extern const struct CVMMethodArray5 java_security_AllPermissionCollection_methods;
extern const struct CVMFieldArray2 java_security_AllPermissionCollection_fields;
extern const struct CVMClassBlock1 java_security_AllPermissionCollection_Classblock;
extern const struct CVMMethodArray6 java_io_ObjectOutput_methods;
extern const struct CVMClassBlock0 java_io_ObjectOutput_Classblock;
extern const struct CVMMethodArray5 java_security_cert_CertificateFactorySpi_methods;
extern const struct CVMClassBlock0 java_security_cert_CertificateFactorySpi_Classblock;
extern const struct CVMMethodArray18 java_security_Provider_methods;
extern const struct CVMFieldArray6 java_security_Provider_fields;
extern const struct CVMClassBlock0 java_security_Provider_Classblock;
extern const struct CVMMethodArray13 java_security_cert_CertificateFactory_methods;
extern const struct CVMFieldArray8 java_security_cert_CertificateFactory_fields;
extern const struct CVMClassBlock1 java_security_cert_CertificateFactory_Classblock;
extern const struct CVMMethodArray4 java_security_cert_CRL_methods;
extern const struct CVMFieldArray1 java_security_cert_CRL_fields;
extern const struct CVMClassBlock0 java_security_cert_CRL_Classblock;
extern const struct CVMMethodArray2 sun_security_x509_GeneralNameInterface_methods;
extern const struct CVMFieldArray9 sun_security_x509_GeneralNameInterface_fields;
extern const struct CVMClassBlock0 sun_security_x509_GeneralNameInterface_Classblock;
extern const struct CVMMethodArray30 java_text_DateFormat_methods;
extern const struct CVMFieldArray26 java_text_DateFormat_fields;
extern const struct CVMClassBlock0 java_text_DateFormat_Classblock;
extern const struct CVMMethodArray52 java_util_Calendar_methods;
struct CVMFieldArray61 { CVMClassBlock const *cb1; CVMFieldBlock fb1[61]; };
extern const struct CVMFieldArray61 java_util_Calendar_fields;
extern const struct CVMClassBlock0 java_util_Calendar_Classblock;
extern const struct CVMMethodArray31 java_text_DateFormatSymbols_methods;
extern const struct CVMFieldArray13 java_text_DateFormatSymbols_fields;
extern const struct CVMClassBlock0 java_text_DateFormatSymbols_Classblock;
extern const struct CVMMethodArray17 java_util_AbstractList_methods;
extern const struct CVMFieldArray1 java_util_AbstractList_fields;
extern const struct CVMClassBlock3 java_util_AbstractList_Classblock;
extern const struct CVMClassBlock1 java_util_AbstractList_1_Classblock;
extern const struct CVMMethodArray6 java_text_Format_methods;
extern const struct CVMClassBlock0 java_text_Format_Classblock;
extern const struct CVMMethodArray11 java_io_Reader_methods;
extern const struct CVMFieldArray3 java_io_Reader_fields;
extern const struct CVMClassBlock0 java_io_Reader_Classblock;
extern const struct CVMMethodArray3 java_lang_Character_UnicodeBlock_methods;
struct CVMFieldArray68 { CVMClassBlock const *cb1; CVMFieldBlock fb1[68]; };
extern const struct CVMFieldArray68 java_lang_Character_UnicodeBlock_fields;
extern const struct CVMClassBlock2 java_lang_Character_UnicodeBlock_Classblock;
extern const struct CVMMethodArray28 java_util_zip_ZipEntry_methods;
#include "generated/jni/java_util_zip_ZipEntry.h"
extern const struct CVMFieldArray13 java_util_zip_ZipEntry_fields;
extern const struct CVMClassBlock0 java_util_zip_ZipEntry_Classblock;
extern const struct CVMClassBlock1 javax_realtime_PhysicalMemoryManager_1_Classblock;
extern const struct CVMMethodArray4 java_util_Collections_1_methods;
extern const struct CVMFieldArray2 java_util_Collections_1_fields;
extern const struct CVMClassBlock2 java_util_Collections_1_Classblock;
extern const struct CVMMethodArray4 java_lang_Shutdown_WrappedHook_methods;
extern const struct CVMFieldArray1 java_lang_Shutdown_WrappedHook_fields;
extern const struct CVMClassBlock1 java_lang_Shutdown_WrappedHook_Classblock;
extern const struct CVMMethodArray23 sun_security_x509_AlgorithmId_methods;
extern const struct CVMFieldArray38 sun_security_x509_AlgorithmId_fields;
extern const struct CVMClassBlock0 sun_security_x509_AlgorithmId_Classblock;
extern const struct CVMMethodArray12 java_security_AlgorithmParameters_methods;
extern const struct CVMFieldArray4 java_security_AlgorithmParameters_fields;
extern const struct CVMClassBlock0 java_security_AlgorithmParameters_Classblock;
extern const struct CVMMethodArray4 java_net_URLClassLoader_3_methods;
extern const struct CVMFieldArray3 java_net_URLClassLoader_3_fields;
extern const struct CVMClassBlock2 java_net_URLClassLoader_3_Classblock;
extern const struct CVMMethodArray30 java_util_HashMap_methods;
extern const struct CVMFieldArray13 java_util_HashMap_fields;
extern const struct CVMClassBlock7 java_util_HashMap_Classblock;
extern const struct CVMMethodArray9 sun_misc_PathPermissions_methods;
extern const struct CVMFieldArray4 sun_misc_PathPermissions_fields;
extern const struct CVMClassBlock1 sun_misc_PathPermissions_Classblock;
extern const struct CVMMethodArray11 java_net_URLStreamHandler_methods;
extern const struct CVMClassBlock0 java_net_URLStreamHandler_Classblock;
extern const struct CVMMethodArray2 sun_misc_Launcher_1_methods;
extern const struct CVMClassBlock1 sun_misc_Launcher_1_Classblock;
extern const struct CVMMethodArray11 sun_security_util_BigInt_methods;
extern const struct CVMFieldArray2 sun_security_util_BigInt_fields;
extern const struct CVMClassBlock0 sun_security_util_BigInt_Classblock;
extern const struct CVMMethodArray2 javax_realtime_GarbageCollector_methods;
extern const struct CVMClassBlock0 javax_realtime_GarbageCollector_Classblock;
extern const struct CVMMethodArray6 javax_realtime_RealtimeSecurity_methods;
extern const struct CVMFieldArray1 javax_realtime_RealtimeSecurity_fields;
extern const struct CVMClassBlock0 javax_realtime_RealtimeSecurity_Classblock;
extern const struct CVMMethodArray1 sun_misc_ExtensionInstallationProvider_methods;
extern const struct CVMClassBlock0 sun_misc_ExtensionInstallationProvider_Classblock;
extern const struct CVMMethodArray19 sun_misc_ExtensionDependency_methods;
extern const struct CVMFieldArray2 sun_misc_ExtensionDependency_fields;
extern const struct CVMClassBlock5 sun_misc_ExtensionDependency_Classblock;
extern const struct CVMMethodArray4 java_util_PropertyResourceBundle_methods;
extern const struct CVMFieldArray1 java_util_PropertyResourceBundle_fields;
extern const struct CVMClassBlock1 java_util_PropertyResourceBundle_Classblock;
extern const struct CVMMethodArray6 java_util_SortedSet_methods;
extern const struct CVMClassBlock0 java_util_SortedSet_Classblock;
extern const struct CVMMethodArray4 java_lang_ThreadLocal_methods;
extern const struct CVMFieldArray2 java_lang_ThreadLocal_fields;
extern const struct CVMClassBlock1 java_lang_ThreadLocal_Classblock;
extern const struct CVMMethodArray1 java_security_Guard_methods;
extern const struct CVMClassBlock0 java_security_Guard_Classblock;
extern const struct CVMMethodArray18 sun_misc_SoftCache_methods;
extern const struct CVMFieldArray3 sun_misc_SoftCache_fields;
extern const struct CVMClassBlock4 sun_misc_SoftCache_Classblock;
extern const struct CVMMethodArray4 sun_misc_SoftCache_1_methods;
extern const struct CVMFieldArray3 sun_misc_SoftCache_1_fields;
extern const struct CVMClassBlock5 sun_misc_SoftCache_1_Classblock;
extern const struct CVMMethodArray28 sun_security_provider_IdentityDatabase_methods;
extern const struct CVMFieldArray5 sun_security_provider_IdentityDatabase_fields;
extern const struct CVMClassBlock1 sun_security_provider_IdentityDatabase_Classblock;
extern const struct CVMMethodArray3 sun_misc_ProxyGenerator_PrimitiveTypeInfo_methods;
extern const struct CVMFieldArray6 sun_misc_ProxyGenerator_PrimitiveTypeInfo_fields;
extern const struct CVMClassBlock1 sun_misc_ProxyGenerator_PrimitiveTypeInfo_Classblock;
extern const struct CVMMethodArray10 sun_security_pkcs_ContentInfo_methods;
extern const struct CVMFieldArray22 sun_security_pkcs_ContentInfo_fields;
extern const struct CVMClassBlock0 sun_security_pkcs_ContentInfo_Classblock;
extern const struct CVMMethodArray22 java_security_cert_X509Certificate_methods;
extern const struct CVMClassBlock0 java_security_cert_X509Certificate_Classblock;
extern const struct CVMMethodArray21 java_security_cert_X509CRL_methods;
extern const struct CVMClassBlock0 java_security_cert_X509CRL_Classblock;
extern const struct CVMMethodArray14 java_util_Collections_UnmodifiableList_methods;
extern const struct CVMFieldArray2 java_util_Collections_UnmodifiableList_fields;
extern const struct CVMClassBlock3 java_util_Collections_UnmodifiableList_Classblock;
extern const struct CVMMethodArray14 javax_realtime_EDFScheduler_methods;
extern const struct CVMFieldArray3 javax_realtime_EDFScheduler_fields;
extern const struct CVMClassBlock0 javax_realtime_EDFScheduler_Classblock;
extern const struct CVMMethodArray8 java_util_HashMap_Entry_methods;
extern const struct CVMFieldArray4 java_util_HashMap_Entry_fields;
extern const struct CVMClassBlock2 java_util_HashMap_Entry_Classblock;
extern const struct CVMMethodArray12 java_util_Random_methods;
extern const struct CVMFieldArray9 java_util_Random_fields;
extern const struct CVMClassBlock0 java_util_Random_Classblock;
extern const struct CVMMethodArray10 java_io_StringReader_methods;
extern const struct CVMFieldArray4 java_io_StringReader_fields;
extern const struct CVMClassBlock0 java_io_StringReader_Classblock;
extern const struct CVMMethodArray10 sun_security_x509_AVA_methods;
extern const struct CVMFieldArray4 sun_security_x509_AVA_fields;
extern const struct CVMClassBlock0 sun_security_x509_AVA_Classblock;
extern const struct CVMMethodArray5 java_util_Collections_EmptySet_methods;
extern const struct CVMFieldArray1 java_util_Collections_EmptySet_fields;
extern const struct CVMClassBlock3 java_util_Collections_EmptySet_Classblock;
extern const struct CVMMethodArray7 java_util_Collections_UnmodifiableMap_UnmodifiableEntrySet_methods;
extern const struct CVMClassBlock7 java_util_Collections_UnmodifiableMap_UnmodifiableEntrySet_Classblock;
extern const struct CVMMethodArray15 java_util_Collections_UnmodifiableCollection_methods;
extern const struct CVMFieldArray2 java_util_Collections_UnmodifiableCollection_fields;
extern const struct CVMClassBlock2 java_util_Collections_UnmodifiableCollection_Classblock;
extern const struct CVMMethodArray29 sun_security_x509_X509CertInfo_methods;
struct CVMFieldArray34 { CVMClassBlock const *cb1; CVMFieldBlock fb1[34]; };
extern const struct CVMFieldArray34 sun_security_x509_X509CertInfo_fields;
extern const struct CVMClassBlock0 sun_security_x509_X509CertInfo_Classblock;
extern const struct CVMMethodArray11 sun_misc_SoftCache_ValueCell_methods;
extern const struct CVMFieldArray3 sun_misc_SoftCache_ValueCell_fields;
extern const struct CVMClassBlock1 sun_misc_SoftCache_ValueCell_Classblock;
extern const struct CVMClassBlock1 java_lang_String_1_Classblock;
extern const struct CVMMethodArray1 sun_security_util_DerEncoder_methods;
extern const struct CVMClassBlock0 sun_security_util_DerEncoder_Classblock;
extern const struct CVMMethodArray17 sun_net_www_MessageHeader_methods;
extern const struct CVMFieldArray3 sun_net_www_MessageHeader_fields;
extern const struct CVMClassBlock0 sun_net_www_MessageHeader_Classblock;
extern const struct CVMMethodArray10 javax_realtime_PhysicalMemoryTypeFilter_methods;
extern const struct CVMClassBlock0 javax_realtime_PhysicalMemoryTypeFilter_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_SeedGenerator_1_methods;
extern const struct CVMFieldArray2 sun_security_provider_SeedGenerator_1_fields;
extern const struct CVMClassBlock1 sun_security_provider_SeedGenerator_1_Classblock;
extern const struct CVMMethodArray20 java_lang_Byte_methods;
extern const struct CVMFieldArray5 java_lang_Byte_fields;
extern const struct CVMClassBlock0 java_lang_Byte_Classblock;
extern const struct CVMMethodArray5 java_util_Map_Entry_methods;
extern const struct CVMClassBlock1 java_util_Map_Entry_Classblock;
extern const struct CVMMethodArray16 java_lang_FDBigInt_methods;
extern const struct CVMFieldArray2 java_lang_FDBigInt_fields;
extern const struct CVMClassBlock0 java_lang_FDBigInt_Classblock;
extern const struct CVMMethodArray19 java_lang_FloatingDecimal_methods;
struct CVMFieldArray48 { CVMClassBlock const *cb1; CVMFieldBlock fb1[48]; };
extern const struct CVMFieldArray48 java_lang_FloatingDecimal_fields;
extern const struct CVMClassBlock0 java_lang_FloatingDecimal_Classblock;
extern const struct CVMMethodArray20 javax_realtime_PriorityScheduler_methods;
extern const struct CVMFieldArray5 javax_realtime_PriorityScheduler_fields;
extern const struct CVMClassBlock0 javax_realtime_PriorityScheduler_Classblock;
extern const struct CVMMethodArray18 sun_misc_ProxyGenerator_ConstantPool_methods;
extern const struct CVMFieldArray3 sun_misc_ProxyGenerator_ConstantPool_fields;
extern const struct CVMClassBlock5 sun_misc_ProxyGenerator_ConstantPool_Classblock;
extern const struct CVMMethodArray3 sun_misc_ProxyGenerator_ConstantPool_Entry_methods;
extern const struct CVMClassBlock3 sun_misc_ProxyGenerator_ConstantPool_Entry_Classblock;
extern const struct CVMMethodArray5 sun_misc_ProxyGenerator_ConstantPool_IndirectEntry_methods;
extern const struct CVMFieldArray3 sun_misc_ProxyGenerator_ConstantPool_IndirectEntry_fields;
extern const struct CVMClassBlock4 sun_misc_ProxyGenerator_ConstantPool_IndirectEntry_Classblock;
extern const struct CVMMethodArray28 java_util_zip_Inflater_methods;
#include "generated/jni/java_util_zip_Inflater.h"
extern const struct CVMFieldArray6 java_util_zip_Inflater_fields;
extern const struct CVMClassBlock0 java_util_zip_Inflater_Classblock;
extern const struct CVMMethodArray2 javax_realtime_Interruptible_methods;
extern const struct CVMClassBlock0 javax_realtime_Interruptible_Classblock;
extern const struct CVMMethodArray4 java_security_SecureRandomSpi_methods;
extern const struct CVMClassBlock0 java_security_SecureRandomSpi_Classblock;
extern const struct CVMMethodArray16 java_security_SecureRandom_methods;
extern const struct CVMFieldArray9 java_security_SecureRandom_fields;
extern const struct CVMClassBlock0 java_security_SecureRandom_Classblock;
extern const struct CVMMethodArray1 java_io_FilenameFilter_methods;
extern const struct CVMClassBlock0 java_io_FilenameFilter_Classblock;
extern const struct CVMMethodArray1 java_io_FileFilter_methods;
extern const struct CVMClassBlock0 java_io_FileFilter_Classblock;
extern const struct CVMMethodArray11 sun_misc_Launcher_methods;
extern const struct CVMFieldArray4 sun_misc_Launcher_fields;
extern const struct CVMClassBlock5 sun_misc_Launcher_Classblock;
extern const struct CVMMethodArray12 sun_misc_JarIndex_methods;
extern const struct CVMFieldArray4 sun_misc_JarIndex_fields;
extern const struct CVMClassBlock1 sun_misc_JarIndex_Classblock;
extern const struct CVMMethodArray8 java_util_Hashtable_Entry_methods;
extern const struct CVMFieldArray4 java_util_Hashtable_Entry_fields;
extern const struct CVMClassBlock2 java_util_Hashtable_Entry_Classblock;
struct CVMMethodArray26 { CVMClassBlock const *cb1; CVMMethodBlock mb1[26];
 };
extern const struct CVMMethodArray26 java_io_FileSystem_methods;
#include "generated/jni/java_io_FileSystem.h"
extern const struct CVMFieldArray4 java_io_FileSystem_fields;
extern const struct CVMClassBlock0 java_io_FileSystem_Classblock;
extern const struct CVMMethodArray11 java_io_ObjectOutputStream_PutField_methods;
extern const struct CVMClassBlock1 java_io_ObjectOutputStream_PutField_Classblock;
extern const struct CVMMethodArray8 java_security_AlgorithmParametersSpi_methods;
extern const struct CVMClassBlock0 java_security_AlgorithmParametersSpi_Classblock;
extern const struct CVMClassBlock0 java_security_spec_AlgorithmParameterSpec_Classblock;
extern const struct CVMMethodArray6 javax_realtime_HeapMemory_methods;
#include "generated/jni/javax_realtime_HeapMemory.h"
extern const struct CVMFieldArray1 javax_realtime_HeapMemory_fields;
extern const struct CVMClassBlock0 javax_realtime_HeapMemory_Classblock;
extern const struct CVMMethodArray23 java_security_Signature_methods;
extern const struct CVMFieldArray7 java_security_Signature_fields;
extern const struct CVMClassBlock1 java_security_Signature_Classblock;
extern const struct CVMMethodArray8 java_security_MessageDigestSpi_methods;
extern const struct CVMClassBlock0 java_security_MessageDigestSpi_Classblock;
extern const struct CVMMethodArray26 java_lang_Runtime_methods;
#include "generated/jni/java_lang_Runtime.h"
extern const struct CVMFieldArray1 java_lang_Runtime_fields;
extern const struct CVMClassBlock0 java_lang_Runtime_Classblock;
extern const struct CVMMethodArray7 java_lang_Process_methods;
extern const struct CVMClassBlock0 java_lang_Process_Classblock;
extern const struct CVMMethodArray34 java_util_zip_ZipFile_methods;
#include "generated/jni/java_util_zip_ZipFile.h"
extern const struct CVMFieldArray10 java_util_zip_ZipFile_fields;
extern const struct CVMClassBlock4 java_util_zip_ZipFile_Classblock;
extern const struct CVMMethodArray1 java_io_ObjectInputValidation_methods;
extern const struct CVMClassBlock0 java_io_ObjectInputValidation_Classblock;
extern const struct CVMMethodArray2 java_util_ResourceBundle_1_methods;
extern const struct CVMFieldArray2 java_util_ResourceBundle_1_fields;
extern const struct CVMClassBlock1 java_util_ResourceBundle_1_Classblock;
extern const struct CVMMethodArray7 java_io_ObjectInput_methods;
extern const struct CVMClassBlock0 java_io_ObjectInput_Classblock;
extern const struct CVMMethodArray12 java_io_BufferedWriter_methods;
extern const struct CVMFieldArray6 java_io_BufferedWriter_fields;
extern const struct CVMClassBlock0 java_io_BufferedWriter_Classblock;
extern const struct CVMMethodArray7 sun_security_x509_UniqueIdentity_methods;
extern const struct CVMFieldArray1 sun_security_x509_UniqueIdentity_fields;
extern const struct CVMClassBlock0 sun_security_x509_UniqueIdentity_Classblock;
extern const struct CVMMethodArray36 java_text_DecimalFormatSymbols_methods;
extern const struct CVMFieldArray18 java_text_DecimalFormatSymbols_fields;
extern const struct CVMClassBlock0 java_text_DecimalFormatSymbols_Classblock;
extern const struct CVMMethodArray19 java_text_DigitList_methods;
extern const struct CVMFieldArray8 java_text_DigitList_fields;
extern const struct CVMClassBlock0 java_text_DigitList_Classblock;
extern const struct CVMMethodArray9 java_util_jar_JarVerifier_methods;
extern const struct CVMFieldArray13 java_util_jar_JarVerifier_fields;
extern const struct CVMClassBlock1 java_util_jar_JarVerifier_Classblock;
extern const struct CVMClassBlock0 java_security_spec_KeySpec_Classblock;
extern const struct CVMClassBlock1 java_lang_Shutdown_1_Classblock;
extern const struct CVMMethodArray28 java_lang_Integer_methods;
extern const struct CVMFieldArray8 java_lang_Integer_fields;
extern const struct CVMClassBlock0 java_lang_Integer_Classblock;
extern const struct CVMMethodArray5 sun_security_provider_PolicyParser_PermissionEntry_methods;
extern const struct CVMFieldArray4 sun_security_provider_PolicyParser_PermissionEntry_fields;
extern const struct CVMClassBlock1 sun_security_provider_PolicyParser_PermissionEntry_Classblock;
extern const struct CVMMethodArray12 java_io_ObjectInputStream_GetField_methods;
extern const struct CVMClassBlock1 java_io_ObjectInputStream_GetField_Classblock;
extern const struct CVMMethodArray2 java_lang_Error_methods;
extern const struct CVMClassBlock0 java_lang_Error_Classblock;
extern const struct CVMMethodArray20 java_lang_Short_methods;
extern const struct CVMFieldArray5 java_lang_Short_fields;
extern const struct CVMClassBlock0 java_lang_Short_Classblock;
extern const struct CVMMethodArray8 java_util_WeakHashMap_WeakKey_methods;
extern const struct CVMFieldArray1 java_util_WeakHashMap_WeakKey_fields;
extern const struct CVMClassBlock1 java_util_WeakHashMap_WeakKey_Classblock;
extern const struct CVMMethodArray1 java_lang_reflect_InvocationHandler_methods;
extern const struct CVMClassBlock0 java_lang_reflect_InvocationHandler_Classblock;
extern const struct CVMMethodArray26 sun_net_www_MimeEntry_methods;
extern const struct CVMFieldArray14 sun_net_www_MimeEntry_fields;
extern const struct CVMClassBlock0 sun_net_www_MimeEntry_Classblock;
extern const struct CVMMethodArray28 java_lang_Long_methods;
extern const struct CVMFieldArray5 java_lang_Long_fields;
extern const struct CVMClassBlock0 java_lang_Long_Classblock;
extern struct CVMMethodArray28 sun_net_www_MimeTable_methods;
extern const struct CVMMethodArray28 sun_net_www_MimeTable_methodsMaster;
extern const struct CVMFieldArray7 sun_net_www_MimeTable_fields;
extern const struct CVMClassBlock2 sun_net_www_MimeTable_Classblock;
extern const struct CVMMethodArray17 java_security_KeyStoreSpi_methods;
extern const struct CVMClassBlock0 java_security_KeyStoreSpi_Classblock;
extern const struct CVMMethodArray7 java_io_PipedOutputStream_methods;
extern const struct CVMFieldArray1 java_io_PipedOutputStream_fields;
extern const struct CVMClassBlock0 java_io_PipedOutputStream_Classblock;
extern const struct CVMMethodArray8 sun_security_util_ManifestEntryVerifier_methods;
extern const struct CVMFieldArray12 sun_security_util_ManifestEntryVerifier_fields;
extern const struct CVMClassBlock1 sun_security_util_ManifestEntryVerifier_Classblock;
extern const struct CVMMethodArray25 java_lang_Float_methods;
#include "generated/jni/java_lang_Float.h"
extern const struct CVMFieldArray8 java_lang_Float_fields;
extern const struct CVMClassBlock0 java_lang_Float_Classblock;
extern const struct CVMMethodArray7 sun_misc_SoftCache_Entry_methods;
extern const struct CVMFieldArray3 sun_misc_SoftCache_Entry_fields;
extern const struct CVMClassBlock3 sun_misc_SoftCache_Entry_Classblock;
extern const struct CVMMethodArray5 java_util_AbstractMap_3_methods;
extern const struct CVMFieldArray1 java_util_AbstractMap_3_fields;
extern const struct CVMClassBlock2 java_util_AbstractMap_3_Classblock;
extern const struct CVMMethodArray16 java_util_AbstractMap_methods;
extern const struct CVMFieldArray2 java_util_AbstractMap_fields;
extern const struct CVMClassBlock3 java_util_AbstractMap_Classblock;
extern const struct CVMMethodArray5 java_util_AbstractMap_1_methods;
extern const struct CVMFieldArray1 java_util_AbstractMap_1_fields;
extern const struct CVMClassBlock2 java_util_AbstractMap_1_Classblock;
extern const struct CVMMethodArray9 java_util_jar_Attributes_Name_methods;
struct CVMFieldArray19 { CVMClassBlock const *cb1; CVMFieldBlock fb1[19]; };
extern const struct CVMFieldArray19 java_util_jar_Attributes_Name_fields;
extern const struct CVMClassBlock1 java_util_jar_Attributes_Name_Classblock;
extern const struct CVMMethodArray11 java_util_jar_Manifest_FastInputStream_methods;
extern const struct CVMFieldArray3 java_util_jar_Manifest_FastInputStream_fields;
extern const struct CVMClassBlock1 java_util_jar_Manifest_FastInputStream_Classblock;
extern const struct CVMMethodArray7 java_util_WeakHashMap_EntrySet_methods;
extern const struct CVMFieldArray2 java_util_WeakHashMap_EntrySet_fields;
extern const struct CVMClassBlock4 java_util_WeakHashMap_EntrySet_Classblock;
extern const struct CVMMethodArray2 java_security_Security_ProviderProperty_methods;
extern const struct CVMFieldArray2 java_security_Security_ProviderProperty_fields;
extern const struct CVMClassBlock2 java_security_Security_ProviderProperty_Classblock;
extern const struct CVMMethodArray15 java_util_HashSet_methods;
extern const struct CVMFieldArray2 java_util_HashSet_fields;
extern const struct CVMClassBlock0 java_util_HashSet_Classblock;
extern const struct CVMClassBlock1 java_lang_ref_Reference_1_Classblock;
extern const struct CVMMethodArray14 java_io_DataOutput_methods;
extern const struct CVMClassBlock0 java_io_DataOutput_Classblock;
extern const struct CVMMethodArray2 java_io_ObjectStreamClass_1_methods;
extern const struct CVMFieldArray2 java_io_ObjectStreamClass_1_fields;
extern const struct CVMClassBlock1 java_io_ObjectStreamClass_1_Classblock;
extern const struct CVMMethodArray20 java_util_SubList_methods;
extern const struct CVMFieldArray4 java_util_SubList_fields;
extern const struct CVMClassBlock1 java_util_SubList_Classblock;
extern const struct CVMMethodArray1 java_security_DomainCombiner_methods;
extern const struct CVMClassBlock0 java_security_DomainCombiner_Classblock;
extern const struct CVMMethodArray8 sun_security_x509_KeyIdentifier_methods;
extern const struct CVMFieldArray1 sun_security_x509_KeyIdentifier_fields;
extern const struct CVMClassBlock0 sun_security_x509_KeyIdentifier_Classblock;
extern const struct CVMMethodArray9 sun_security_x509_SerialNumber_methods;
extern const struct CVMFieldArray1 sun_security_x509_SerialNumber_fields;
extern const struct CVMClassBlock0 sun_security_x509_SerialNumber_Classblock;
extern const struct CVMMethodArray14 sun_security_pkcs_PKCS9Attributes_methods;
extern const struct CVMFieldArray3 sun_security_pkcs_PKCS9Attributes_fields;
extern const struct CVMClassBlock0 sun_security_pkcs_PKCS9Attributes_Classblock;
extern const struct CVMMethodArray15 java_io_DataInput_methods;
extern const struct CVMClassBlock0 java_io_DataInput_Classblock;
extern const struct CVMMethodArray11 java_security_SignatureSpi_methods;
extern const struct CVMFieldArray1 java_security_SignatureSpi_fields;
extern const struct CVMClassBlock0 java_security_SignatureSpi_Classblock;
extern const struct CVMMethodArray16 sun_security_pkcs_PKCS9Attribute_methods;
struct CVMFieldArray37 { CVMClassBlock const *cb1; CVMFieldBlock fb1[37]; };
extern const struct CVMFieldArray37 sun_security_pkcs_PKCS9Attribute_fields;
extern const struct CVMClassBlock0 sun_security_pkcs_PKCS9Attribute_Classblock;
extern struct CVMMethodArray9 java_lang_ClassLoader_NativeLibrary_methods;
extern const struct CVMMethodArray9 java_lang_ClassLoader_NativeLibrary_methodsMaster;
#include "generated/jni/java_lang_ClassLoader_NativeLibrary.h"
extern const struct CVMFieldArray4 java_lang_ClassLoader_NativeLibrary_fields;
extern const struct CVMClassBlock1 java_lang_ClassLoader_NativeLibrary_Classblock;
extern const struct CVMMethodArray5 java_security_KeyFactorySpi_methods;
extern const struct CVMClassBlock0 java_security_KeyFactorySpi_Classblock;
extern const struct CVMMethodArray9 java_security_KeyFactory_methods;
extern const struct CVMFieldArray3 java_security_KeyFactory_fields;
extern const struct CVMClassBlock0 java_security_KeyFactory_Classblock;
extern const struct CVMMethodArray4 java_io_ObjectStreamClass_MethodSignature_methods;
extern const struct CVMFieldArray2 java_io_ObjectStreamClass_MethodSignature_fields;
extern const struct CVMClassBlock1 java_io_ObjectStreamClass_MethodSignature_Classblock;
extern const struct CVMMethodArray3 java_lang_reflect_Member_methods;
extern const struct CVMFieldArray2 java_lang_reflect_Member_fields;
extern const struct CVMClassBlock0 java_lang_reflect_Member_Classblock;
extern const struct CVMMethodArray5 sun_security_x509_GeneralName_methods;
extern const struct CVMFieldArray1 sun_security_x509_GeneralName_fields;
extern const struct CVMClassBlock0 sun_security_x509_GeneralName_Classblock;
extern const struct CVMMethodArray15 java_util_AbstractCollection_methods;
extern const struct CVMClassBlock0 java_util_AbstractCollection_Classblock;
extern const struct CVMMethodArray6 java_io_ObjectOutputStream_Stack_methods;
extern const struct CVMFieldArray1 java_io_ObjectOutputStream_Stack_fields;
extern const struct CVMClassBlock2 java_io_ObjectOutputStream_Stack_Classblock;
extern const struct CVMMethodArray31 sun_security_x509_X509CRLImpl_methods;
extern const struct CVMFieldArray14 sun_security_x509_X509CRLImpl_fields;
extern const struct CVMClassBlock0 sun_security_x509_X509CRLImpl_Classblock;
extern const struct CVMMethodArray11 java_io_OutputStreamWriter_methods;
extern const struct CVMFieldArray6 java_io_OutputStreamWriter_fields;
extern const struct CVMClassBlock0 java_io_OutputStreamWriter_Classblock;
extern const struct CVMMethodArray9 sun_security_provider_SystemIdentity_methods;
extern const struct CVMFieldArray3 sun_security_provider_SystemIdentity_fields;
extern const struct CVMClassBlock0 sun_security_provider_SystemIdentity_Classblock;
extern const struct CVMMethodArray2 java_lang_RuntimeException_methods;
extern const struct CVMClassBlock0 java_lang_RuntimeException_Classblock;
extern const struct CVMMethodArray2 java_util_ConcurrentModificationException_methods;
extern const struct CVMClassBlock0 java_util_ConcurrentModificationException_Classblock;
extern const struct CVMMethodArray9 java_util_Collections_SingletonMap_methods;
extern const struct CVMFieldArray5 java_util_Collections_SingletonMap_fields;
extern const struct CVMClassBlock2 java_util_Collections_SingletonMap_Classblock;
extern const struct CVMMethodArray4 java_util_HashMap_EmptyHashIterator_methods;
extern const struct CVMClassBlock1 java_util_HashMap_EmptyHashIterator_Classblock;
extern const struct CVMMethodArray17 sun_security_x509_KeyUsageExtension_methods;
extern const struct CVMFieldArray12 sun_security_x509_KeyUsageExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_KeyUsageExtension_Classblock;
extern const struct CVMMethodArray2 java_security_GeneralSecurityException_methods;
extern const struct CVMClassBlock0 java_security_GeneralSecurityException_Classblock;
extern const struct CVMMethodArray3 sun_security_provider_PolicyParser_ParsingException_methods;
extern const struct CVMClassBlock1 sun_security_provider_PolicyParser_ParsingException_Classblock;
extern const struct CVMMethodArray2 java_security_cert_CertificateException_methods;
extern const struct CVMClassBlock0 java_security_cert_CertificateException_Classblock;
extern const struct CVMMethodArray2 java_security_cert_CertificateEncodingException_methods;
extern const struct CVMClassBlock0 java_security_cert_CertificateEncodingException_Classblock;
extern const struct CVMMethodArray7 sun_security_x509_RFC822Name_methods;
extern const struct CVMFieldArray1 sun_security_x509_RFC822Name_fields;
extern const struct CVMClassBlock0 sun_security_x509_RFC822Name_Classblock;
extern const struct CVMMethodArray2 javax_realtime_ScopedCycleException_methods;
extern const struct CVMClassBlock0 javax_realtime_ScopedCycleException_Classblock;
extern const struct CVMMethodArray14 java_lang_reflect_Modifier_methods;
extern const struct CVMFieldArray12 java_lang_reflect_Modifier_fields;
extern const struct CVMClassBlock0 java_lang_reflect_Modifier_Classblock;
extern const struct CVMMethodArray2 java_lang_VirtualMachineError_methods;
extern const struct CVMClassBlock0 java_lang_VirtualMachineError_Classblock;
extern const struct CVMMethodArray2 java_lang_OutOfMemoryError_methods;
extern const struct CVMClassBlock0 java_lang_OutOfMemoryError_Classblock;
extern const struct CVMMethodArray2 java_io_IOException_methods;
extern const struct CVMClassBlock0 java_io_IOException_Classblock;
extern const struct CVMMethodArray2 java_io_ObjectStreamException_methods;
extern const struct CVMClassBlock0 java_io_ObjectStreamException_Classblock;
extern const struct CVMMethodArray2 java_io_NotActiveException_methods;
extern const struct CVMClassBlock0 java_io_NotActiveException_Classblock;
extern const struct CVMMethodArray4 java_util_zip_Checksum_methods;
extern const struct CVMClassBlock0 java_util_zip_Checksum_Classblock;
extern const struct CVMMethodArray1 java_util_EmptyStackException_methods;
extern const struct CVMClassBlock0 java_util_EmptyStackException_Classblock;
extern const struct CVMMethodArray16 java_util_Collections_SynchronizedCollection_methods;
extern const struct CVMFieldArray3 java_util_Collections_SynchronizedCollection_fields;
extern const struct CVMClassBlock1 java_util_Collections_SynchronizedCollection_Classblock;
extern const struct CVMMethodArray4 java_util_Collections_SynchronizedSet_methods;
extern const struct CVMClassBlock2 java_util_Collections_SynchronizedSet_Classblock;
extern const struct CVMMethodArray7 java_security_SecureClassLoader_methods;
extern const struct CVMFieldArray3 java_security_SecureClassLoader_fields;
extern const struct CVMClassBlock0 java_security_SecureClassLoader_Classblock;
extern const struct CVMMethodArray2 java_lang_NoSuchFieldException_methods;
extern const struct CVMClassBlock0 java_lang_NoSuchFieldException_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_NameConstraintsExtension_methods;
extern const struct CVMFieldArray8 sun_security_x509_NameConstraintsExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_NameConstraintsExtension_Classblock;
extern const struct CVMMethodArray2 java_lang_IndexOutOfBoundsException_methods;
extern const struct CVMClassBlock0 java_lang_IndexOutOfBoundsException_Classblock;
extern const struct CVMMethodArray3 java_lang_ArrayIndexOutOfBoundsException_methods;
extern const struct CVMClassBlock0 java_lang_ArrayIndexOutOfBoundsException_Classblock;
extern const struct CVMMethodArray18 sun_security_x509_CertificateExtensions_methods;
extern const struct CVMFieldArray6 sun_security_x509_CertificateExtensions_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateExtensions_Classblock;
extern const struct CVMMethodArray2 java_security_cert_Certificate_CertificateRep_methods;
extern const struct CVMFieldArray2 java_security_cert_Certificate_CertificateRep_fields;
extern const struct CVMClassBlock1 java_security_cert_Certificate_CertificateRep_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_SeedGenerator_2_methods;
extern const struct CVMFieldArray1 sun_security_provider_SeedGenerator_2_fields;
extern const struct CVMClassBlock1 sun_security_provider_SeedGenerator_2_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_Sun_1_methods;
extern const struct CVMFieldArray1 sun_security_provider_Sun_1_fields;
extern const struct CVMClassBlock1 sun_security_provider_Sun_1_Classblock;
extern struct CVMMethodArray15 java_security_AccessController_methods;
extern const struct CVMMethodArray15 java_security_AccessController_methodsMaster;
#include "generated/cni/java_security_AccessController.h"
extern const struct CVMFieldArray2 java_security_AccessController_fields;
extern const struct CVMClassBlock0 java_security_AccessController_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_PolicyMappingsExtension_methods;
extern const struct CVMFieldArray4 sun_security_x509_PolicyMappingsExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_PolicyMappingsExtension_Classblock;
extern const struct CVMMethodArray2 java_lang_IllegalArgumentException_methods;
extern const struct CVMClassBlock0 java_lang_IllegalArgumentException_Classblock;
extern const struct CVMMethodArray2 java_security_InvalidParameterException_methods;
extern const struct CVMClassBlock0 java_security_InvalidParameterException_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_OIDMap_methods;
struct CVMFieldArray17 { CVMClassBlock const *cb1; CVMFieldBlock fb1[17]; };
extern const struct CVMFieldArray17 sun_security_x509_OIDMap_fields;
extern const struct CVMClassBlock1 sun_security_x509_OIDMap_Classblock;
extern const struct CVMMethodArray2 java_io_NotSerializableException_methods;
extern const struct CVMClassBlock0 java_io_NotSerializableException_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_SubjectAlternativeNameExtension_methods;
extern const struct CVMFieldArray4 sun_security_x509_SubjectAlternativeNameExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_SubjectAlternativeNameExtension_Classblock;
extern const struct CVMMethodArray2 java_io_CharConversionException_methods;
extern const struct CVMClassBlock0 java_io_CharConversionException_Classblock;
extern const struct CVMMethodArray2 sun_io_UnknownCharacterException_methods;
extern const struct CVMClassBlock0 sun_io_UnknownCharacterException_Classblock;
extern const struct CVMMethodArray2 java_security_cert_CRLException_methods;
extern const struct CVMClassBlock0 java_security_cert_CRLException_Classblock;
extern const struct CVMClassBlock0 java_lang_Cloneable_Classblock;
extern const struct CVMMethodArray10 java_net_JarURLConnection_methods;
extern const struct CVMFieldArray3 java_net_JarURLConnection_fields;
extern const struct CVMClassBlock0 java_net_JarURLConnection_Classblock;
extern const struct CVMMethodArray15 sun_security_util_SignatureFileVerifier_methods;
extern const struct CVMFieldArray9 sun_security_util_SignatureFileVerifier_fields;
extern const struct CVMClassBlock3 sun_security_util_SignatureFileVerifier_Classblock;
extern const struct CVMMethodArray3 java_lang_ref_SoftReference_methods;
extern const struct CVMFieldArray2 java_lang_ref_SoftReference_fields;
extern const struct CVMClassBlock0 java_lang_ref_SoftReference_Classblock;
extern const struct CVMMethodArray3 java_io_InvalidClassException_methods;
extern const struct CVMFieldArray1 java_io_InvalidClassException_fields;
extern const struct CVMClassBlock0 java_io_InvalidClassException_Classblock;
extern const struct CVMMethodArray18 sun_security_x509_NetscapeCertTypeExtension_methods;
extern const struct CVMFieldArray14 sun_security_x509_NetscapeCertTypeExtension_fields;
extern const struct CVMClassBlock1 sun_security_x509_NetscapeCertTypeExtension_Classblock;
extern const struct CVMMethodArray2 java_net_UnknownContentHandler_methods;
extern const struct CVMClassBlock0 java_net_UnknownContentHandler_Classblock;
extern const struct CVMMethodArray2 java_lang_CloneNotSupportedException_methods;
extern const struct CVMClassBlock0 java_lang_CloneNotSupportedException_Classblock;
extern const struct CVMMethodArray2 java_text_ParseException_methods;
extern const struct CVMFieldArray1 java_text_ParseException_fields;
extern const struct CVMClassBlock0 java_text_ParseException_Classblock;
extern const struct CVMMethodArray2 java_security_Signer_1_methods;
extern const struct CVMFieldArray2 java_security_Signer_1_fields;
extern const struct CVMClassBlock1 java_security_Signer_1_Classblock;
extern const struct CVMMethodArray1 sun_misc_CEStreamExhausted_methods;
extern const struct CVMClassBlock0 sun_misc_CEStreamExhausted_Classblock;
extern const struct CVMMethodArray2 java_lang_System_1_methods;
extern const struct CVMFieldArray1 java_lang_System_1_fields;
extern const struct CVMClassBlock1 java_lang_System_1_Classblock;
extern const struct CVMMethodArray6 java_security_PrivilegedActionException_methods;
extern const struct CVMFieldArray2 java_security_PrivilegedActionException_fields;
extern const struct CVMClassBlock0 java_security_PrivilegedActionException_Classblock;
extern const struct CVMMethodArray1 javax_realtime_AperiodicParameters_methods;
extern const struct CVMClassBlock0 javax_realtime_AperiodicParameters_Classblock;
extern const struct CVMMethodArray9 javax_realtime_ImmortalPhysicalMemory_methods;
extern const struct CVMFieldArray3 javax_realtime_ImmortalPhysicalMemory_fields;
extern const struct CVMClassBlock0 javax_realtime_ImmortalPhysicalMemory_Classblock;
extern const struct CVMMethodArray3 java_util_Collections_UnmodifiableSet_methods;
extern const struct CVMClassBlock2 java_util_Collections_UnmodifiableSet_Classblock;
extern const struct CVMMethodArray7 java_util_Arrays_ArrayList_methods;
extern const struct CVMFieldArray2 java_util_Arrays_ArrayList_fields;
extern const struct CVMClassBlock1 java_util_Arrays_ArrayList_Classblock;
extern const struct CVMMethodArray1 java_lang_ref_FinalReference_methods;
extern const struct CVMClassBlock0 java_lang_ref_FinalReference_Classblock;
extern const struct CVMMethodArray2 java_security_KeyException_methods;
extern const struct CVMClassBlock0 java_security_KeyException_Classblock;
extern const struct CVMMethodArray8 java_util_AbstractSequentialList_methods;
extern const struct CVMClassBlock0 java_util_AbstractSequentialList_Classblock;
extern const struct CVMMethodArray9 java_security_BasicPermission_methods;
extern const struct CVMFieldArray2 java_security_BasicPermission_fields;
extern const struct CVMClassBlock0 java_security_BasicPermission_Classblock;
extern const struct CVMMethodArray2 java_io_SerializablePermission_methods;
extern const struct CVMFieldArray1 java_io_SerializablePermission_fields;
extern const struct CVMClassBlock0 java_io_SerializablePermission_Classblock;
extern const struct CVMMethodArray13 sun_security_x509_CertificateSerialNumber_methods;
extern const struct CVMFieldArray4 sun_security_x509_CertificateSerialNumber_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateSerialNumber_Classblock;
extern const struct CVMMethodArray4 java_util_AbstractSet_methods;
extern const struct CVMClassBlock0 java_util_AbstractSet_Classblock;
extern struct CVMMethodArray5 sun_io_ByteToCharISO8859_1_methods;
extern const struct CVMMethodArray5 sun_io_ByteToCharISO8859_1_methodsMaster;
extern const struct CVMClassBlock0 sun_io_ByteToCharISO8859_1_Classblock;
extern const struct CVMMethodArray14 sun_security_util_DerIndefLenConverter_methods;
extern const struct CVMFieldArray14 sun_security_util_DerIndefLenConverter_fields;
extern const struct CVMClassBlock0 sun_security_util_DerIndefLenConverter_Classblock;
extern const struct CVMMethodArray2 java_lang_NumberFormatException_methods;
extern const struct CVMClassBlock0 java_lang_NumberFormatException_Classblock;
extern const struct CVMMethodArray2 java_lang_IllegalMonitorStateException_methods;
extern const struct CVMClassBlock0 java_lang_IllegalMonitorStateException_Classblock;
extern const struct CVMMethodArray3 java_lang_ref_ReferenceQueue_Null_methods;
extern const struct CVMClassBlock2 java_lang_ref_ReferenceQueue_Null_Classblock;
extern const struct CVMMethodArray3 java_util_Vector_1_methods;
extern const struct CVMFieldArray2 java_util_Vector_1_fields;
extern const struct CVMClassBlock1 java_util_Vector_1_Classblock;
extern const struct CVMMethodArray10 java_io_FilterInputStream_methods;
extern const struct CVMFieldArray1 java_io_FilterInputStream_fields;
extern const struct CVMClassBlock0 java_io_FilterInputStream_Classblock;
extern const struct CVMMethodArray12 java_io_PushbackInputStream_methods;
extern const struct CVMFieldArray2 java_io_PushbackInputStream_fields;
extern const struct CVMClassBlock0 java_io_PushbackInputStream_Classblock;
extern const struct CVMMethodArray2 javax_realtime_PriorityCeilingEmulation_methods;
extern const struct CVMFieldArray1 javax_realtime_PriorityCeilingEmulation_fields;
extern const struct CVMClassBlock0 javax_realtime_PriorityCeilingEmulation_Classblock;
extern const struct CVMMethodArray8 java_util_Dictionary_methods;
extern const struct CVMClassBlock0 java_util_Dictionary_Classblock;
extern const struct CVMMethodArray6 sun_misc_URLClassPath_6_methods;
extern const struct CVMFieldArray4 sun_misc_URLClassPath_6_fields;
extern const struct CVMClassBlock3 sun_misc_URLClassPath_6_Classblock;
extern const struct CVMMethodArray1 java_lang_reflect_Constructor_AccessException_methods;
extern const struct CVMClassBlock1 java_lang_reflect_Constructor_AccessException_Classblock;
extern const struct CVMMethodArray2 sun_misc_URLClassPath_5_methods;
extern const struct CVMFieldArray2 sun_misc_URLClassPath_5_fields;
extern const struct CVMClassBlock2 sun_misc_URLClassPath_5_Classblock;
extern const struct CVMMethodArray16 java_util_Collections_UnmodifiableMap_methods;
extern const struct CVMFieldArray5 java_util_Collections_UnmodifiableMap_fields;
extern const struct CVMClassBlock2 java_util_Collections_UnmodifiableMap_Classblock;
extern const struct CVMMethodArray7 java_util_Collections_UnmodifiableSortedMap_methods;
extern const struct CVMFieldArray1 java_util_Collections_UnmodifiableSortedMap_fields;
extern const struct CVMClassBlock2 java_util_Collections_UnmodifiableSortedMap_Classblock;
extern const struct CVMMethodArray8 sun_misc_URLClassPath_4_methods;
extern const struct CVMFieldArray4 sun_misc_URLClassPath_4_fields;
extern const struct CVMClassBlock2 sun_misc_URLClassPath_4_Classblock;
extern const struct CVMMethodArray6 java_util_Hashtable_ValueCollection_methods;
extern const struct CVMFieldArray1 java_util_Hashtable_ValueCollection_fields;
extern const struct CVMClassBlock2 java_util_Hashtable_ValueCollection_Classblock;
extern const struct CVMMethodArray6 sun_misc_URLClassPath_3_methods;
extern const struct CVMFieldArray4 sun_misc_URLClassPath_3_fields;
extern const struct CVMClassBlock2 sun_misc_URLClassPath_3_Classblock;
extern const struct CVMMethodArray2 sun_misc_URLClassPath_2_methods;
extern const struct CVMFieldArray2 sun_misc_URLClassPath_2_fields;
extern const struct CVMClassBlock4 sun_misc_URLClassPath_2_Classblock;
extern const struct CVMMethodArray4 sun_misc_URLClassPath_1_methods;
extern const struct CVMFieldArray5 sun_misc_URLClassPath_1_fields;
extern const struct CVMClassBlock2 sun_misc_URLClassPath_1_Classblock;
extern const struct CVMMethodArray1 sun_security_util_PropertyExpander_ExpandException_methods;
extern const struct CVMClassBlock1 sun_security_util_PropertyExpander_ExpandException_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_Finalizer_FinalizerThread_methods;
extern const struct CVMClassBlock1 java_lang_ref_Finalizer_FinalizerThread_Classblock;
extern const struct CVMMethodArray2 java_lang_SecurityException_methods;
extern const struct CVMClassBlock0 java_lang_SecurityException_Classblock;
extern const struct CVMMethodArray3 java_security_AccessControlException_methods;
extern const struct CVMFieldArray1 java_security_AccessControlException_fields;
extern const struct CVMClassBlock0 java_security_AccessControlException_Classblock;
extern const struct CVMMethodArray2 sun_io_MalformedInputException_methods;
extern const struct CVMClassBlock0 sun_io_MalformedInputException_Classblock;
extern const struct CVMMethodArray2 java_io_UnsupportedEncodingException_methods;
extern const struct CVMClassBlock0 java_io_UnsupportedEncodingException_Classblock;
extern const struct CVMMethodArray3 sun_security_action_GetIntegerAction_methods;
extern const struct CVMFieldArray3 sun_security_action_GetIntegerAction_fields;
extern const struct CVMClassBlock0 sun_security_action_GetIntegerAction_Classblock;
extern const struct CVMMethodArray2 javax_realtime_DuplicateFilterException_methods;
extern const struct CVMClassBlock0 javax_realtime_DuplicateFilterException_Classblock;
extern const struct CVMMethodArray6 sun_security_x509_CertificatePolicyMap_methods;
extern const struct CVMFieldArray2 sun_security_x509_CertificatePolicyMap_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificatePolicyMap_Classblock;
extern const struct CVMMethodArray6 java_io_FilterOutputStream_methods;
extern const struct CVMFieldArray1 java_io_FilterOutputStream_fields;
extern const struct CVMClassBlock0 java_io_FilterOutputStream_Classblock;
extern const struct CVMMethodArray7 java_security_DigestOutputStream_methods;
extern const struct CVMFieldArray2 java_security_DigestOutputStream_fields;
extern const struct CVMClassBlock0 java_security_DigestOutputStream_Classblock;
extern const struct CVMMethodArray15 sun_misc_CharacterEncoder_methods;
extern const struct CVMFieldArray1 sun_misc_CharacterEncoder_fields;
extern const struct CVMClassBlock0 sun_misc_CharacterEncoder_Classblock;
extern const struct CVMMethodArray8 sun_misc_HexDumpEncoder_methods;
extern const struct CVMFieldArray4 sun_misc_HexDumpEncoder_fields;
extern const struct CVMClassBlock0 sun_misc_HexDumpEncoder_Classblock;
extern const struct CVMMethodArray1 java_net_InetAddress_CacheEntry_methods;
extern const struct CVMFieldArray3 java_net_InetAddress_CacheEntry_fields;
extern const struct CVMClassBlock1 java_net_InetAddress_CacheEntry_Classblock;
extern const struct CVMMethodArray6 sun_net_www_ParseUtil_methods;
extern const struct CVMFieldArray1 sun_net_www_ParseUtil_fields;
extern const struct CVMClassBlock0 sun_net_www_ParseUtil_Classblock;
extern const struct CVMMethodArray12 sun_misc_CharacterDecoder_methods;
extern const struct CVMClassBlock0 sun_misc_CharacterDecoder_Classblock;
extern const struct CVMMethodArray14 javax_realtime_AsyncEvent_methods;
extern const struct CVMFieldArray5 javax_realtime_AsyncEvent_fields;
extern const struct CVMClassBlock0 javax_realtime_AsyncEvent_Classblock;
extern const struct CVMMethodArray8 javax_realtime_PeriodicTimer_methods;
extern const struct CVMFieldArray3 javax_realtime_PeriodicTimer_fields;
extern const struct CVMClassBlock0 javax_realtime_PeriodicTimer_Classblock;
extern const struct CVMMethodArray2 javax_realtime_RealtimeThread_DeadlineMissPeriodicTimer_methods;
extern const struct CVMFieldArray4 javax_realtime_RealtimeThread_DeadlineMissPeriodicTimer_fields;
extern const struct CVMClassBlock1 javax_realtime_RealtimeThread_DeadlineMissPeriodicTimer_Classblock;
extern const struct CVMMethodArray35 java_lang_StrictMath_methods;
#include "generated/jni/java_lang_StrictMath.h"
extern const struct CVMFieldArray5 java_lang_StrictMath_fields;
extern const struct CVMClassBlock0 java_lang_StrictMath_Classblock;
extern const struct CVMMethodArray12 java_util_PropertyPermission_methods;
extern const struct CVMFieldArray6 java_util_PropertyPermission_fields;
extern const struct CVMClassBlock0 java_util_PropertyPermission_Classblock;
extern const struct CVMMethodArray2 java_security_InvalidAlgorithmParameterException_methods;
extern const struct CVMClassBlock0 java_security_InvalidAlgorithmParameterException_Classblock;
extern const struct CVMMethodArray4 java_io_FilePermissionCollection_methods;
extern const struct CVMFieldArray1 java_io_FilePermissionCollection_fields;
extern const struct CVMClassBlock0 java_io_FilePermissionCollection_Classblock;
extern const struct CVMMethodArray3 java_security_AllPermissionCollection_1_methods;
extern const struct CVMFieldArray2 java_security_AllPermissionCollection_1_fields;
extern const struct CVMClassBlock1 java_security_AllPermissionCollection_1_Classblock;
extern const struct CVMMethodArray12 java_io_ObjectOutputStream_PutFieldImpl_methods;
extern const struct CVMFieldArray4 java_io_ObjectOutputStream_PutFieldImpl_fields;
extern const struct CVMClassBlock2 java_io_ObjectOutputStream_PutFieldImpl_Classblock;
extern const struct CVMMethodArray2 java_lang_InterruptedException_methods;
extern const struct CVMClassBlock0 java_lang_InterruptedException_Classblock;
extern const struct CVMMethodArray30 java_text_SimpleDateFormat_methods;
extern const struct CVMFieldArray15 java_text_SimpleDateFormat_fields;
extern const struct CVMClassBlock0 java_text_SimpleDateFormat_Classblock;
extern const struct CVMMethodArray6 java_util_AbstractList_Itr_methods;
extern const struct CVMFieldArray4 java_util_AbstractList_Itr_fields;
extern const struct CVMClassBlock2 java_util_AbstractList_Itr_Classblock;
extern const struct CVMMethodArray7 java_util_AbstractList_ListItr_methods;
extern const struct CVMFieldArray1 java_util_AbstractList_ListItr_fields;
extern const struct CVMClassBlock3 java_util_AbstractList_ListItr_Classblock;
extern const struct CVMMethodArray14 java_util_Collections_SynchronizedList_methods;
extern const struct CVMFieldArray1 java_util_Collections_SynchronizedList_fields;
extern const struct CVMClassBlock2 java_util_Collections_SynchronizedList_Classblock;
extern const struct CVMMethodArray2 java_security_cert_CertificateFactory_1_methods;
extern const struct CVMClassBlock1 java_security_cert_CertificateFactory_1_Classblock;
extern const struct CVMMethodArray19 java_io_StreamTokenizer_methods;
extern const struct CVMFieldArray26 java_io_StreamTokenizer_fields;
extern const struct CVMClassBlock0 java_io_StreamTokenizer_Classblock;
extern const struct CVMMethodArray4 java_lang_Character_Subset_methods;
extern const struct CVMFieldArray1 java_lang_Character_Subset_fields;
extern const struct CVMClassBlock1 java_lang_Character_Subset_Classblock;
extern const struct CVMMethodArray2 java_security_Security_3_methods;
extern const struct CVMFieldArray1 java_security_Security_3_fields;
extern const struct CVMClassBlock1 java_security_Security_3_Classblock;
extern const struct CVMMethodArray2 java_security_Security_2_methods;
extern const struct CVMFieldArray1 java_security_Security_2_fields;
extern const struct CVMClassBlock1 java_security_Security_2_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_WeakReference_methods;
extern const struct CVMClassBlock0 java_lang_ref_WeakReference_Classblock;
extern const struct CVMMethodArray7 java_util_Hashtable_EntrySet_methods;
extern const struct CVMFieldArray1 java_util_Hashtable_EntrySet_fields;
extern const struct CVMClassBlock4 java_util_Hashtable_EntrySet_Classblock;
extern const struct CVMMethodArray2 sun_security_pkcs_ParsingException_methods;
extern const struct CVMClassBlock0 sun_security_pkcs_ParsingException_Classblock;
extern const struct CVMMethodArray2 java_security_spec_InvalidKeySpecException_methods;
extern const struct CVMClassBlock0 java_security_spec_InvalidKeySpecException_Classblock;
extern const struct CVMMethodArray2 sun_security_x509_GeneralNamesException_methods;
extern const struct CVMClassBlock0 sun_security_x509_GeneralNamesException_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_PolicyFile_5_methods;
extern const struct CVMFieldArray4 sun_security_provider_PolicyFile_5_fields;
extern const struct CVMClassBlock2 sun_security_provider_PolicyFile_5_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_PolicyFile_4_methods;
extern const struct CVMFieldArray2 sun_security_provider_PolicyFile_4_fields;
extern const struct CVMClassBlock1 sun_security_provider_PolicyFile_4_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_PolicyFile_3_methods;
extern const struct CVMFieldArray2 sun_security_provider_PolicyFile_3_fields;
extern const struct CVMClassBlock1 sun_security_provider_PolicyFile_3_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_PolicyFile_2_methods;
extern const struct CVMFieldArray1 sun_security_provider_PolicyFile_2_fields;
extern const struct CVMClassBlock1 sun_security_provider_PolicyFile_2_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_PolicyFile_1_methods;
extern const struct CVMFieldArray1 sun_security_provider_PolicyFile_1_fields;
extern const struct CVMClassBlock1 sun_security_provider_PolicyFile_1_Classblock;
extern const struct CVMMethodArray2 javax_realtime_PhysicalMemoryManager_Filter_methods;
extern const struct CVMFieldArray3 javax_realtime_PhysicalMemoryManager_Filter_fields;
extern const struct CVMClassBlock2 javax_realtime_PhysicalMemoryManager_Filter_Classblock;
extern const struct CVMMethodArray12 java_util_Collections_EmptyMap_methods;
extern const struct CVMClassBlock2 java_util_Collections_EmptyMap_Classblock;
extern const struct CVMMethodArray12 java_security_UnresolvedPermission_methods;
extern const struct CVMFieldArray6 java_security_UnresolvedPermission_fields;
extern const struct CVMClassBlock0 java_security_UnresolvedPermission_Classblock;
extern const struct CVMMethodArray5 java_util_Collections_EmptyList_methods;
extern const struct CVMFieldArray1 java_util_Collections_EmptyList_fields;
extern const struct CVMClassBlock2 java_util_Collections_EmptyList_Classblock;
extern const struct CVMMethodArray17 java_text_ChoiceFormat_methods;
extern const struct CVMFieldArray5 java_text_ChoiceFormat_fields;
extern const struct CVMClassBlock0 java_text_ChoiceFormat_Classblock;
extern const struct CVMMethodArray1 java_lang_reflect_Constructor_ArgumentException_methods;
extern const struct CVMClassBlock1 java_lang_reflect_Constructor_ArgumentException_Classblock;
extern const struct CVMMethodArray6 java_io_BufferedOutputStream_methods;
extern const struct CVMFieldArray2 java_io_BufferedOutputStream_fields;
extern const struct CVMClassBlock0 java_io_BufferedOutputStream_Classblock;
extern const struct CVMMethodArray1 java_lang_reflect_Method_ArgumentException_methods;
extern const struct CVMClassBlock1 java_lang_reflect_Method_ArgumentException_Classblock;
extern const struct CVMMethodArray3 java_lang_StringIndexOutOfBoundsException_methods;
extern const struct CVMClassBlock0 java_lang_StringIndexOutOfBoundsException_Classblock;
extern const struct CVMMethodArray2 javax_realtime_OffsetOutOfBoundsException_methods;
extern const struct CVMClassBlock0 javax_realtime_OffsetOutOfBoundsException_Classblock;
extern const struct CVMMethodArray4 javax_realtime_NoHeapRealtimeThread_methods;
extern const struct CVMClassBlock0 javax_realtime_NoHeapRealtimeThread_Classblock;
extern const struct CVMMethodArray3 java_security_spec_EncodedKeySpec_methods;
extern const struct CVMFieldArray1 java_security_spec_EncodedKeySpec_fields;
extern const struct CVMClassBlock0 java_security_spec_EncodedKeySpec_Classblock;
extern const struct CVMMethodArray3 java_security_spec_X509EncodedKeySpec_methods;
extern const struct CVMClassBlock0 java_security_spec_X509EncodedKeySpec_Classblock;
extern const struct CVMMethodArray2 java_net_URLClassLoader_7_methods;
extern const struct CVMFieldArray1 java_net_URLClassLoader_7_fields;
extern const struct CVMClassBlock1 java_net_URLClassLoader_7_Classblock;
extern const struct CVMMethodArray3 sun_security_action_GetPropertyAction_methods;
extern const struct CVMFieldArray2 sun_security_action_GetPropertyAction_fields;
extern const struct CVMClassBlock0 sun_security_action_GetPropertyAction_Classblock;
extern const struct CVMMethodArray2 java_net_URLClassLoader_6_methods;
extern const struct CVMFieldArray2 java_net_URLClassLoader_6_fields;
extern const struct CVMClassBlock1 java_net_URLClassLoader_6_Classblock;
extern const struct CVMMethodArray2 java_net_URLClassLoader_5_methods;
extern const struct CVMFieldArray3 java_net_URLClassLoader_5_fields;
extern const struct CVMClassBlock1 java_net_URLClassLoader_5_Classblock;
extern const struct CVMMethodArray2 java_net_URLClassLoader_4_methods;
extern const struct CVMFieldArray1 java_net_URLClassLoader_4_fields;
extern const struct CVMClassBlock2 java_net_URLClassLoader_4_Classblock;
extern const struct CVMMethodArray6 java_util_HashMap_3_methods;
extern const struct CVMFieldArray1 java_util_HashMap_3_fields;
extern const struct CVMClassBlock3 java_util_HashMap_3_Classblock;
extern const struct CVMMethodArray2 java_net_URLClassLoader_2_methods;
extern const struct CVMFieldArray2 java_net_URLClassLoader_2_fields;
extern const struct CVMClassBlock1 java_net_URLClassLoader_2_Classblock;
extern const struct CVMMethodArray5 java_util_HashMap_2_methods;
extern const struct CVMFieldArray1 java_util_HashMap_2_fields;
extern const struct CVMClassBlock1 java_util_HashMap_2_Classblock;
extern const struct CVMMethodArray2 sun_misc_PathPermissions_1_methods;
extern const struct CVMFieldArray1 sun_misc_PathPermissions_1_fields;
extern const struct CVMClassBlock1 sun_misc_PathPermissions_1_Classblock;
extern const struct CVMMethodArray2 java_net_URLClassLoader_1_methods;
extern const struct CVMFieldArray2 java_net_URLClassLoader_1_fields;
extern const struct CVMClassBlock1 java_net_URLClassLoader_1_Classblock;
extern const struct CVMMethodArray6 java_util_HashMap_1_methods;
extern const struct CVMFieldArray1 java_util_HashMap_1_fields;
extern const struct CVMClassBlock1 java_util_HashMap_1_Classblock;
extern const struct CVMMethodArray4 sun_misc_Launcher_Factory_methods;
extern const struct CVMFieldArray1 sun_misc_Launcher_Factory_fields;
extern const struct CVMClassBlock2 sun_misc_Launcher_Factory_Classblock;
extern const struct CVMMethodArray12 javax_realtime_RealtimeSystem_methods;
#include "generated/jni/javax_realtime_RealtimeSystem.h"
extern const struct CVMFieldArray5 javax_realtime_RealtimeSystem_fields;
extern const struct CVMClassBlock0 javax_realtime_RealtimeSystem_Classblock;
extern const struct CVMMethodArray2 java_lang_LinkageError_methods;
extern const struct CVMClassBlock0 java_lang_LinkageError_Classblock;
extern const struct CVMMethodArray2 java_lang_IncompatibleClassChangeError_methods;
extern const struct CVMClassBlock0 java_lang_IncompatibleClassChangeError_Classblock;
extern const struct CVMMethodArray2 java_lang_InstantiationError_methods;
extern const struct CVMClassBlock0 java_lang_InstantiationError_Classblock;
extern const struct CVMMethodArray2 java_lang_Class_1_methods;
extern const struct CVMFieldArray1 java_lang_Class_1_fields;
extern const struct CVMClassBlock1 java_lang_Class_1_Classblock;
extern const struct CVMMethodArray1 sun_misc_ProxyGenerator_ExceptionTableEntry_methods;
extern const struct CVMFieldArray4 sun_misc_ProxyGenerator_ExceptionTableEntry_fields;
extern const struct CVMClassBlock1 sun_misc_ProxyGenerator_ExceptionTableEntry_Classblock;
extern const struct CVMClassBlock0 java_io_Serializable_Classblock;
extern const struct CVMMethodArray47 java_util_GregorianCalendar_methods;
extern const struct CVMFieldArray21 java_util_GregorianCalendar_fields;
extern const struct CVMClassBlock0 java_util_GregorianCalendar_Classblock;
extern const struct CVMMethodArray3 java_util_PropertyResourceBundle_1_methods;
extern const struct CVMFieldArray4 java_util_PropertyResourceBundle_1_fields;
extern const struct CVMClassBlock1 java_util_PropertyResourceBundle_1_Classblock;
extern const struct CVMMethodArray2 java_io_UTFDataFormatException_methods;
extern const struct CVMClassBlock0 java_io_UTFDataFormatException_Classblock;
extern const struct CVMMethodArray7 java_util_zip_ZipFile_ZipFileInputStream_methods;
extern const struct CVMFieldArray5 java_util_zip_ZipFile_ZipFileInputStream_fields;
extern const struct CVMClassBlock1 java_util_zip_ZipFile_ZipFileInputStream_Classblock;
extern const struct CVMMethodArray7 java_util_Collections_UnmodifiableSortedSet_methods;
extern const struct CVMFieldArray1 java_util_Collections_UnmodifiableSortedSet_fields;
extern const struct CVMClassBlock2 java_util_Collections_UnmodifiableSortedSet_Classblock;
extern const struct CVMMethodArray2 java_lang_ThreadLocal_SecureKey_methods;
extern const struct CVMFieldArray1 java_lang_ThreadLocal_SecureKey_fields;
extern const struct CVMClassBlock1 java_lang_ThreadLocal_SecureKey_Classblock;
extern const struct CVMMethodArray2 sun_net_www_MimeTable_2_methods;
extern const struct CVMClassBlock1 sun_net_www_MimeTable_2_Classblock;
extern const struct CVMMethodArray2 sun_net_www_MimeTable_1_methods;
extern const struct CVMClassBlock1 sun_net_www_MimeTable_1_Classblock;
extern const struct CVMMethodArray1 java_io_InvalidObjectException_methods;
extern const struct CVMClassBlock0 java_io_InvalidObjectException_Classblock;
extern const struct CVMMethodArray2 sun_security_action_GetBooleanAction_methods;
extern const struct CVMFieldArray1 sun_security_action_GetBooleanAction_fields;
extern const struct CVMClassBlock0 sun_security_action_GetBooleanAction_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_CertificateIssuerName_methods;
extern const struct CVMFieldArray4 sun_security_x509_CertificateIssuerName_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateIssuerName_Classblock;
extern const struct CVMMethodArray2 java_io_EOFException_methods;
extern const struct CVMClassBlock0 java_io_EOFException_Classblock;
extern const struct CVMMethodArray2 java_io_ObjectStreamClass_2_methods;
extern const struct CVMFieldArray2 java_io_ObjectStreamClass_2_fields;
extern const struct CVMClassBlock1 java_io_ObjectStreamClass_2_Classblock;
extern const struct CVMMethodArray15 java_io_FileOutputStream_methods;
#include "generated/jni/java_io_FileOutputStream.h"
extern const struct CVMFieldArray1 java_io_FileOutputStream_fields;
extern const struct CVMClassBlock0 java_io_FileOutputStream_Classblock;
extern const struct CVMMethodArray15 java_io_FileInputStream_methods;
#include "generated/jni/java_io_FileInputStream.h"
extern const struct CVMFieldArray1 java_io_FileInputStream_fields;
extern const struct CVMClassBlock0 java_io_FileInputStream_Classblock;
extern const struct CVMMethodArray3 java_security_GuardedObject_methods;
extern const struct CVMFieldArray2 java_security_GuardedObject_fields;
extern const struct CVMClassBlock0 java_security_GuardedObject_Classblock;
extern const struct CVMMethodArray2 java_lang_SecurityManager_2_methods;
extern const struct CVMFieldArray1 java_lang_SecurityManager_2_fields;
extern const struct CVMClassBlock1 java_lang_SecurityManager_2_Classblock;
extern const struct CVMMethodArray2 java_lang_SecurityManager_1_methods;
extern const struct CVMFieldArray1 java_lang_SecurityManager_1_fields;
extern const struct CVMClassBlock1 java_lang_SecurityManager_1_Classblock;
extern const struct CVMMethodArray15 java_io_ObjectInputStream_GetFieldImpl_methods;
extern const struct CVMFieldArray4 java_io_ObjectInputStream_GetFieldImpl_fields;
extern const struct CVMClassBlock2 java_io_ObjectInputStream_GetFieldImpl_Classblock;
extern const struct CVMMethodArray1 java_lang_ThreadDeath_methods;
extern const struct CVMClassBlock0 java_lang_ThreadDeath_Classblock;
extern const struct CVMMethodArray2 sun_io_CharacterEncoding_1_methods;
extern const struct CVMClassBlock1 sun_io_CharacterEncoding_1_Classblock;
extern const struct CVMMethodArray3 java_util_jar_JarFile_JarFileEntry_methods;
extern const struct CVMFieldArray1 java_util_jar_JarFile_JarFileEntry_fields;
extern const struct CVMClassBlock1 java_util_jar_JarFile_JarFileEntry_Classblock;
extern const struct CVMMethodArray15 java_net_HttpURLConnection_methods;
extern const struct CVMFieldArray41 java_net_HttpURLConnection_fields;
extern const struct CVMClassBlock0 java_net_HttpURLConnection_Classblock;
extern const struct CVMMethodArray16 java_io_BufferedReader_methods;
extern const struct CVMFieldArray12 java_io_BufferedReader_fields;
extern const struct CVMClassBlock0 java_io_BufferedReader_Classblock;
extern const struct CVMMethodArray2 java_util_TimeZone_1_methods;
extern const struct CVMFieldArray1 java_util_TimeZone_1_fields;
extern const struct CVMClassBlock1 java_util_TimeZone_1_Classblock;
extern const struct CVMMethodArray3 sun_security_x509_X509AttributeName_methods;
extern const struct CVMFieldArray3 sun_security_x509_X509AttributeName_fields;
extern const struct CVMClassBlock0 sun_security_x509_X509AttributeName_Classblock;
extern const struct CVMMethodArray6 java_lang_reflect_UndeclaredThrowableException_methods;
extern const struct CVMFieldArray1 java_lang_reflect_UndeclaredThrowableException_fields;
extern const struct CVMClassBlock0 java_lang_reflect_UndeclaredThrowableException_Classblock;
extern const struct CVMMethodArray2 javax_realtime_MemoryTypeConflictException_methods;
extern const struct CVMClassBlock0 javax_realtime_MemoryTypeConflictException_Classblock;
extern const struct CVMMethodArray3 java_net_FactoryURLClassLoader_methods;
extern const struct CVMClassBlock0 java_net_FactoryURLClassLoader_Classblock;
extern const struct CVMMethodArray39 java_util_Collections_methods;
extern const struct CVMFieldArray5 java_util_Collections_fields;
struct CVMClassBlock22 { CVMClassBlock classclass; CVMUint32 innerClassesCount; CVMInnerClassInfo innerClasses[ 22]; };
extern const struct CVMClassBlock22 java_util_Collections_Classblock;
extern const struct CVMMethodArray2 javax_realtime_UnsupportedPhysicalMemoryException_methods;
extern const struct CVMClassBlock0 javax_realtime_UnsupportedPhysicalMemoryException_Classblock;
extern const struct CVMMethodArray3 java_util_Collections_6_methods;
extern const struct CVMFieldArray2 java_util_Collections_6_fields;
extern const struct CVMClassBlock1 java_util_Collections_6_Classblock;
extern const struct CVMMethodArray4 java_util_Collections_5_methods;
extern const struct CVMFieldArray2 java_util_Collections_5_fields;
extern const struct CVMClassBlock2 java_util_Collections_5_Classblock;
extern const struct CVMMethodArray4 java_util_Collections_4_methods;
extern const struct CVMFieldArray1 java_util_Collections_4_fields;
extern const struct CVMClassBlock2 java_util_Collections_4_Classblock;
extern const struct CVMMethodArray4 java_util_Collections_3_methods;
extern const struct CVMFieldArray2 java_util_Collections_3_fields;
extern const struct CVMClassBlock6 java_util_Collections_3_Classblock;
extern const struct CVMMethodArray4 java_util_PropertyPermissionCollection_methods;
extern const struct CVMFieldArray2 java_util_PropertyPermissionCollection_fields;
extern const struct CVMClassBlock0 java_util_PropertyPermissionCollection_Classblock;
extern const struct CVMMethodArray10 java_util_Collections_2_methods;
extern const struct CVMFieldArray3 java_util_Collections_2_fields;
extern const struct CVMClassBlock2 java_util_Collections_2_Classblock;
struct CVMMethodArray41 { CVMClassBlock const *cb1; CVMMethodBlock mb1[41];
 };
extern const struct CVMMethodArray41 sun_security_x509_X509CertImpl_methods;
extern const struct CVMFieldArray20 sun_security_x509_X509CertImpl_fields;
extern const struct CVMClassBlock0 sun_security_x509_X509CertImpl_Classblock;
extern const struct CVMMethodArray8 java_io_ObjectOutputStream_HandleTable_methods;
extern const struct CVMFieldArray9 java_io_ObjectOutputStream_HandleTable_fields;
extern const struct CVMClassBlock1 java_io_ObjectOutputStream_HandleTable_Classblock;
extern const struct CVMMethodArray3 java_util_TimeZoneData_methods;
extern const struct CVMFieldArray3 java_util_TimeZoneData_fields;
extern const struct CVMClassBlock0 java_util_TimeZoneData_Classblock;
extern const struct CVMMethodArray2 java_lang_ClassCastException_methods;
extern const struct CVMClassBlock0 java_lang_ClassCastException_Classblock;
extern const struct CVMMethodArray2 java_lang_reflect_ReflectPermission_methods;
extern const struct CVMClassBlock0 java_lang_reflect_ReflectPermission_Classblock;
extern const struct CVMMethodArray2 java_security_cert_CertificateParsingException_methods;
extern const struct CVMClassBlock0 java_security_cert_CertificateParsingException_Classblock;
extern const struct CVMMethodArray2 java_lang_StackOverflowError_methods;
extern const struct CVMClassBlock0 java_lang_StackOverflowError_Classblock;
extern const struct CVMMethodArray4 sun_security_provider_PolicyFile_PolicyEntry_methods;
extern const struct CVMFieldArray2 sun_security_provider_PolicyFile_PolicyEntry_fields;
extern const struct CVMClassBlock1 sun_security_provider_PolicyFile_PolicyEntry_Classblock;
extern const struct CVMMethodArray2 java_security_Policy_1_methods;
extern const struct CVMClassBlock1 java_security_Policy_1_Classblock;
extern const struct CVMMethodArray8 sun_security_provider_SecureRandom_methods;
extern const struct CVMFieldArray6 sun_security_provider_SecureRandom_fields;
extern const struct CVMClassBlock0 sun_security_provider_SecureRandom_Classblock;
extern const struct CVMMethodArray2 java_net_UnknownServiceException_methods;
extern const struct CVMClassBlock0 java_net_UnknownServiceException_Classblock;
extern const struct CVMMethodArray3 java_lang_String_CaseInsensitiveComparator_methods;
extern const struct CVMFieldArray1 java_lang_String_CaseInsensitiveComparator_fields;
extern const struct CVMClassBlock2 java_lang_String_CaseInsensitiveComparator_Classblock;
extern const struct CVMMethodArray7 sun_misc_SystemThread_methods;
extern const struct CVMFieldArray5 sun_misc_SystemThread_fields;
extern const struct CVMClassBlock0 sun_misc_SystemThread_Classblock;
extern const struct CVMMethodArray12 java_io_ByteArrayOutputStream_methods;
extern const struct CVMFieldArray3 java_io_ByteArrayOutputStream_fields;
extern const struct CVMClassBlock0 java_io_ByteArrayOutputStream_Classblock;
extern const struct CVMMethodArray13 sun_net_www_URLConnection_methods;
extern const struct CVMFieldArray3 sun_net_www_URLConnection_fields;
extern const struct CVMClassBlock0 sun_net_www_URLConnection_Classblock;
extern const struct CVMMethodArray24 javax_realtime_PhysicalMemoryManager_methods;
#include "generated/jni/javax_realtime_PhysicalMemoryManager.h"
extern const struct CVMFieldArray15 javax_realtime_PhysicalMemoryManager_fields;
extern const struct CVMClassBlock3 javax_realtime_PhysicalMemoryManager_Classblock;
extern const struct CVMMethodArray7 java_util_Collections_SingletonMap_ImmutableEntry_methods;
extern const struct CVMFieldArray2 java_util_Collections_SingletonMap_ImmutableEntry_fields;
extern const struct CVMClassBlock3 java_util_Collections_SingletonMap_ImmutableEntry_Classblock;
extern const struct CVMMethodArray3 sun_security_provider_SeedGenerator_BogusThread_methods;
extern const struct CVMFieldArray1 sun_security_provider_SeedGenerator_BogusThread_fields;
extern const struct CVMClassBlock2 sun_security_provider_SeedGenerator_BogusThread_Classblock;
extern const struct CVMMethodArray4 java_io_FileWriter_methods;
extern const struct CVMClassBlock0 java_io_FileWriter_Classblock;
extern const struct CVMMethodArray2 java_security_cert_CertificateExpiredException_methods;
extern const struct CVMClassBlock0 java_security_cert_CertificateExpiredException_Classblock;
extern const struct CVMMethodArray8 sun_security_x509_OIDName_methods;
extern const struct CVMFieldArray1 sun_security_x509_OIDName_fields;
extern const struct CVMClassBlock0 sun_security_x509_OIDName_Classblock;
extern const struct CVMMethodArray5 sun_misc_Launcher_AppClassLoader_methods;
extern const struct CVMClassBlock2 sun_misc_Launcher_AppClassLoader_Classblock;
extern const struct CVMMethodArray2 java_net_NetPermission_methods;
extern const struct CVMClassBlock0 java_net_NetPermission_Classblock;
extern const struct CVMMethodArray7 java_util_WeakHashMap_Entry_methods;
extern const struct CVMFieldArray2 java_util_WeakHashMap_Entry_fields;
extern const struct CVMClassBlock2 java_util_WeakHashMap_Entry_Classblock;
extern const struct CVMMethodArray2 java_lang_IllegalThreadStateException_methods;
extern const struct CVMClassBlock0 java_lang_IllegalThreadStateException_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_CRLReasonCodeExtension_methods;
extern const struct CVMFieldArray11 sun_security_x509_CRLReasonCodeExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_CRLReasonCodeExtension_Classblock;
extern const struct CVMMethodArray2 sun_misc_ExtensionDependency_3_methods;
extern const struct CVMFieldArray2 sun_misc_ExtensionDependency_3_fields;
extern const struct CVMClassBlock1 sun_misc_ExtensionDependency_3_Classblock;
extern const struct CVMMethodArray2 sun_misc_ExtensionDependency_2_methods;
extern const struct CVMFieldArray1 sun_misc_ExtensionDependency_2_fields;
extern const struct CVMClassBlock1 sun_misc_ExtensionDependency_2_Classblock;
extern const struct CVMMethodArray2 sun_misc_ExtensionDependency_1_methods;
extern const struct CVMFieldArray2 sun_misc_ExtensionDependency_1_fields;
extern const struct CVMClassBlock1 sun_misc_ExtensionDependency_1_Classblock;
extern const struct CVMMethodArray2 java_lang_ClassCircularityError_methods;
extern const struct CVMClassBlock0 java_lang_ClassCircularityError_Classblock;
extern const struct CVMMethodArray2 sun_misc_InvalidJarIndexException_methods;
extern const struct CVMClassBlock0 sun_misc_InvalidJarIndexException_Classblock;
extern const struct CVMMethodArray7 javax_realtime_PeriodicParameters_methods;
extern const struct CVMFieldArray3 javax_realtime_PeriodicParameters_fields;
extern const struct CVMClassBlock0 javax_realtime_PeriodicParameters_Classblock;
extern const struct CVMMethodArray10 java_util_zip_InflaterInputStream_methods;
extern const struct CVMFieldArray5 java_util_zip_InflaterInputStream_fields;
extern const struct CVMClassBlock0 java_util_zip_InflaterInputStream_Classblock;
extern const struct CVMMethodArray15 java_util_zip_ZipInputStream_methods;
extern const struct CVMFieldArray8 java_util_zip_ZipInputStream_fields;
extern const struct CVMClassBlock0 java_util_zip_ZipInputStream_Classblock;
extern const struct CVMMethodArray8 java_util_jar_JarInputStream_methods;
extern const struct CVMFieldArray4 java_util_jar_JarInputStream_fields;
extern const struct CVMClassBlock0 java_util_jar_JarInputStream_Classblock;
extern const struct CVMMethodArray2 java_security_NoSuchProviderException_methods;
extern const struct CVMClassBlock0 java_security_NoSuchProviderException_Classblock;
extern const struct CVMMethodArray2 java_lang_ArrayStoreException_methods;
extern const struct CVMClassBlock0 java_lang_ArrayStoreException_Classblock;
extern const struct CVMMethodArray2 sun_security_action_LoadLibraryAction_methods;
extern const struct CVMFieldArray1 sun_security_action_LoadLibraryAction_fields;
extern const struct CVMClassBlock0 sun_security_action_LoadLibraryAction_Classblock;
extern const struct CVMMethodArray2 java_lang_InstantiationException_methods;
extern const struct CVMClassBlock0 java_lang_InstantiationException_Classblock;
extern const struct CVMMethodArray2 java_security_KeyStoreException_methods;
extern const struct CVMClassBlock0 java_security_KeyStoreException_Classblock;
extern const struct CVMMethodArray2 java_lang_ClassFormatError_methods;
extern const struct CVMClassBlock0 java_lang_ClassFormatError_Classblock;
extern const struct CVMMethodArray2 java_lang_UnsupportedClassVersionError_methods;
extern const struct CVMClassBlock0 java_lang_UnsupportedClassVersionError_Classblock;
extern const struct CVMMethodArray1 java_io_SyncFailedException_methods;
extern const struct CVMClassBlock0 java_io_SyncFailedException_Classblock;
extern const struct CVMMethodArray2 java_util_zip_DataFormatException_methods;
extern const struct CVMClassBlock0 java_util_zip_DataFormatException_Classblock;
extern const struct CVMMethodArray2 java_security_ProviderException_methods;
extern const struct CVMClassBlock0 java_security_ProviderException_Classblock;
extern const struct CVMMethodArray4 java_security_cert_X509Extension_methods;
extern const struct CVMClassBlock0 java_security_cert_X509Extension_Classblock;
extern const struct CVMMethodArray6 java_net_InetAddressImpl_methods;
#include "generated/jni/java_net_InetAddressImpl.h"
extern const struct CVMClassBlock0 java_net_InetAddressImpl_Classblock;
extern const struct CVMMethodArray7 java_util_Collections_UnmodifiableMap_UnmodifiableEntrySet_UnmodifiableEntry_methods;
extern const struct CVMFieldArray1 java_util_Collections_UnmodifiableMap_UnmodifiableEntrySet_UnmodifiableEntry_fields;
extern const struct CVMClassBlock4 java_util_Collections_UnmodifiableMap_UnmodifiableEntrySet_UnmodifiableEntry_Classblock;
extern const struct CVMMethodArray4 sun_misc_CompoundEnumeration_methods;
extern const struct CVMFieldArray2 sun_misc_CompoundEnumeration_fields;
extern const struct CVMClassBlock0 sun_misc_CompoundEnumeration_Classblock;
extern const struct CVMMethodArray2 java_security_IdentityScope_1_methods;
extern const struct CVMClassBlock1 java_security_IdentityScope_1_Classblock;
extern const struct CVMMethodArray2 java_security_InvalidKeyException_methods;
extern const struct CVMClassBlock0 java_security_InvalidKeyException_Classblock;
extern const struct CVMMethodArray2 sun_security_x509_OIDMap_1_methods;
extern const struct CVMFieldArray2 sun_security_x509_OIDMap_1_fields;
extern const struct CVMClassBlock1 sun_security_x509_OIDMap_1_Classblock;
extern const struct CVMMethodArray2 javax_realtime_UnknownHappeningException_methods;
extern const struct CVMClassBlock0 javax_realtime_UnknownHappeningException_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_PhantomReference_methods;
extern const struct CVMClassBlock0 java_lang_ref_PhantomReference_Classblock;
extern const struct CVMMethodArray2 java_net_UnknownHostException_methods;
extern const struct CVMClassBlock0 java_net_UnknownHostException_Classblock;
extern struct CVMMethodArray29 javax_realtime_ScopedMemory_methods;
extern const struct CVMMethodArray29 javax_realtime_ScopedMemory_methodsMaster;
#include "generated/jni/javax_realtime_ScopedMemory.h"
extern const struct CVMFieldArray5 javax_realtime_ScopedMemory_fields;
extern const struct CVMClassBlock0 javax_realtime_ScopedMemory_Classblock;
extern const struct CVMMethodArray11 java_io_ByteArrayInputStream_methods;
extern const struct CVMFieldArray5 java_io_ByteArrayInputStream_fields;
extern const struct CVMClassBlock0 java_io_ByteArrayInputStream_Classblock;
extern const struct CVMMethodArray8 sun_security_x509_IPAddressName_methods;
extern const struct CVMFieldArray1 sun_security_x509_IPAddressName_fields;
extern const struct CVMClassBlock0 sun_security_x509_IPAddressName_Classblock;
extern const struct CVMMethodArray2 java_security_SecurityPermission_methods;
extern const struct CVMClassBlock0 java_security_SecurityPermission_Classblock;
extern const struct CVMMethodArray8 java_security_MessageDigest_Delegate_methods;
extern const struct CVMFieldArray1 java_security_MessageDigest_Delegate_fields;
extern const struct CVMClassBlock1 java_security_MessageDigest_Delegate_Classblock;
extern const struct CVMMethodArray2 java_security_DigestException_methods;
extern const struct CVMClassBlock0 java_security_DigestException_Classblock;
extern const struct CVMMethodArray2 javax_realtime_IllegalAssignmentError_methods;
extern const struct CVMClassBlock0 javax_realtime_IllegalAssignmentError_Classblock;
extern const struct CVMMethodArray10 java_math_BitSieve_methods;
extern const struct CVMFieldArray3 java_math_BitSieve_fields;
extern const struct CVMClassBlock0 java_math_BitSieve_Classblock;
extern const struct CVMMethodArray2 java_security_UnrecoverableKeyException_methods;
extern const struct CVMClassBlock0 java_security_UnrecoverableKeyException_Classblock;
extern const struct CVMMethodArray9 java_text_resources_LocaleData_methods;
extern const struct CVMFieldArray5 java_text_resources_LocaleData_fields;
extern const struct CVMClassBlock1 java_text_resources_LocaleData_Classblock;
extern const struct CVMMethodArray2 java_util_zip_ZipFile_3_methods;
extern const struct CVMFieldArray1 java_util_zip_ZipFile_3_fields;
extern const struct CVMClassBlock1 java_util_zip_ZipFile_3_Classblock;
extern const struct CVMMethodArray3 java_util_zip_ZipFile_2_methods;
extern const struct CVMFieldArray2 java_util_zip_ZipFile_2_fields;
extern const struct CVMClassBlock1 java_util_zip_ZipFile_2_Classblock;
extern const struct CVMMethodArray4 java_util_zip_ZipFile_1_methods;
extern const struct CVMFieldArray3 java_util_zip_ZipFile_1_fields;
extern const struct CVMClassBlock1 java_util_zip_ZipFile_1_Classblock;
extern const struct CVMMethodArray1 java_io_ValidationCallback_methods;
extern const struct CVMFieldArray2 java_io_ValidationCallback_fields;
extern const struct CVMClassBlock0 java_io_ValidationCallback_Classblock;
extern const struct CVMMethodArray2 java_security_KeyManagementException_methods;
extern const struct CVMClassBlock0 java_security_KeyManagementException_Classblock;
extern const struct CVMMethodArray7 java_util_ResourceBundle_ResourceCacheKey_methods;
extern const struct CVMFieldArray3 java_util_ResourceBundle_ResourceCacheKey_fields;
extern const struct CVMClassBlock2 java_util_ResourceBundle_ResourceCacheKey_Classblock;
extern const struct CVMMethodArray2 sun_security_x509_PKIXExtensions_methods;
extern const struct CVMFieldArray38 sun_security_x509_PKIXExtensions_fields;
extern const struct CVMClassBlock0 sun_security_x509_PKIXExtensions_Classblock;
extern const struct CVMMethodArray2 java_io_Externalizable_methods;
extern const struct CVMClassBlock0 java_io_Externalizable_Classblock;
extern const struct CVMMethodArray2 java_lang_NoSuchFieldError_methods;
extern const struct CVMClassBlock0 java_lang_NoSuchFieldError_Classblock;
extern const struct CVMMethodArray7 java_lang_ExceptionInInitializerError_methods;
extern const struct CVMFieldArray2 java_lang_ExceptionInInitializerError_fields;
extern const struct CVMClassBlock0 java_lang_ExceptionInInitializerError_Classblock;
extern const struct CVMMethodArray7 java_lang_ClassNotFoundException_methods;
extern const struct CVMFieldArray2 java_lang_ClassNotFoundException_fields;
extern const struct CVMClassBlock0 java_lang_ClassNotFoundException_Classblock;
extern const struct CVMMethodArray17 java_util_Collections_SynchronizedMap_methods;
extern const struct CVMFieldArray6 java_util_Collections_SynchronizedMap_fields;
extern const struct CVMClassBlock3 java_util_Collections_SynchronizedMap_Classblock;
extern const struct CVMMethodArray8 java_util_Collections_SynchronizedSortedMap_methods;
extern const struct CVMFieldArray1 java_util_Collections_SynchronizedSortedMap_fields;
extern const struct CVMClassBlock2 java_util_Collections_SynchronizedSortedMap_Classblock;
extern const struct CVMMethodArray2 java_io_FilePermission_1_methods;
extern const struct CVMFieldArray1 java_io_FilePermission_1_fields;
extern const struct CVMClassBlock1 java_io_FilePermission_1_Classblock;
extern const struct CVMMethodArray2 java_security_cert_CertificateNotYetValidException_methods;
extern const struct CVMClassBlock0 java_security_cert_CertificateNotYetValidException_Classblock;
extern const struct CVMMethodArray2 java_security_AccessControlContext_1_methods;
extern const struct CVMFieldArray3 java_security_AccessControlContext_1_fields;
extern const struct CVMClassBlock1 java_security_AccessControlContext_1_Classblock;
extern const struct CVMMethodArray7 sun_io_CharToByteISO8859_1_methods;
extern const struct CVMFieldArray1 sun_io_CharToByteISO8859_1_fields;
extern const struct CVMClassBlock0 sun_io_CharToByteISO8859_1_Classblock;
extern const struct CVMMethodArray7 java_lang_reflect_InvocationTargetException_methods;
extern const struct CVMFieldArray2 java_lang_reflect_InvocationTargetException_fields;
extern const struct CVMClassBlock0 java_lang_reflect_InvocationTargetException_Classblock;
extern const struct CVMMethodArray2 java_net_URLConnection_1_methods;
extern const struct CVMFieldArray1 java_net_URLConnection_1_fields;
extern const struct CVMClassBlock1 java_net_URLConnection_1_Classblock;
extern const struct CVMMethodArray2 java_lang_IllegalStateException_methods;
extern const struct CVMClassBlock0 java_lang_IllegalStateException_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_CertificateIssuerUniqueIdentity_methods;
extern const struct CVMFieldArray4 sun_security_x509_CertificateIssuerUniqueIdentity_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateIssuerUniqueIdentity_Classblock;
extern const struct CVMMethodArray4 java_security_BasicPermissionCollection_methods;
extern const struct CVMFieldArray2 java_security_BasicPermissionCollection_fields;
extern const struct CVMClassBlock0 java_security_BasicPermissionCollection_Classblock;
extern const struct CVMMethodArray2 java_lang_ArithmeticException_methods;
extern const struct CVMClassBlock0 java_lang_ArithmeticException_Classblock;
extern const struct CVMMethodArray2 javax_realtime_SizeOutOfBoundsException_methods;
extern const struct CVMClassBlock0 javax_realtime_SizeOutOfBoundsException_Classblock;
struct CVMMethodArray43 { CVMClassBlock const *cb1; CVMMethodBlock mb1[43];
 };
extern const struct CVMMethodArray43 java_text_DecimalFormat_methods;
struct CVMFieldArray36 { CVMClassBlock const *cb1; CVMFieldBlock fb1[36]; };
extern const struct CVMFieldArray36 java_text_DecimalFormat_fields;
extern const struct CVMClassBlock0 java_text_DecimalFormat_Classblock;
extern const struct CVMMethodArray6 sun_security_x509_EDIPartyName_methods;
extern const struct CVMFieldArray4 sun_security_x509_EDIPartyName_fields;
extern const struct CVMClassBlock0 sun_security_x509_EDIPartyName_Classblock;
extern const struct CVMMethodArray7 javax_realtime_PriorityParameters_methods;
extern const struct CVMFieldArray2 javax_realtime_PriorityParameters_fields;
extern const struct CVMClassBlock0 javax_realtime_PriorityParameters_Classblock;
extern const struct CVMMethodArray4 javax_realtime_ImportanceParameters_methods;
extern const struct CVMFieldArray1 javax_realtime_ImportanceParameters_fields;
extern const struct CVMClassBlock0 javax_realtime_ImportanceParameters_Classblock;
extern const struct CVMMethodArray2 java_lang_InternalError_methods;
extern const struct CVMClassBlock0 java_lang_InternalError_Classblock;
extern const struct CVMMethodArray2 javax_realtime_MemoryInUseException_methods;
extern const struct CVMClassBlock0 javax_realtime_MemoryInUseException_Classblock;
extern const struct CVMMethodArray14 java_io_InputStreamReader_methods;
extern const struct CVMFieldArray6 java_io_InputStreamReader_fields;
extern const struct CVMClassBlock0 java_io_InputStreamReader_Classblock;
extern const struct CVMMethodArray3 java_io_FileReader_methods;
extern const struct CVMClassBlock0 java_io_FileReader_Classblock;
extern const struct CVMMethodArray14 java_io_BufferedInputStream_methods;
extern const struct CVMFieldArray6 java_io_BufferedInputStream_fields;
extern const struct CVMClassBlock0 java_io_BufferedInputStream_Classblock;
extern const struct CVMMethodArray2 java_util_zip_ZipException_methods;
extern const struct CVMClassBlock0 java_util_zip_ZipException_Classblock;
extern const struct CVMMethodArray2 java_util_jar_JarException_methods;
extern const struct CVMClassBlock0 java_util_jar_JarException_Classblock;
extern const struct CVMMethodArray2 java_lang_NoSuchMethodException_methods;
extern const struct CVMClassBlock0 java_lang_NoSuchMethodException_Classblock;
extern const struct CVMMethodArray4 java_util_Collections_SingletonList_methods;
extern const struct CVMFieldArray1 java_util_Collections_SingletonList_fields;
extern const struct CVMClassBlock1 java_util_Collections_SingletonList_Classblock;
extern const struct CVMMethodArray16 sun_security_x509_CertificateVersion_methods;
extern const struct CVMFieldArray7 sun_security_x509_CertificateVersion_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateVersion_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_IssuerAlternativeNameExtension_methods;
extern const struct CVMFieldArray4 sun_security_x509_IssuerAlternativeNameExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_IssuerAlternativeNameExtension_Classblock;
extern const struct CVMMethodArray2 java_util_NoSuchElementException_methods;
extern const struct CVMClassBlock0 java_util_NoSuchElementException_Classblock;
extern const struct CVMMethodArray2 javax_realtime_MemoryAccessError_methods;
extern const struct CVMClassBlock0 javax_realtime_MemoryAccessError_Classblock;
extern const struct CVMMethodArray2 sun_security_util_ByteArrayTagOrder_methods;
extern const struct CVMClassBlock0 sun_security_util_ByteArrayTagOrder_Classblock;
extern const struct CVMMethodArray2 java_lang_Shutdown_Lock_methods;
extern const struct CVMClassBlock2 java_lang_Shutdown_Lock_Classblock;
extern const struct CVMMethodArray2 java_lang_NoSuchMethodError_methods;
extern const struct CVMClassBlock0 java_lang_NoSuchMethodError_Classblock;
extern const struct CVMMethodArray12 java_lang_Shutdown_methods;
#include "generated/jni/java_lang_Shutdown.h"
extern const struct CVMFieldArray8 java_lang_Shutdown_fields;
extern const struct CVMClassBlock3 java_lang_Shutdown_Classblock;
extern const struct CVMMethodArray2 java_security_KeyStore_1_methods;
extern const struct CVMClassBlock1 java_security_KeyStore_1_Classblock;
extern const struct CVMMethodArray3 java_util_jar_JarFile_1_methods;
extern const struct CVMFieldArray2 java_util_jar_JarFile_1_fields;
extern const struct CVMClassBlock2 java_util_jar_JarFile_1_Classblock;
extern const struct CVMMethodArray4 java_security_PermissionsHash_methods;
extern const struct CVMFieldArray1 java_security_PermissionsHash_fields;
extern const struct CVMClassBlock0 java_security_PermissionsHash_Classblock;
extern const struct CVMMethodArray22 sun_security_provider_PolicyParser_methods;
extern const struct CVMFieldArray8 sun_security_provider_PolicyParser_fields;
extern const struct CVMClassBlock4 sun_security_provider_PolicyParser_Classblock;
extern const struct CVMMethodArray2 java_io_OptionalDataException_methods;
extern const struct CVMFieldArray2 java_io_OptionalDataException_fields;
extern const struct CVMClassBlock0 java_io_OptionalDataException_Classblock;
extern const struct CVMMethodArray9 sun_security_x509_URIName_methods;
extern const struct CVMFieldArray1 sun_security_x509_URIName_fields;
extern const struct CVMClassBlock0 sun_security_x509_URIName_Classblock;
extern const struct CVMMethodArray2 sun_misc_Launcher_4_methods;
extern const struct CVMFieldArray1 sun_misc_Launcher_4_fields;
extern const struct CVMClassBlock1 sun_misc_Launcher_4_Classblock;
extern const struct CVMMethodArray2 sun_misc_Launcher_3_methods;
extern const struct CVMFieldArray3 sun_misc_Launcher_3_fields;
extern const struct CVMClassBlock2 sun_misc_Launcher_3_Classblock;
extern const struct CVMMethodArray20 sun_misc_CVM_methods;
#include "generated/cni/sun_misc_CVM.h"
extern const struct CVMFieldArray32 sun_misc_CVM_fields;
extern const struct CVMClassBlock0 sun_misc_CVM_Classblock;
extern const struct CVMMethodArray2 sun_misc_Launcher_2_methods;
extern const struct CVMFieldArray1 sun_misc_Launcher_2_fields;
extern const struct CVMClassBlock2 sun_misc_Launcher_2_Classblock;
extern const struct CVMMethodArray1 sun_net_www_ApplicationLaunchException_methods;
extern const struct CVMClassBlock0 sun_net_www_ApplicationLaunchException_Classblock;
extern const struct CVMMethodArray9 java_util_zip_CRC32_methods;
#include "generated/jni/java_util_zip_CRC32.h"
extern const struct CVMFieldArray1 java_util_zip_CRC32_fields;
extern const struct CVMClassBlock0 java_util_zip_CRC32_Classblock;
extern const struct CVMMethodArray2 java_net_ProtocolException_methods;
extern const struct CVMClassBlock0 java_net_ProtocolException_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_SubjectKeyIdentifierExtension_methods;
extern const struct CVMFieldArray4 sun_security_x509_SubjectKeyIdentifierExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_SubjectKeyIdentifierExtension_Classblock;
extern const struct CVMMethodArray7 java_security_AllPermission_methods;
extern const struct CVMClassBlock0 java_security_AllPermission_Classblock;
extern const struct CVMMethodArray2 java_lang_VerifyError_methods;
extern const struct CVMClassBlock0 java_lang_VerifyError_Classblock;
extern const struct CVMMethodArray7 java_util_Hashtable_KeySet_methods;
extern const struct CVMFieldArray1 java_util_Hashtable_KeySet_fields;
extern const struct CVMClassBlock2 java_util_Hashtable_KeySet_Classblock;
extern struct CVMMethodArray9 java_lang_reflect_Proxy_methods;
extern const struct CVMMethodArray9 java_lang_reflect_Proxy_methodsMaster;
#include "generated/jni/java_lang_reflect_Proxy.h"
extern const struct CVMFieldArray9 java_lang_reflect_Proxy_fields;
extern const struct CVMClassBlock0 java_lang_reflect_Proxy_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_Reference_ReferenceHandler_methods;
extern const struct CVMClassBlock2 java_lang_ref_Reference_ReferenceHandler_Classblock;
extern struct CVMMethodArray4 sun_net_www_MimeLauncher_methods;
extern const struct CVMMethodArray4 sun_net_www_MimeLauncher_methodsMaster;
extern const struct CVMFieldArray5 sun_net_www_MimeLauncher_fields;
extern const struct CVMClassBlock0 sun_net_www_MimeLauncher_Classblock;
extern const struct CVMMethodArray3 sun_security_util_PropertyExpander_methods;
extern const struct CVMClassBlock1 sun_security_util_PropertyExpander_Classblock;
extern const struct CVMMethodArray2 java_security_spec_InvalidParameterSpecException_methods;
extern const struct CVMClassBlock0 java_security_spec_InvalidParameterSpecException_Classblock;
extern const struct CVMMethodArray5 sun_misc_Version_methods;
extern const struct CVMFieldArray3 sun_misc_Version_fields;
extern const struct CVMClassBlock0 sun_misc_Version_Classblock;
extern const struct CVMMethodArray2 javax_realtime_ResourceLimitError_methods;
extern const struct CVMClassBlock0 javax_realtime_ResourceLimitError_Classblock;
extern const struct CVMMethodArray2 javax_realtime_InaccessibleAreaException_methods;
extern const struct CVMClassBlock0 javax_realtime_InaccessibleAreaException_Classblock;
extern const struct CVMMethodArray8 java_util_Collections_SynchronizedSortedSet_methods;
extern const struct CVMFieldArray1 java_util_Collections_SynchronizedSortedSet_fields;
extern const struct CVMClassBlock3 java_util_Collections_SynchronizedSortedSet_Classblock;
extern const struct CVMMethodArray2 java_lang_Void_methods;
extern const struct CVMFieldArray1 java_lang_Void_fields;
extern const struct CVMClassBlock0 java_lang_Void_Classblock;
extern const struct CVMMethodArray11 java_util_LinkedList_ListItr_methods;
extern const struct CVMFieldArray5 java_util_LinkedList_ListItr_fields;
extern const struct CVMClassBlock2 java_util_LinkedList_ListItr_Classblock;
extern const struct CVMMethodArray2 java_io_WriteAbortedException_methods;
extern const struct CVMFieldArray1 java_io_WriteAbortedException_fields;
extern const struct CVMClassBlock0 java_io_WriteAbortedException_Classblock;
extern const struct CVMMethodArray2 java_lang_NullPointerException_methods;
extern const struct CVMClassBlock0 java_lang_NullPointerException_Classblock;
extern const struct CVMMethodArray12 java_util_StringTokenizer_methods;
extern const struct CVMFieldArray8 java_util_StringTokenizer_fields;
extern const struct CVMClassBlock0 java_util_StringTokenizer_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_CertificateAlgorithmId_methods;
extern const struct CVMFieldArray4 sun_security_x509_CertificateAlgorithmId_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateAlgorithmId_Classblock;
extern const struct CVMMethodArray2 java_lang_UnsupportedOperationException_methods;
extern const struct CVMClassBlock0 java_lang_UnsupportedOperationException_Classblock;
extern const struct CVMMethodArray18 java_text_Utility_methods;
extern const struct CVMFieldArray3 java_text_Utility_fields;
extern const struct CVMClassBlock0 java_text_Utility_Classblock;
extern const struct CVMMethodArray4 sun_net_InetAddressCachePolicy_methods;
extern const struct CVMFieldArray5 sun_net_InetAddressCachePolicy_fields;
extern const struct CVMClassBlock0 sun_net_InetAddressCachePolicy_Classblock;
extern const struct CVMMethodArray4 java_util_AbstractMap_4_methods;
extern const struct CVMFieldArray2 java_util_AbstractMap_4_fields;
extern const struct CVMClassBlock3 java_util_AbstractMap_4_Classblock;
extern const struct CVMMethodArray4 java_util_AbstractMap_2_methods;
extern const struct CVMFieldArray2 java_util_AbstractMap_2_fields;
extern const struct CVMClassBlock3 java_util_AbstractMap_2_Classblock;
extern const struct CVMMethodArray2 java_lang_UnsatisfiedLinkError_methods;
extern const struct CVMClassBlock0 java_lang_UnsatisfiedLinkError_Classblock;
extern const struct CVMMethodArray4 java_security_PermissionsEnumerator_methods;
extern const struct CVMFieldArray2 java_security_PermissionsEnumerator_fields;
extern const struct CVMClassBlock0 java_security_PermissionsEnumerator_Classblock;
extern const struct CVMMethodArray4 java_net_SocketPermissionCollection_methods;
extern const struct CVMFieldArray1 java_net_SocketPermissionCollection_fields;
extern const struct CVMClassBlock0 java_net_SocketPermissionCollection_Classblock;
struct CVMMethodArray37 { CVMClassBlock const *cb1; CVMMethodBlock mb1[37];
 };
extern const struct CVMMethodArray37 java_security_Security_methods;
extern const struct CVMFieldArray9 java_security_Security_fields;
extern const struct CVMClassBlock4 java_security_Security_Classblock;
extern const struct CVMMethodArray2 javax_realtime_PhysicalMemoryManager_AddressList_methods;
extern const struct CVMFieldArray4 javax_realtime_PhysicalMemoryManager_AddressList_fields;
extern const struct CVMClassBlock2 javax_realtime_PhysicalMemoryManager_AddressList_Classblock;
extern const struct CVMMethodArray2 java_io_InterruptedIOException_methods;
extern const struct CVMFieldArray1 java_io_InterruptedIOException_fields;
extern const struct CVMClassBlock0 java_io_InterruptedIOException_Classblock;
extern const struct CVMMethodArray2 java_lang_NegativeArraySizeException_methods;
extern const struct CVMClassBlock0 java_lang_NegativeArraySizeException_Classblock;
extern const struct CVMMethodArray1 sun_tools_java_RuntimeConstants_methods;
struct CVMFieldArray278 {
 CVMClassBlock const *cb1; CVMFieldBlock fb1[256];
 CVMClassBlock const *cb2; CVMFieldBlock fb2[22];
 };
extern const struct CVMFieldArray278 sun_tools_java_RuntimeConstants_fields;
extern const struct CVMClassBlock0 sun_tools_java_RuntimeConstants_Classblock;
extern const struct CVMMethodArray5 java_security_UnresolvedPermissionCollection_methods;
extern const struct CVMFieldArray1 java_security_UnresolvedPermissionCollection_fields;
extern const struct CVMClassBlock0 java_security_UnresolvedPermissionCollection_Classblock;
extern const struct CVMMethodArray2 java_lang_IllegalAccessException_methods;
extern const struct CVMClassBlock0 java_lang_IllegalAccessException_Classblock;
extern const struct CVMMethodArray1 sun_misc_ExtensionInstallationException_methods;
extern const struct CVMClassBlock0 sun_misc_ExtensionInstallationException_Classblock;
extern const struct CVMMethodArray4 java_util_Collections_CopiesList_methods;
extern const struct CVMFieldArray2 java_util_Collections_CopiesList_fields;
extern const struct CVMClassBlock1 java_util_Collections_CopiesList_Classblock;
struct CVMMethodArray92 { CVMClassBlock const *cb1; CVMMethodBlock mb1[92];
 };
extern const struct CVMMethodArray92 java_util_Arrays_methods;
extern const struct CVMClassBlock1 java_util_Arrays_Classblock;
extern const struct CVMMethodArray5 java_lang_InheritableThreadLocal_methods;
extern const struct CVMFieldArray1 java_lang_InheritableThreadLocal_fields;
extern const struct CVMClassBlock2 java_lang_InheritableThreadLocal_Classblock;
extern const struct CVMMethodArray2 java_lang_NoClassDefFoundError_methods;
extern const struct CVMClassBlock0 java_lang_NoClassDefFoundError_Classblock;
extern const struct CVMMethodArray1 java_lang_reflect_Method_AccessException_methods;
extern const struct CVMClassBlock1 java_lang_reflect_Method_AccessException_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_PolicyConstraintsExtension_methods;
extern const struct CVMFieldArray8 sun_security_x509_PolicyConstraintsExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_PolicyConstraintsExtension_Classblock;
extern const struct CVMMethodArray3 java_io_ObjectStreamClass_CompareClassByName_methods;
extern const struct CVMClassBlock2 java_io_ObjectStreamClass_CompareClassByName_Classblock;
extern const struct CVMMethodArray2 java_security_SignatureException_methods;
extern const struct CVMClassBlock0 java_security_SignatureException_Classblock;
extern const struct CVMMethodArray5 java_util_jar_JarVerifier_VerifierStream_methods;
extern const struct CVMFieldArray4 java_util_jar_JarVerifier_VerifierStream_fields;
extern const struct CVMClassBlock1 java_util_jar_JarVerifier_VerifierStream_Classblock;
extern const struct CVMMethodArray1 sun_security_x509_NetscapeCertTypeExtension_MapEntry_methods;
extern const struct CVMFieldArray2 sun_security_x509_NetscapeCertTypeExtension_MapEntry_fields;
extern const struct CVMClassBlock1 sun_security_x509_NetscapeCertTypeExtension_MapEntry_Classblock;
extern const struct CVMMethodArray11 javax_realtime_SporadicParameters_methods;
extern const struct CVMFieldArray13 javax_realtime_SporadicParameters_fields;
extern const struct CVMClassBlock0 javax_realtime_SporadicParameters_Classblock;
extern const struct CVMMethodArray13 sun_security_x509_PrivateKeyUsageExtension_methods;
extern const struct CVMFieldArray8 sun_security_x509_PrivateKeyUsageExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_PrivateKeyUsageExtension_Classblock;
extern const struct CVMMethodArray2 sun_io_ConversionBufferFullException_methods;
extern const struct CVMClassBlock0 sun_io_ConversionBufferFullException_Classblock;
extern const struct CVMMethodArray3 java_util_MissingResourceException_methods;
extern const struct CVMFieldArray2 java_util_MissingResourceException_fields;
extern const struct CVMClassBlock0 java_util_MissingResourceException_Classblock;
extern const struct CVMMethodArray4 java_util_Hashtable_EmptyIterator_methods;
extern const struct CVMClassBlock1 java_util_Hashtable_EmptyIterator_Classblock;
extern const struct CVMMethodArray6 java_util_Hashtable_Enumerator_methods;
extern const struct CVMFieldArray8 java_util_Hashtable_Enumerator_fields;
extern const struct CVMClassBlock2 java_util_Hashtable_Enumerator_Classblock;
extern const struct CVMMethodArray4 java_util_HashMap_HashIterator_methods;
extern const struct CVMFieldArray7 java_util_HashMap_HashIterator_fields;
extern const struct CVMClassBlock2 java_util_HashMap_HashIterator_Classblock;
extern const struct CVMMethodArray32 java_lang_System_methods;
#include "generated/jni/java_lang_System.h"
extern const struct CVMFieldArray5 java_lang_System_fields;
extern const struct CVMClassBlock1 java_lang_System_Classblock;
extern const struct CVMMethodArray2 java_lang_ClassLoader_4_methods;
extern const struct CVMFieldArray1 java_lang_ClassLoader_4_fields;
extern const struct CVMClassBlock1 java_lang_ClassLoader_4_Classblock;
extern const struct CVMMethodArray2 java_lang_ClassLoader_3_methods;
extern const struct CVMFieldArray1 java_lang_ClassLoader_3_fields;
extern const struct CVMClassBlock1 java_lang_ClassLoader_3_Classblock;
extern const struct CVMMethodArray3 java_lang_ClassLoader_2_methods;
extern const struct CVMFieldArray1 java_lang_ClassLoader_2_fields;
extern const struct CVMClassBlock1 java_lang_ClassLoader_2_Classblock;
extern const struct CVMMethodArray1 java_io_ObjectStreamConstants_methods;
extern const struct CVMFieldArray27 java_io_ObjectStreamConstants_fields;
extern const struct CVMClassBlock0 java_io_ObjectStreamConstants_Classblock;
extern const struct CVMMethodArray2 java_lang_ClassLoader_1_methods;
extern const struct CVMFieldArray4 java_lang_ClassLoader_1_fields;
extern const struct CVMClassBlock1 java_lang_ClassLoader_1_Classblock;
extern const struct CVMMethodArray16 sun_security_x509_CertificateValidity_methods;
extern const struct CVMFieldArray7 sun_security_x509_CertificateValidity_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateValidity_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_BasicConstraintsExtension_methods;
extern const struct CVMFieldArray6 sun_security_x509_BasicConstraintsExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_BasicConstraintsExtension_Classblock;
extern const struct CVMMethodArray6 sun_security_provider_PolicyPermissions_methods;
extern const struct CVMFieldArray5 sun_security_provider_PolicyPermissions_fields;
extern const struct CVMClassBlock0 sun_security_provider_PolicyPermissions_Classblock;
extern const struct CVMMethodArray3 java_lang_Terminator_methods;
extern const struct CVMClassBlock0 java_lang_Terminator_Classblock;
extern const struct CVMMethodArray7 sun_security_x509_DNSName_methods;
extern const struct CVMFieldArray1 sun_security_x509_DNSName_fields;
extern const struct CVMClassBlock0 sun_security_x509_DNSName_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_CRLNumberExtension_methods;
extern const struct CVMFieldArray3 sun_security_x509_CRLNumberExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_CRLNumberExtension_Classblock;
extern const struct CVMMethodArray1 sun_misc_CEFormatException_methods;
extern const struct CVMClassBlock0 sun_misc_CEFormatException_Classblock;
extern const struct CVMMethodArray2 javax_realtime_Timer_1_methods;
extern const struct CVMFieldArray1 javax_realtime_Timer_1_fields;
extern const struct CVMClassBlock1 javax_realtime_Timer_1_Classblock;
extern const struct CVMMethodArray2 sun_misc_ProxyGenerator_FieldInfo_methods;
extern const struct CVMFieldArray4 sun_misc_ProxyGenerator_FieldInfo_fields;
extern const struct CVMClassBlock2 sun_misc_ProxyGenerator_FieldInfo_Classblock;
extern const struct CVMMethodArray3 java_io_FileNotFoundException_methods;
extern const struct CVMClassBlock0 java_io_FileNotFoundException_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_CertificateX509Key_methods;
extern const struct CVMFieldArray4 sun_security_x509_CertificateX509Key_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateX509Key_Classblock;
extern const struct CVMMethodArray2 javax_realtime_ThrowBoundaryError_methods;
extern const struct CVMClassBlock0 javax_realtime_ThrowBoundaryError_Classblock;
extern const struct CVMMethodArray2 java_lang_AbstractMethodError_methods;
extern const struct CVMClassBlock0 java_lang_AbstractMethodError_Classblock;
extern const struct CVMMethodArray10 java_util_SubList_1_methods;
extern const struct CVMFieldArray3 java_util_SubList_1_fields;
extern const struct CVMClassBlock1 java_util_SubList_1_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_ReferenceQueue_Lock_methods;
extern const struct CVMClassBlock2 java_lang_ref_ReferenceQueue_Lock_Classblock;
extern const struct CVMMethodArray2 sun_misc_ProxyGenerator_ConstantPool_ValueEntry_methods;
extern const struct CVMFieldArray1 sun_misc_ProxyGenerator_ConstantPool_ValueEntry_fields;
extern const struct CVMClassBlock4 sun_misc_ProxyGenerator_ConstantPool_ValueEntry_Classblock;
extern const struct CVMMethodArray5 sun_security_x509_OtherName_methods;
extern const struct CVMFieldArray5 sun_security_x509_OtherName_fields;
extern const struct CVMClassBlock0 sun_security_x509_OtherName_Classblock;
extern const struct CVMMethodArray3 java_io_ObjectStreamClass_CompareMemberByName_methods;
extern const struct CVMClassBlock2 java_io_ObjectStreamClass_CompareMemberByName_Classblock;
extern const struct CVMMethodArray16 sun_security_x509_X509CRLEntryImpl_methods;
extern const struct CVMFieldArray6 sun_security_x509_X509CRLEntryImpl_fields;
extern const struct CVMClassBlock0 sun_security_x509_X509CRLEntryImpl_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_CertificateSubjectName_methods;
extern const struct CVMFieldArray4 sun_security_x509_CertificateSubjectName_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateSubjectName_Classblock;
extern const struct CVMMethodArray11 sun_security_x509_AuthorityKeyIdentifierExtension_methods;
extern const struct CVMFieldArray11 sun_security_x509_AuthorityKeyIdentifierExtension_fields;
extern const struct CVMClassBlock0 sun_security_x509_AuthorityKeyIdentifierExtension_Classblock;
extern const struct CVMMethodArray3 java_util_Collections_ReverseComparator_methods;
extern const struct CVMFieldArray1 java_util_Collections_ReverseComparator_fields;
extern const struct CVMClassBlock2 java_util_Collections_ReverseComparator_Classblock;
extern const struct CVMMethodArray1 sun_security_x509_AttributeNameEnumeration_methods;
extern const struct CVMClassBlock0 sun_security_x509_AttributeNameEnumeration_Classblock;
extern const struct CVMMethodArray3 java_util_Hashtable_EmptyEnumerator_methods;
extern const struct CVMClassBlock1 java_util_Hashtable_EmptyEnumerator_Classblock;
extern const struct CVMMethodArray8 sun_security_x509_CertAttrSet_methods;
extern const struct CVMClassBlock0 sun_security_x509_CertAttrSet_Classblock;
extern const struct CVMMethodArray19 java_io_DataInputStream_methods;
extern const struct CVMFieldArray1 java_io_DataInputStream_fields;
extern const struct CVMClassBlock0 java_io_DataInputStream_Classblock;
extern const struct CVMMethodArray1 java_lang_Comparable_methods;
extern const struct CVMClassBlock0 java_lang_Comparable_Classblock;
extern const struct CVMMethodArray9 sun_io_Converters_methods;
extern const struct CVMFieldArray8 sun_io_Converters_fields;
extern const struct CVMClassBlock0 sun_io_Converters_Classblock;
extern const struct CVMMethodArray10 java_security_Signature_Delegate_methods;
extern const struct CVMFieldArray1 java_security_Signature_Delegate_fields;
extern const struct CVMClassBlock1 java_security_Signature_Delegate_Classblock;
extern const struct CVMMethodArray24 java_lang_reflect_Array_methods;
#include "generated/jni/java_lang_reflect_Array.h"
extern const struct CVMClassBlock0 java_lang_reflect_Array_Classblock;
struct CVMFieldArray40 { CVMClassBlock const *cb1; CVMFieldBlock fb1[40]; };
extern const struct CVMFieldArray40 java_util_zip_ZipConstants_fields;
extern const struct CVMClassBlock0 java_util_zip_ZipConstants_Classblock;
extern const struct CVMMethodArray2 java_io_StreamCorruptedException_methods;
extern const struct CVMClassBlock0 java_io_StreamCorruptedException_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_Finalizer_3_methods;
extern const struct CVMClassBlock1 java_lang_ref_Finalizer_3_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_Finalizer_2_methods;
extern const struct CVMClassBlock1 java_lang_ref_Finalizer_2_Classblock;
extern const struct CVMMethodArray2 java_lang_ref_Finalizer_1_methods;
extern const struct CVMFieldArray1 java_lang_ref_Finalizer_1_fields;
extern const struct CVMClassBlock1 java_lang_ref_Finalizer_1_Classblock;
extern const struct CVMMethodArray2 java_lang_IllegalAccessError_methods;
extern const struct CVMClassBlock0 java_lang_IllegalAccessError_Classblock;
extern const struct CVMMethodArray10 sun_security_provider_SystemSigner_methods;
extern const struct CVMFieldArray2 sun_security_provider_SystemSigner_fields;
extern const struct CVMClassBlock0 sun_security_provider_SystemSigner_Classblock;
extern const struct CVMMethodArray12 sun_security_x509_CertificateSubjectUniqueIdentity_methods;
extern const struct CVMFieldArray4 sun_security_x509_CertificateSubjectUniqueIdentity_fields;
extern const struct CVMClassBlock0 sun_security_x509_CertificateSubjectUniqueIdentity_Classblock;
extern const struct CVMMethodArray4 javax_realtime_RealtimeClock_methods;
extern const struct CVMFieldArray2 javax_realtime_RealtimeClock_fields;
extern const struct CVMClassBlock0 javax_realtime_RealtimeClock_Classblock;
extern const struct CVMMethodArray2 java_net_MalformedURLException_methods;
extern const struct CVMClassBlock0 java_net_MalformedURLException_Classblock;
extern const struct CVMMethodArray35 java_lang_Math_methods;
extern const struct CVMFieldArray5 java_lang_Math_fields;
extern const struct CVMClassBlock0 java_lang_Math_Classblock;
extern const struct CVMMethodArray2 java_text_resources_LocaleData_1_methods;
extern const struct CVMClassBlock1 java_text_resources_LocaleData_1_Classblock;
extern const struct CVMMethodArray19 sun_security_x509_X509Key_methods;
extern const struct CVMFieldArray4 sun_security_x509_X509Key_fields;
extern const struct CVMClassBlock0 sun_security_x509_X509Key_Classblock;
extern const struct CVMMethodArray2 sun_security_provider_IdentityDatabase_1_methods;
extern const struct CVMClassBlock1 sun_security_provider_IdentityDatabase_1_Classblock;
extern const struct CVMMethodArray3 javax_realtime_MarkAndSweepCollector_methods;
#include "generated/jni/javax_realtime_MarkAndSweepCollector.h"
extern const struct CVMClassBlock0 javax_realtime_MarkAndSweepCollector_Classblock;
extern const struct CVMMethodArray1 java_io_ObjectStreamClass_ObjectStreamClassEntry_methods;
extern const struct CVMFieldArray1 java_io_ObjectStreamClass_ObjectStreamClassEntry_fields;
extern const struct CVMClassBlock1 java_io_ObjectStreamClass_ObjectStreamClassEntry_Classblock;
extern const struct CVMMethodArray4 sun_io_CharacterEncoding_methods;
extern const struct CVMFieldArray1 sun_io_CharacterEncoding_fields;
extern const struct CVMClassBlock1 sun_io_CharacterEncoding_Classblock;
extern const struct CVMMethodArray2 sun_security_util_ByteArrayLexOrder_methods;
extern const struct CVMClassBlock0 sun_security_util_ByteArrayLexOrder_Classblock;
extern const struct CVMMethodArray2 java_security_NoSuchAlgorithmException_methods;
extern const struct CVMClassBlock0 java_security_NoSuchAlgorithmException_Classblock;
extern const struct CVMMethodArray4 sun_security_x509_GeneralSubtree_methods;
extern const struct CVMFieldArray6 sun_security_x509_GeneralSubtree_fields;
extern const struct CVMClassBlock0 sun_security_x509_GeneralSubtree_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfInt_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfShort_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfChar_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfLong_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfByte_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfFloat_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfDouble_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfBoolean_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass12_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayOfObject_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass9_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass13_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass17_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass21_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass14_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass10_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass15_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass16_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass11_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass19_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass22_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass23_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass24_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass20_Classblock;
extern const struct CVMClassBlock0 manufacturedArrayClass18_Classblock;
extern CVMStackMaps*	CVM_stackmapIndirect[6301];
extern const CVMClassICell CVM_classICell[];
