#
#  Copyright 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
#
#
#  @(#)defs_cdc.mk	1.26 00/11/21
#
CVM_BUILDTIME_CLASSES += \
   java.io.BufferedInputStream \
   java.io.BufferedOutputStream \
   java.io.BufferedReader \
   java.io.BufferedWriter \
   java.io.ByteArrayInputStream \
   java.io.ByteArrayOutputStream \
   java.io.CharConversionException \
   java.io.DataInput \
   java.io.DataInputStream \
   java.io.DataOutput \
   java.io.DataOutputStream \
   java.io.EOFException \
   java.io.Externalizable \
   java.io.File \
   java.io.FileDescriptor \
   java.io.FileFilter \
   java.io.FileInputStream \
   java.io.FileNotFoundException \
   java.io.FileOutputStream \
   java.io.FilePermission \
   java.io.FileReader \
   java.io.FileSystem \
   java.io.FileWriter \
   java.io.FilenameFilter \
   java.io.FilterInputStream \
   java.io.FilterOutputStream \
   java.io.IOException \
   java.io.InputStream \
   java.io.InputStreamReader \
   java.io.InterruptedIOException \
   java.io.InvalidClassException \
   java.io.InvalidObjectException \
   java.io.NotActiveException \
   java.io.NotSerializableException \
   java.io.ObjectInput \
   java.io.ObjectInputStream \
   java.io.ObjectInputValidation \
   java.io.ObjectOutput \
   java.io.ObjectOutputStream \
   java.io.ObjectStreamClass \
   java.io.ObjectStreamConstants \
   java.io.ObjectStreamException \
   java.io.ObjectStreamField \
   java.io.OptionalDataException \
   java.io.OutputStream \
   java.io.OutputStreamWriter \
   java.io.PipedInputStream \
   java.io.PipedOutputStream \
   java.io.PrintStream \
   java.io.PrintWriter \
   java.io.PushbackInputStream \
   java.io.Reader \
   java.io.Serializable \
   java.io.SerializablePermission \
   java.io.StreamCorruptedException \
   java.io.StreamTokenizer \
   java.io.SyncFailedException \
   java.io.UTFDataFormatException \
   java.io.UnsupportedEncodingException \
   java.io.WriteAbortedException \
   java.io.Writer \
   java.lang.AbstractMethodError \
   java.lang.ArithmeticException \
   java.lang.ArrayIndexOutOfBoundsException \
   java.lang.ArrayStoreException \
   java.lang.Boolean \
   java.lang.Byte \
   java.lang.Character \
   java.lang.Class \
   java.lang.ClassCastException \
   java.lang.ClassCircularityError \
   java.lang.ClassFormatError \
   java.lang.ClassLoader \
   java.lang.ClassNotFoundException \
   java.lang.CloneNotSupportedException \
   java.lang.Cloneable \
   java.lang.Comparable \
   java.lang.Double \
   java.lang.Error \
   java.lang.Exception \
   java.lang.ExceptionInInitializerError \
   java.lang.Float \
   java.lang.FloatingDecimal \
   java.lang.IllegalAccessError \
   java.lang.IllegalAccessException \
   java.lang.IllegalArgumentException \
   java.lang.IllegalMonitorStateException \
   java.lang.IllegalStateException \
   java.lang.IllegalThreadStateException \
   java.lang.IncompatibleClassChangeError \
   java.lang.IndexOutOfBoundsException \
   java.lang.InheritableThreadLocal \
   java.lang.InstantiationError \
   java.lang.InstantiationException \
   java.lang.Integer \
   java.lang.InternalError \
   java.lang.InterruptedException \
   java.lang.LinkageError \
   java.lang.Long \
   java.lang.Math \
   java.lang.NegativeArraySizeException \
   java.lang.NoClassDefFoundError \
   java.lang.NoSuchFieldError \
   java.lang.NoSuchMethodError \
   java.lang.NullPointerException \
   java.lang.Number \
   java.lang.NumberFormatException \
   java.lang.Object \
   java.lang.OutOfMemoryError \
   java.lang.Package \
   java.lang.Process \
   java.lang.Runnable \
   java.lang.Runtime \
   java.lang.RuntimeException \
   java.lang.RuntimePermission \
   java.lang.SecurityException \
   java.lang.SecurityManager \
   java.lang.Short \
   java.lang.Shutdown \
   java.lang.StackOverflowError \
   java.lang.StrictMath \
   java.lang.String \
   java.lang.StringBuffer \
   java.lang.StringIndexOutOfBoundsException \
   java.lang.System \
   java.lang.Thread \
   java.lang.ThreadDeath \
   java.lang.ThreadGroup \
   java.lang.ThreadLocal \
   java.lang.Throwable \
   java.lang.UnsatisfiedLinkError \
   java.lang.UnsupportedClassVersionError \
   java.lang.UnsupportedOperationException \
   java.lang.VerifyError \
   java.lang.VirtualMachineError \
   java.lang.Void \
   java.lang.ref.FinalReference \
   java.lang.ref.Finalizer \
   java.lang.ref.PhantomReference \
   java.lang.ref.Reference \
   java.lang.ref.ReferenceQueue \
   java.lang.ref.SoftReference \
   java.lang.ref.WeakReference \
   java.math.BigInteger \
   java.math.BitSieve \
   java.math.MutableBigInteger \
   java.math.SignedMutableBigInteger \
   java.net.ContentHandler \
   java.net.ContentHandlerFactory \
   java.net.FileNameMap \
   java.net.InetAddress \
   java.net.JarURLConnection \
   java.net.MalformedURLException \
   java.net.NetPermission \
   java.net.ProtocolException \
   java.net.SocketPermission \
   java.net.URL \
   java.net.URLClassLoader \
   java.net.URLConnection \
   java.net.URLStreamHandler \
   java.net.URLStreamHandlerFactory \
   java.net.UnknownHostException \
   java.net.UnknownServiceException \
   java.security.AccessControlContext \
   java.security.AccessControlException \
   java.security.AccessController \
   java.security.AllPermission \
   java.security.BasicPermission \
   java.security.CodeSource \
   java.security.DigestException \
   java.security.DigestOutputStream \
   java.security.DomainCombiner \
   java.security.GeneralSecurityException \
   java.security.Guard \
   java.security.GuardedObject \
   java.security.InvalidKeyException \
   java.security.InvalidParameterException \
   java.security.Key \
   java.security.KeyException \
   java.security.MessageDigest \
   java.security.MessageDigestSpi \
   java.security.NoSuchAlgorithmException \
   java.security.NoSuchProviderException \
   java.security.Permission \
   java.security.PermissionCollection \
   java.security.Permissions \
   java.security.Policy \
   java.security.PrivilegedAction \
   java.security.PrivilegedActionException \
   java.security.PrivilegedExceptionAction \
   java.security.ProtectionDomain \
   java.security.Provider \
   java.security.ProviderException \
   java.security.PublicKey \
   java.security.SecureClassLoader \
   java.security.Security \
   java.security.SecurityPermission \
   java.security.SignatureException \
   java.security.UnresolvedPermission \
   java.security.UnresolvedPermissionCollection \
   java.security.cert.Certificate \
   java.security.cert.CertificateEncodingException \
   java.security.cert.CertificateException \
   java.text.ChoiceFormat \
   java.text.DateFormat \
   java.text.DateFormatSymbols \
   java.text.DecimalFormat \
   java.text.DecimalFormatSymbols \
   java.text.DigitList \
   java.text.FieldPosition \
   java.text.Format \
   java.text.MessageFormat \
   java.text.NumberFormat \
   java.text.ParseException \
   java.text.ParsePosition \
   java.text.SimpleDateFormat \
   java.text.Utility \
   java.text.resources.LocaleData \
   java.util.AbstractCollection \
   java.util.AbstractList \
   java.util.AbstractMap \
   java.util.AbstractSequentialList \
   java.util.AbstractSet \
   java.util.ArrayList \
   java.util.Arrays \
   java.util.BitSet \
   java.util.Calendar \
   java.util.Collection \
   java.util.Collections \
   java.util.Comparator \
   java.util.ConcurrentModificationException \
   java.util.Date \
   java.util.Dictionary \
   java.util.EmptyStackException \
   java.util.Enumeration \
   java.util.GregorianCalendar \
   java.util.HashMap \
   java.util.HashSet \
   java.util.Hashtable \
   java.util.Iterator \
   java.util.LinkedList \
   java.util.List \
   java.util.ListIterator \
   java.util.Locale \
   java.util.Map \
   java.util.MissingResourceException \
   java.util.NoSuchElementException \
   java.util.Properties \
   java.util.PropertyPermission \
   java.util.PropertyResourceBundle \
   java.util.Random \
   java.util.ResourceBundle \
   java.util.Set \
   java.util.SimpleTimeZone \
   java.util.SortedMap \
   java.util.SortedSet \
   java.util.Stack \
   java.util.StringTokenizer \
   java.util.TimeZone \
   java.util.Vector \
   java.util.WeakHashMap \
   java.util.jar.Attributes \
   java.util.jar.JarEntry \
   java.util.jar.JarException \
   java.util.jar.JarFile \
   java.util.jar.JarInputStream \
   java.util.jar.JarVerifier \
   java.util.jar.Manifest \
   java.util.zip.CRC32 \
   java.util.zip.Checksum \
   java.util.zip.DataFormatException \
   java.util.zip.Inflater \
   java.util.zip.InflaterInputStream \
   java.util.zip.ZipConstants \
   java.util.zip.ZipEntry \
   java.util.zip.ZipException \
   java.util.zip.ZipFile \
   java.util.zip.ZipInputStream \
   sun.misc.CVM \
   sun.misc.Launcher \
   sun.misc.SystemThread \
   sun.misc.Version \
   sun.io.CharToByteISO8859_1 \
   sun.io.ByteToCharISO8859_1 \
   \
   javax.realtime.IllegalAssignmentError \
   javax.realtime.NoHeapRealtimeThread \
   javax.realtime.RealtimeThread \
   javax.realtime.ResourceLimitError \
   javax.realtime.MemoryAccessError \
   javax.realtime.InaccessibleAreaException
   

# IllegalAssignmentError was added to this because the interpreter need 
# to throw it and I feel the class should be ROMized to be able to throw
# it.
# - Pratik. 14th March 2001

ifeq ($(CVM_REFLECT), true)
CVM_BUILDTIME_CLASSES += \
   java.lang.reflect.AccessibleObject \
   java.lang.reflect.Array \
   java.lang.reflect.Constructor \
   java.lang.reflect.Field \
   java.lang.reflect.InvocationHandler \
   java.lang.reflect.InvocationTargetException \
   java.lang.reflect.Member \
   java.lang.reflect.Method \
   java.lang.reflect.Modifier \
   java.lang.reflect.Proxy \
   java.lang.reflect.ReflectPermission \
   java.lang.reflect.UndeclaredThrowableException \
   java.lang.NoSuchFieldException \
   java.lang.NoSuchMethodException
endif

#
# Classes to be loaded at runtime.
#
CLASSLIB_CLASSES += \
   java.net.BindException \
   java.net.DatagramPacket \
   java.net.DatagramSocket \
   java.net.DatagramSocketImpl \
   java.net.DatagramSocketImplFactory \
   java.net.PlainDatagramSocketImpl \
   java.net.SocketException \
   java.net.SocketOptions \
   \
   java.util.TreeMap \
   java.util.TreeSet \
   \
   java.util.ListResourceBundle \
   java.text.resources.DateFormatZoneData \
   java.text.resources.DateFormatZoneData_en \
   java.text.resources.LocaleElements \
   java.text.resources.LocaleElements_en \
   java.text.resources.LocaleElements_en_US \
   \
   sun.misc.ProxyGenerator \
   sun.misc.Compare \
   sun.misc.GC \
   sun.misc.Sort \
   sun.net.www.MessageHeader \
   sun.net.www.ParseUtil \
   sun.net.www.URLConnection \
   sun.net.www.protocol.file.FileURLConnection \
   sun.net.www.protocol.file.Handler \
   sun.net.www.protocol.jar.Handler \
   sun.net.www.protocol.jar.JarFileFactory \
   sun.net.www.protocol.jar.JarURLConnection \
   sun.security.provider.PolicyFile \
   sun.security.provider.Sun \
   sun.security.provider.SHA \
   \
   javax.microedition.io.Connection \
   javax.microedition.io.ConnectionNotFoundException \
   javax.microedition.io.Connector \
   javax.microedition.io.ContentConnection \
   javax.microedition.io.Datagram \
   javax.microedition.io.DatagramConnection \
   javax.microedition.io.InputConnection \
   javax.microedition.io.OutputConnection \
   javax.microedition.io.StreamConnection \
   javax.microedition.io.StreamConnectionNotifier \
   \
   com.sun.cdc.io.ConnectionBase \
   com.sun.cdc.io.DateParser \
   com.sun.cdc.io.GeneralBase \
   com.sun.cdc.io.j2me.datagram.DatagramObject \
   com.sun.cdc.io.j2me.datagram.Protocol \
   com.sun.cdc.io.j2me.file.Protocol \
   com.sun.cdc.io.j2me.file.ProtocolBase \
   com.sun.cdc.io.j2me.file.ProtocolNative \
   com.sun.cdc.io.j2me.UniversalOutputStream \
   com.sun.cdc.io.ConnectionBaseInterface \
   com.sun.cdc.i18n.Helper \
   com.sun.cdc.i18n.StreamReader \
   com.sun.cdc.i18n.StreamWriter \
   \
   com.timesys.CoreExtension.Loader \
   com.timesys.CoreExtension.RTThreadAdaptor \
   com.timesys.CoreExtension.RTMonitorAdapter \
   com.timesys.CoreExtension.HeapMemoryAdapter \
   com.timesys.DefaultPhysicalMemoryFilter \
   com.timesys.DMScheduler \
   com.timesys.RK \
   com.timesys.DoubleInsertionToFeasibilityException \
   com.timesys.WrongArgumentsException \
   com.timesys.Dispatcher \
   com.timesys.IllegalDispatcherStateException \
   com.timesys.unblockEvent \
   \
   javax.realtime.AbsoluteTime \
   javax.realtime.AdmissionControlException \
   javax.realtime.AperiodicParameters \
   javax.realtime.AsyncEvent \
   javax.realtime.AsyncEventHandler \
   javax.realtime.AsynchronouslyInterruptedException \
   javax.realtime.BoundAsyncEventHandler \
   javax.realtime.Clock \
   javax.realtime.DuplicateFilterException \
   javax.realtime.GarbageCollector \
   javax.realtime.HeapMemory \
   javax.realtime.HighResolutionTime \
   javax.realtime.IllegalAssignmentError \
   javax.realtime.ImmortalMemory \
   javax.realtime.ImmortalPhysicalMemory \
   javax.realtime.ImportanceParameters \
   javax.realtime.InaccessibleAreaException \
   javax.realtime.Interruptible \
   javax.realtime.LTPhysicalMemory \
   javax.realtime.LTMemory \
   javax.realtime.MarkAndSweepCollector \
   javax.realtime.MemoryAccessError \
   javax.realtime.MemoryArea \
   javax.realtime.MemoryInUseException \
   javax.realtime.MemoryParameters \
   javax.realtime.MemoryScopeException \
   javax.realtime.MemoryTypeConflictException \
   javax.realtime.MITViolationException \
   javax.realtime.MonitorControl \
   javax.realtime.NoHeapRealtimeThread \
   javax.realtime.OffsetOutOfBoundsException \
   javax.realtime.OneShotTimer \
   javax.realtime.PeriodicParameters \
   javax.realtime.PeriodicTimer \
   javax.realtime.PhysicalMemoryManager \
   javax.realtime.PhysicalMemoryTypeFilter \
   javax.realtime.POSIXSignalHandler \
   javax.realtime.PriorityCeilingEmulation \
   javax.realtime.PriorityInheritance \
   javax.realtime.PriorityParameters \
   javax.realtime.PriorityScheduler \
   javax.realtime.ProcessingGroupParameters \
   javax.realtime.RationalTime \
   javax.realtime.RawMemoryAccess \
   javax.realtime.RawMemoryFloatAccess \
   javax.realtime.RealtimeClock \
   javax.realtime.RealtimeSecurity \
   javax.realtime.RealtimeSystem \
   javax.realtime.RealtimeThread \
   javax.realtime.RelativeTime \
   javax.realtime.ReleaseParameters \
   javax.realtime.ResourceLimitError \
   javax.realtime.ResourceLimitException \
   javax.realtime.Schedulable \
   javax.realtime.Scheduler \
   javax.realtime.SchedulingParameters \
   javax.realtime.ScopedCycleException \
   javax.realtime.ScopedMemory \
   javax.realtime.SizeEstimator \
   javax.realtime.SizeOutOfBoundsException \
   javax.realtime.SporadicParameters \
   javax.realtime.ThrowBoundaryError \
   javax.realtime.Timed \
   javax.realtime.Timer \
   javax.realtime.UnknownHappeningException \
   javax.realtime.UnsupportedPhysicalMemoryException \
   javax.realtime.VTMemory   \
   javax.realtime.VTPhysicalMemory   \
   javax.realtime.WaitFreeDequeue \
   javax.realtime.WaitFreeReadQueue \
   javax.realtime.WaitFreeWriteQueue 
   
   
#   javax.realtime.DummyFilter \
#   javax.realtime.DummyA1Filter \
#   javax.realtime.DummyA1PhysFilter \
#   javax.realtime.DummyA1VirtFilter \
#   javax.realtime.DummyA2Filter \
#   javax.realtime.DummyA2VirtFilter \
#   javax.realtime.AddEventHandler
