#
# @(#)testgc.mk	1.3 00/08/07
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#

CVM_SRCDIRS += \
	$(CVM_SHAREROOT)/javavm/test/GCTest/Lib \
	$(CVM_SHAREROOT)/javavm/test/GCTest/DirectMem/Csrc \
	$(CVM_SHAREROOT)/javavm/test/GCTest/IndirectMem/Csrc \
	$(CVM_SHAREROOT)/javavm/test/GCTest/RootScans/Csrc

CVM_INCLUDES  += \
	-I$(CVM_SHAREROOT)/javavm/test/GCTest/DirectMem/Include \
	-I$(CVM_SHAREROOT)/javavm/test/GCTest/IndirectMem/Include \
	-I$(CVM_SHAREROOT)/javavm/test/GCTest/RootScans/Include

CVM_SHAREOBJS += \
         libGC.o \
	 DMArrayCopyLongTest.o \
	 DMArrayCopyRefTest.o \
	 DMArrayCopyShortTest.o \
	 DMArrayCopyBooleanTest.o \
	 DMArrayCopyByteTest.o \
	 DMArrayCopyCharTest.o \
	 DMArrayCopyDoubleTest.o \
	 DMArrayCopyFloatTest.o \
	 DMArrayCopyIntTest.o \
	 DMArrayRWBodyBooleanTest.o \
	 DMArrayRWBodyByteTest.o \
	 DMArrayRWBodyCharTest.o \
	 DMArrayRWBodyDoubleTest.o \
	 DMArrayRWByteTest.o \
	 DMArrayRWBodyFloatTest.o \
	 DMArrayRWBodyIntTest.o \
	 DMArrayRWBodyLongTest.o \
	 DMArrayRWBodyRefTest.o \
	 DMArrayRWBodyShortTest.o \
	 DMArrayRWBooleanTest.o \
	 DMArrayRWCharTest.o \
	 DMArrayRWDoubleTest.o \
	 DMArrayRWFloatTest.o \
	 DMArrayRWIntTest.o \
	 DMArrayRWLongTest.o \
	 DMArrayRWRefTest.o \
	 DMArrayRWShortTest.o \
	 DMFieldRW32Test.o \
	 DMFieldRW64Test.o \
	 DMFieldRWDoubleTest.o \
	 DMFieldRWFloatTest.o \
	 DMFieldRWIntTest.o \
	 DMFieldRWLongTest.o \
	 DMFieldRWRefTest.o \
	 IDArrayRWBooleanTest.o \
	 IDArrayRWByteTest.o \
	 IDFieldRWLongTest.o \
	 IDArrayRWCharTest.o \
	 IDArrayRWDoubleTest.o \
	 IDArrayRWFloatTest.o \
	 IDArrayRWIntTest.o \
	 IDArrayRWLongTest.o \
	 IDArrayRWRefTest.o \
	 IDArrayRWShortTest.o \
	 IDFieldRW32Test.o \
	 IDFieldRW64Test.o \
	 IDFieldRWDoubleTest.o \
	 IDFieldRWFloatTest.o \
	 IDFieldRWIntTest.o \
	 IDFieldRWRefTest.o \
         RootScansTest.o
