package com.timesys.CoreExtension;

import java.io.*;

public class Loader
{
    public static void boot()
    {
	try
	    {
	      System.out.println("Loading from config file: "+System.getProperty("java.home")+"/exttab");
	      System.out.println("library path = "+System.getProperty("java.library.path")+ " java.home = "+
				 System.getProperty("java.home"));
		BufferedReader rdr = new BufferedReader(new FileReader(System.getProperty("java.home")+"/exttab"));
		String line;
		Class classExtension;
		
		line = rdr.readLine();
		while(line != null)
		    {
			classExtension =  Class.forName(line);
			classExtension.getMethod("boot",new Class[0]).invoke(null,new Object[0]);
			line = rdr.readLine();
		    }
	    }
	catch(Exception e)
	    {
		System.out.println("Exception "+e+" trying to load core extension... jvm may be unstable");
	    }
    }
}

