package javax.realtime;

//Internal class needed for WaitFreeReadQueue
class AddEventHandler extends AsyncEventHandler 
{
    AsyncEvent event;

    public AddEventHandler() 
    {
        /* Non-realtime parameters to avoid priority boosting of regular thread*/
        super(null,null,null,null,null,true,null); 
    }

    public void handleAsyncEvent() 
    {
        synchronized (event) 
        {
            event.notify();
        }
    }
    
    public void setEvent(AsyncEvent event) 
    {
        this.event = event;
    }
}

