package javax.realtime;
/** {@link PhysicalMemoryManager} can only accomodate one filter object for
 *  each type of memory.  It throws this exception if an attempt is made
 *  to register more than one filter for a type of memory.
 */
public class DuplicateFilterException extends Exception {
    public DuplicateFilterException(){
        super();
    }
    /**
        @param  s   Detail string
    */
    public DuplicateFilterException(String s){
        super(s);
    }
}