/*
 * -----------------------------------------------------------------
 * MITViolationException.java : Exception describing Minimum 
 * Interarrival Time violations
 *
 * Copyright (C) 2001 TimeSys Corporation, All Rights Reserved.
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */

package javax.realtime;

/**
 * This exception is thrown minimum interarrival time gets violated. 
 *
 */
public class MITViolationException extends Exception
{
    /**
     * A constructor for <code>MITViolationException</code>.
     */
    public MITViolationException()
    {
        super();
    }

    /**
     * A descriptive constructor for <code>MITViolationException</code>.
     *
     * @param description Description of the error.
     */
    public MITViolationException(String description)
    {
        super(description);
    }
}
