/*
 * -----------------------------------------------------------------
 * ScopedCycleException.java : This exception gets thrown when a 
 * RealtimeThread tries to enter a ScopedMemory it already has access
 * to.
 *
 * Copyright (C) 2001 TimeSys Corporation, All Rights Reserved.
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */

package javax.realtime;

public class ScopedCycleException extends RuntimeException
{
    public ScopedCycleException()
    {
        super();
    }

    public ScopedCycleException(String description)
    {
        super(description);
    }
}
