import java.io.*;
import java.net.*;

public class NetworkThread extends Thread
{
	InetAddress host;
	DatagramSocket cli;
	DatagramPacket pkt;
	String data ;
	long curr,prev, PERIOD = 70, next_period;
	int diff;

	public NetworkThread(String server)
	{
		try {
			host = InetAddress.getByName(server);
			cli = new DatagramSocket();
			cli.connect(host,8194);
			data = "TimeSys";
			pkt = new DatagramPacket(data.getBytes(),data.length());
		}catch(Exception e) {
			System.err.println("err in connect / data.getBytes()");
			e.printStackTrace();
		}
		//System.out.println("construction done");
	}

	public void run()	
	{
		data = "";
		prev = System.currentTimeMillis();

		next_period = System.currentTimeMillis() + 100;
		next_period = (next_period / 10) * 10;
		while(true){
			try {
				curr = System.currentTimeMillis();
				diff = (int)(curr - prev);
				prev = curr;
				data = data+diff;
				pkt.setData(data.getBytes(),0,data.length());
				cli.send(pkt);
				data = "";
		//sleep(next_period - System.currentTimeMillis());
		//next_period += PERIOD;
				sleep(40);
			} catch(Exception e) {
				System.err.println("err in sending data");
				e.printStackTrace();
				System.exit(0);
			}
		}
	}
}
