import javax.realtime.*;

public class MemShared2Thread 
{
    ScopedMemory sm1;
    ScopedMemory sm2;

    public MemShared2Thread()
    {
        sm1 = new LTMemory(64*1024,64*1024);
        sm2 = new LTMemory(64*1024,64*1024);
    }

    public ScopedMemory getSM1()
    {
        return sm1;
    }
    
    public ScopedMemory getSM2()
    {
        return sm2;
    }
    

    public static void main(String[] arg)
    {
        try
        {
        if(arg.length == 0){
            System.out.println("Enter Test Number");
            System.exit(0);
        }

        if(arg[0].equals("1")){
            MemShared2Thread m1 = new MemShared2Thread();
            MyThread mth1 = new MyThread(m1.getSM1(), "1");
            MyThread mth2 = new MyThread(m1.getSM2(), "2");

            mth1.start();
            mth2.start();
        }
        else if(arg[0].equals("2")){
            MemShared2Thread m1 = new MemShared2Thread();
            ThreadNest thn1 = new ThreadNest(m1.getSM1(),m1.getSM2(),"1");
            thn1.start();
            try
            {
                Thread.sleep(500);
            }catch(Exception e) {}

            ThreadNest thn2 = new ThreadNest(m1.getSM2(),m1.getSM1(),"2");
            thn2.start();
        }
        }
        catch(Throwable t)
        {
            System.out.println("Exception caught in main()");
            t.printStackTrace();
        }
    }
    
}
