import javax.realtime.*;

public class MemoryConsumptionTest extends RealtimeThread
{
	
	public MemoryConsumptionTest(MemoryArea mem)
	{
		super(null, null, null, mem, null, null);
	}
	
	public static int memsize = 1024*512;
	
	public static void main(String[] args)
	{
		MemoryConsumptionTest mt = new MemoryConsumptionTest(new LTMemory(memsize, memsize));
		mt.start();
	}

	public void run()
	{
		MemoryArea mem = getMemoryArea();
		long start = mem.memoryRemaining();
		System.out.println("Started out with " + start + " bytes of memory");
		String s = new String("Hello");
		long now = mem.memoryRemaining();
		System.out.println("After allocating 1 string I have " + now + " bytes of memory");
		System.out.println("Memory consumed by 1 string = " + (start-now) + " bytes");
	}
}
