import javax.realtime.*;

public class MemoryStacks extends RealtimeThread
{
    static int depth = 3;

    public void run()
    {
        System.out.println("Thread started! ");
        System.out.println("Memory area for this is " + MemoryArea.getMemoryArea(this));
        printStack();  
        if(depth-- > 0)
        {
            System.out.println("Depth in run() is " + depth);
            ScopedMemory s1 = new LTMemory(20480, 20480);
            s1.enter(this);
        }
    }

    void printStack()
    {
        int depth = getMemoryAreaStackDepth();
        System.out.println("Current stack depth is " + depth);
        for(int i=0; i<depth; i++)
        {
            System.out.println("Stack[" + i + "] is " + getOuterMemoryArea(i));
        }
    }
    
    public static void main(String[] args)
    {
       System.out.println("Tets started. I'm going to spawn a new RealtimeThread and print its stack"); 
       RealtimeThread rt = new MemoryStacks();
       rt.start();
    }
}
