import javax.realtime.*;
//import realtime.*;

public class SMFinalizeTest
{
	class simpleThread extends javax.realtime.RealtimeThread
	{
        public simpleThread(MemoryArea mem)
	    {
		    super(null, null, null, mem, null, null);
			System.out.println("After calling super");
	    }
		
	    public void run()
	    {
		   FinalizableObject one = new FinalizableObject();
		   FinalizableObject two = new FinalizableObject();
		   FinalizableObject three = new FinalizableObject();
		   System.out.println("Finished creating the objects");
	    }
	}

   final static int memsize = 4096*512;
   
//   public SMFinalizeTest() {}


    public static void main(String args[])
    {

	/*	SimpleSM r = new SimpleSM(sm1); //(null, null, null, s2, null);
		r.start();
		try
		{
		r.join();
		Thread.sleep(2000);	
		}
		catch(Exception e) {e.printStackTrace();}

	System.out.println("After finishing everything. Allocating String again. This should be in Heap");
	String s1 = new String("I am a heap string");
	System.out.println("Allocated String \"" + s1 + "\" in MemoryArea: " + MemoryArea.getMemoryArea(s1));*/

		SMFinalizeTest s = new SMFinalizeTest();
		s.runTests();
	
    }

    public void runTests()
	{
  	    ScopedMemory sm1 = new LTMemory(memsize, memsize);
		simpleThread s1 = new simpleThread(sm1);
		simpleThread s2 = new simpleThread(sm1);
		s1.start();
		s2.start();

		try
		{
			s1.join();
			s2.join();

            System.out.println("Thread 1 & 2 joined");
		    Thread.sleep(2000); // ensure that cleanup finishes

            System.out.println("Creating thread 3"); 
		    simpleThread s3 = new simpleThread(sm1);
            System.out.println("Starting thread 3"); 
		    s3.start();
		    Thread.sleep(4000);
		}
		catch(Exception e) { e.printStackTrace(); }
		
    }
    
}
