/* AEventHandler - This class is a subclass of AsyncEventHandler used in many
**                 of the subtests that require an AsyncEventHandler
**		   This does NOT contain any subtests.
*/

import javax.realtime.*;
import com.timesys.*;

public class AEventHandler extends AsyncEventHandler
{
    /*
    ** The following constructors just call AsyncEventHandler 
    ** constructors
    */
    
    public AEventHandler() { 
	super();
    }
    
    public AEventHandler(SchedulingParameters scheduling,
			 ReleaseParameters release,
			    MemoryParameters memory,
			    MemoryArea area,
			    ProcessingGroupParameters group) {
	super(scheduling, release, memory, area, group);
	System.out.println("AEventHandler: Created an AEventHandler");
    }
    
    public AEventHandler(SchedulingParameters scheduling,
			 ReleaseParameters release,
			 MemoryParameters memory,
			 MemoryArea area,
			 ProcessingGroupParameters group,
			 boolean nonheap) {
	super(scheduling, release, memory, area, group, nonheap);
	System.out.println("AEventHandler: Created an AEventHandler");
    }

    public AEventHandler(boolean nonheap) {
	super(nonheap);
	System.out.println("AEventHandler: Created an AEventHandler");
    }
    
    
    
    public void handleAsyncEvent() {
	System.out.println("AEventHandler: handleAsyncEvent called");	
    }

}
