//package javax.realtime.calltests;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000  All Rights Reserved
 */


/*				LTMemoryTest
 
Subtest 1:
	"public LTMemory(long initialSizeInBytes, long maxSizeInBytes)
*/

import javax.realtime.*;

public class LTMemoryTest 
{

    public static void run() 
    {
	LTMemory ltm = null;
	Object o = null;

	Tests.newTest("LTMemoryTest");
	Tests.increment();
		
	/* Subtest 1:
	** Constructor "public LTMemory(long initialSizeInBytes, 
	** long maxSizeInBytes)
	*/
	try {
	    System.out.println("LTMemoryTest: LTMemory(long,long)");
	    int initial = 1000;
	    int maximum = 2000;
	    ltm = new LTMemory(initial, maximum);
	    if( !(ltm instanceof LTMemory && ltm instanceof ScopedMemory) )
		throw new Exception("Return object is not instanceof "+
				    "LTMemory nor ScopedMemory");
	} catch (Exception e) {
	    System.out.println("LTMemoryTest: LTMemory(long,long) failed");
	    Tests.fail("new LTMemory(initial, maximum)",e);
	}

	Tests.printSubTestReportTotals("LTMemoryTest");
    }
	
}
