//package javax.realtime.calltests;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000  All Rights Reserved
 */


/*				PriorityInheritanceTest

Subtest 1:
	"public class PriorityInheritance extends MonitorControl"

Subtest 2:
	"public static PriorityInheritance instance()"
*/ 

import javax.realtime.*;

public class PriorityInheritanceTest {

    public static void run() {
	PriorityInheritance pi = null;
	Object o = null;
	
	Tests.newTest("PriorityInheritanceTest");

	/* Subtest 1:
	** Constructor "public class PriorityInheritance extends 
	** MonitorControl"
	*/
	Tests.increment();
	try {
	    System.out.println("PriorityInheritanceTest: Priority"+
			       "Inheritance()");
	    pi = new PriorityInheritance();
	    if( !(pi instanceof PriorityInheritance && pi instanceof 
		  MonitorControl) )
		throw new Exception("Return object is not instanceof "+
				    "PriorityInheritance nor MonitorControl");
	} catch (Exception e) {
	    System.out.println("PriorityInheritanceTest: Priority"+
			       "Inheritance()");
	    Tests.fail("new PriorityInheritance()",e);
	}

	/* Subtest 2:
	** Method "public static PriorityInheritance instance()"
	*/ 
	Tests.increment();
	try {
	    System.out.println("PriorityInheritanceTest: instance()");
	    o = PriorityInheritance.instance(); 
	    if( !(o instanceof PriorityInheritance && o instanceof 
		  MonitorControl) )
		throw new Exception("Return object is not instanceof "+
				    "PriorityInheritance nor MonitorControl");
	} catch (Exception e) {
	    System.out.println("PriorityInheritanceTest: instance()");
	    Tests.fail("PriorityInheritance.instance()",e);
	}

	Tests.printSubTestReportTotals("PriorityInheritanceTest");
    }
}
