//package javax.realtime.calltests;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000  All Rights Reserved
 */


/*			ResourceLimitErrorTest
 
Subtest 1:
	"public ResourceLimitError()"
	
Subtest 2:
	"public ResourceLimitError(java.lang.string description)"	

Subtest 3
	"public ResourceLimitError(java.lang.String description)" checking 
	value of String
*/

import javax.realtime.*;

public class ResourceLimitErrorTest 
{

    public static void run() 
    {
	ResourceLimitError rle = null;
	Object o = null;

	Tests.newTest("ResourceLimitErrorTest");		
	Tests.increment();
		
	/* Subtest 1:
	** Constructor "public ResourceLimitError()"
	*/	

	try {
	    System.out.println("ResourceLimitError: ResourceLimitError()");
	    rle = new ResourceLimitError();
	    if( !(rle instanceof ResourceLimitError) )
		throw new Exception("Return object is not instanceof "+
				    "ResourceLimitError");
	} catch (Exception e) {
	    System.out.println("ResourceLimitError: ResourceLimitError() "+
			       "failed");
	    Tests.fail("new ResourceLimitError()",e);
	}
	
	/* Subtest 2:
	** Constructor "public ResourceLimitError(java.lang.string 
	** description)"	
	*/

	Tests.increment();
	try {
	    System.out.println("ResourceLimitError: ResourceLimitError("+
			       "String)");
	    rle = new ResourceLimitError("ConstructorTest");
	    if( !(rle instanceof ResourceLimitError) )
		throw new Exception("Return object is not instanceof "+
				    "ResourceLimitError");
	} catch (Exception e) {
	    System.out.println("ResourceLimitError: ResourceLimitError("+
			       "String) failed");
	    Tests.fail("new ResourceLimitError(description)",e);
	}
	
	/* Subtest 3
	** Constructor "public ResourceLimitError(java.lang.String 
	** description)" checking value of String
	*/
	Tests.increment();
	try {
	    System.out.println("ResourceLimitError: ResourceLimitError("+
			       "String)");
	    String description = "DescriptionTest";
	    rle = new ResourceLimitError(description);
	    String rledescription;
	    rledescription = rle.toString();
	    if (rledescription.length() == 0)
		throw new Exception("String description is empty");

	} catch (Exception e) {
	    System.out.println("ResourceLimitError: ResourceLimitError("+
			       "String) failed");
	    Tests.fail("new ResourceLimitError(description)",e);
	}
		
	Tests.printSubTestReportTotals("ResourceLimitErrorTest");
    }
}
