import javax.realtime.*;

class MyNoHeapRealtimeThread extends NoHeapRealtimeThread {

    int quit;
    sanity_checker san_chk;

    public MyNoHeapRealtimeThread(sanity_checker sc, SchedulingParameters sp, 
				       MemoryArea ma) {
	super(sp, ma);
	quit=0;
	san_chk=sc;

    }

    public void setQuit() { quit=1; }

    public void run() {

	while(quit != 1) {

	    san_chk.lock(this);

	    if(quit!=1) san_chk.unlock(this);

	}

	san_chk.removeThread(this);
	san_chk.unlock(this);

    }

}
