import javax.realtime.*;

public class mem_tester extends RealtimeThread {

    final static int BASE_PRIO=30;
    
    mem_tester() {}

    public void run() {

	PriorityParameters pp = new PriorityParameters(BASE_PRIO);

	MemoryFactory mf = new MemoryFactory();
	mf.setSchedulingParameters(pp);

	ThreadFactory tf = new ThreadFactory();
	tf.setSchedulingParameters(pp);

	ObjectFactory of = new ObjectFactory();
	of.setSchedulingParameters(pp);

	tf.setMemoryFactory(mf);
	tf.setObjectFactory(of);

	sanity_checker sc = new sanity_checker();

	System.out.println("*** mem_tester locking");
	sc.lock(this);
	System.out.println("*** mem_tester done locking");

	mf.set_sanity_checker(sc);
	tf.set_sanity_checker(sc);
	of.set_sanity_checker(sc);

	of.setMemoryFactory(mf);

	of.start();
	tf.start();
	mf.start();

	System.out.println("*** mem_tester unlocking");
	sc.unlock(this);
	System.out.println("*** mem_tester done unlocking");

    }

}

