import javax.realtime.*;

public class simpleWFRQ
{

    WaitFreeReadQueue q;
    private class MyThread extends Thread
    {
	public void run()
	{
	    Data d;
	    ImmortalMemory im = ImmortalMemory.instance();
	    
	    for (int i =0; i<20; i++)
		{
		    try
			{
			    d = new Data(); //(Data) im.newInstance(Class.forName("Data"));

			    d.id = i;
			    d.data = i +10;
			    q.write(d);
			}
		    catch (Exception e )
			{
			    e.printStackTrace();
			}
		}
	    
	}
    }

    private class RTThread extends RealtimeThread
    {
	public RTThread() {}
	public RTThread(SchedulingParameters s, ReleaseParameters r,
			  MemoryArea a, Runnable runnable)
	{
	    super(s,r,null,a, null, runnable);
	}

	public void run()
	{
	    Data d;
	    int readCount = 0;
	    while (readCount < 20)
		{
		    d = (Data) q.read();
		    if (d != null)
			{
			    System.out.print("got ");
			    System.out.println(d.id);
			    readCount ++;
			}
		    else
			{
			    System.out.println("null");
			    try
				{
				    Thread.sleep(30);
				}
			    catch(Exception e)
				{				    
				}
			}
		}
	}
    }

    private class setup extends RealtimeThread implements Runnable
    {
	public setup(){}
	public setup(SchedulingParameters sp, ReleaseParameters rp,
		      MemoryParameters mp, MemoryArea ma,
		      ProcessingGroupParameters gp, java.lang.Runnable r)
	{
	    super(sp,rp,mp,ma,gp,r);
	}
 
	public void run()
	{
	    PriorityParameters p = new PriorityParameters(15);
	    
	    MyThread t = new MyThread();
	    RTThread nrt1 = new RTThread();
	    RTThread nrt = new RTThread((SchedulingParameters)p,null,(MemoryArea)ImmortalMemory.instance(), nrt1);
	    nrt.setScheduler(PriorityScheduler.instance());
	    nrt.addToFeasibility();
	    
	    try
	    {
		q = new WaitFreeReadQueue(t,nrt,10,null);
	    }
	    catch (Exception e)
		{
		    e.printStackTrace();
		}
	    t.start();
	    nrt.start();
	}
    }

    public static void main(String args[])
    {
	Data d = new Data();
	System.out.println("String tests");
	String s = new String("Hello");
	simpleWFRQ t = new simpleWFRQ();
	t.run();
    }

    public void run()
    {
	setup s1 = new setup();
	setup s = new setup(null, null, null,(MemoryArea)ImmortalMemory.instance(), null, s1);
	s.start();
    }
}

