import MyThread;
import java.util.*;

class mutex {

    static final public int CHANCE_HOLD=45;
    static final public int CHANCE_NEWLOCK=20;
    static final public int NUM_MUTEX=3;

    public int locked;
    public int holder;
    int index;

    Random r = new Random();

    mutex(int i) {
	locked=0;
	index=i;
    }

    public void dump(int x) {
	System.out.println("()()()Mutex # "+x+" locked ? "+locked+" holder : "+
			   holder);
    }

    public synchronized int lock(MyThread mt) {

	System.out.println("Thread "+mt.index+" is now inside the lock");

	mt.state=MyThread.RUNNING;

	locked++;
	holder=mt.index;

	if((r.nextInt()%100) < CHANCE_NEWLOCK) mt.lock();

	while((r.nextInt()%100) < CHANCE_HOLD) {
	    mt.waitnow();
	    mt.wakeup();
	}

	locked--;

	mt.unlocking(index);

	return 0;

    }

}
