/*
 * @(#)marksweep.h	1.5 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * This file is specific and only visible to mark-sweep GC implementation.
 */

#ifndef _INCLUDED_MARKSWEEP_H
#define _INCLUDED_MARKSWEEP_H

struct CVMMsHeap {
    CVMUint32     size; /* Size of heap in no. of bytes */
    CVMUint32*    data; /* The heap data area */

    /* Bit is on if there is an object in the corresponding heap addr */
    CVMUint32*    boundaries;

    /* Bit is on if object in the corresponding heap addr is marked */
    CVMUint32*    markbits;

    CVMUint32     sizeOfBitmaps; /* The size in bytes of the 'boundaries' and
				    'markbits' arrays */
};

typedef struct CVMMsHeap CVMMsHeap;

#endif /* _INCLUDED_MARKSWEEP_H */
