/*
 * @(#)globals.h	1.9 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _INCLUDED_PORTING_GLOBALS_H
#define _INCLUDED_PORTING_GLOBALS_H

#include "javavm/include/porting/vm-defs.h"

/*
 * Platform must provide the following struct definition.
 *
 * struct CVMTargetGlobalState {
 *     // platform-specific global state goes here
 * };
 *
 */

/*
 * Initialize platform-specific per-VM global state
 */

extern void CVMinitVMTargetGlobalState(CVMTargetGlobalState *);
extern void CVMdestroyVMTargetGlobalState(CVMTargetGlobalState *);

/*
 * Initialize platform-specific per-address-space static state
 */
extern void CVMinitStaticState();
extern void CVMdestroyStaticState();

#include CVM_HDR_GLOBALS_H

#endif /* _INCLUDED_PORTING_GLOBALS_H */
