#
# @(#)run.tcl	1.1 00/06/14
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#

if {[file exists ../RULES.tcl] == 1} {
        source ../RULES.tcl
} else {
        puts "Please create RULES.tcl using RULES.tcl.sample"
        exit
}

set CUR_DIR $GCTEST_DIR/DirectMem
set LOCAL_CLASSPATH $CUR_DIR/Class

set PREFIX DM
set SUFFIX Test

set FILES "FieldRWInt FieldRWLong FieldRWFloat 
       FieldRWDouble FieldRW32 FieldRW64
       FieldRWRef ArrayRWRef ArrayRWInt ArrayRWFloat 
       ArrayRWBoolean ArrayRWByte ArrayRWShort
       ArrayRWLong ArrayRWDouble ArrayRWChar
       ArrayCopyByte ArrayCopyChar ArrayCopyInt
       ArrayCopyShort ArrayCopyLong ArrayCopyFloat
       ArrayCopyDouble ArrayCopyBoolean ArrayCopyRef
       ArrayRWBodyByte ArrayRWBodyChar ArrayRWBodyInt 
       ArrayRWBodyShort ArrayRWBodyLong ArrayRWBodyFloat 
       ArrayRWBodyDouble ArrayRWBodyBoolean ArrayRWBodyRef"

set switch "-Xbootclasspath=$BOOT_CLASSPATH;$LOCAL_CLASSPATH"

shParse "chdir(\"$CUR_DIR\")"

foreach file $FILES {
	puts "------ Running $PREFIX$file$SUFFIX --------"
	set COMMAND "runJava \"$switch $PREFIX$file$SUFFIX\""
	puts "$COMMAND"
	shParse "$COMMAND"
	puts ""
}
#set COMMAND "runJava \"$switch DirectMemTest\""
#puts "$COMMAND"
#shParse "$COMMAND"

shParse "chdir(\"GCTEST_DIR\")"

exit
