#
# @(#)run.tcl	1.1 00/10/24
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#

if {[file exists ./RULES.tcl] == 1} {
        source ./RULES.tcl
} else {
        puts "Please create RULES.tcl using RULES.tcl.sample"
        exit
}

set LOCAL_CLASSPATH $GCTEST_DIR/Class

set FILES BarrierTest

set switch "-Xbootclasspath=$BOOT_CLASSPATH;$LOCAL_CLASSPATH"

shParse "chdir(\"GCTEST_DIR\")"

foreach file $FILES {
	puts "------ Running $file --------"
	set COMMAND "runJava \"$switch $file\""
	puts "$COMMAND"
	shParse "$COMMAND"
	puts ""
}

exit
