/*
 * @(#)MemberArcTypes.java	1.2 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

package dependenceAnalyzer;
public interface MemberArcTypes {
    // usual reference to a class name
    public final static int ARC_CLASS	= 1;

    // read of a field, static or instance
    public final static int ARC_READS	= 2;

    // write of a field, static or instance
    public final static int ARC_WRITES	= 3;

    // invocation of a method, static or instance
    public final static int ARC_CALLS	= 4;

    // a method either catches this class type
    // or declares to be throwing it.
    public final static int ARC_EXCEPTION = 5;

    // a class implements a Java interface
    public final static int ARC_INTERFACE = 6;
}
