/*
 * @(#)io_md.h	1.8 00/11/08
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * Machine-dependent I/O definitions.
 */

#ifndef _VXWORKS_IO_MD_H
#define _VXWORKS_IO_MD_H

#include <ioLib.h>

/* S_ISSOCK not supported in VxWorks */
#define S_ISSOCK(m)	0

/* %comment: mam053 */
#define POSIX_HAVE_FIOFLUSH
#define POSIX_HAVE_FIOTRUNC

#define POSIX_HAVE_CUSTOM_NATIVE_PATH
#define POSIX_HAVE_CUSTOM_LSEEK
#define POSIX_HAVE_CUSTOM_IO_AVAILABLE

#define CVMioOpen	CVMioOpen
#define CVMioWrite	CVMioWrite
#define CVMioNativePath	CVMioNativePath
#define CVMioSeek	CVMioSeek
#define CVMioAvailable	CVMioAvailable

#include "porting/posix/io.h"

extern void ioInitStaticState(void);
extern void ioDestroyStaticState(void);

#endif /* _VXWORKS_IO_MD_H */
