/*
 * @(#)globals_md.c	1.8 00/11/08
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#define VXWORKS_PRIVATE
#include "javavm/include/porting/globals.h"
#include "javavm/include/threads_md.h"
#include "javavm/include/io_md.h"

void CVMinitVMTargetGlobalState(CVMTargetGlobalState *targetState)
{
    /*
     * Initialize the target global state pointed to by 'target'.
     */
}

void CVMdestroyVMTargetGlobalState(CVMTargetGlobalState *targetState)
{
    /*
     * ... and destroy it.
     */
}

void CVMinitStaticState()
{
    /*
     * Initialize the static state for this address space
     */
    threadInitStaticState();
    ioInitStaticState();
}

void CVMdestroyStaticState()
{
    /*
     * ... and destroy it.
     */
    ioDestroyStaticState();
    threadDestroyStaticState();
}
