/*
 * @(#)system_md.c	1.5 00/05/22
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#include "javavm/include/porting/system.h"
#include <stdio.h>
#include <taskLib.h>

void
CVMhalt(CVMInt32 status)
{
    fprintf(stderr, "VM exited with status %d\n", status);
    fprintf(stderr, "Suspending thread for debugging...\n");
    taskSuspend(0);
}

void
CVMsystemPanic( const char * msg )
{
    fprintf(stderr, "Java VM panic: %s\n", msg );
    fprintf(stderr, "Suspending thread for debugging...\n");
    taskSuspend(0);
}
