/*
 * @(#)signature.h	1.4 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * The keyletters used in type signatures
 */

#ifndef _SIGNATURE_H_
#define _SIGNATURE_H_

#define CVM_SIGNATURE_ANY		'A'
#define CVM_SIGNATURE_ARRAY		'['
#define CVM_SIGNATURE_BYTE		'B'
#define CVM_SIGNATURE_CHAR		'C'
#define CVM_SIGNATURE_CLASS		'L'
#define CVM_SIGNATURE_ENDCLASS		';'
#define CVM_SIGNATURE_ENUM		'E'
#define CVM_SIGNATURE_FLOAT		'F'
#define CVM_SIGNATURE_DOUBLE        	'D'
#define CVM_SIGNATURE_FUNC		'('
#define CVM_SIGNATURE_ENDFUNC		')'
#define CVM_SIGNATURE_INT		'I'
#define CVM_SIGNATURE_LONG		'J'
#define CVM_SIGNATURE_SHORT		'S'
#define CVM_SIGNATURE_VOID		'V'
#define CVM_SIGNATURE_BOOLEAN		'Z'

#define CVM_SIGNATURE_ANY_STRING	"A"
#define CVM_SIGNATURE_ARRAY_STRING	"["
#define CVM_SIGNATURE_BYTE_STRING	"B"
#define CVM_SIGNATURE_CHAR_STRING	"C"
#define CVM_SIGNATURE_CLASS_STRING	"L"
#define CVM_SIGNATURE_ENDCLASS_STRING	";"
#define CVM_SIGNATURE_ENUM_STRING	"E"
#define CVM_SIGNATURE_FLOAT_STRING	"F"
#define CVM_SIGNATURE_DOUBLE_STRING    	"D"
#define CVM_SIGNATURE_FUNC_STRING	"("
#define CVM_SIGNATURE_ENDFUNC_STRING	")"
#define CVM_SIGNATURE_INT_STRING	"I"
#define CVM_SIGNATURE_LONG_STRING	"J"
#define CVM_SIGNATURE_SHORT_STRING	"S"
#define CVM_SIGNATURE_VOID_STRING	"V"
#define CVM_SIGNATURE_BOOLEAN_STRING	"Z"



#endif /* !_SIGNATURE_H_ */
